2009-04-10  Pablo Sanxiao  <psanxiao@gmail.com>

	* NEWS:
	* configure.ac:

	gtranslator 1.9.5 released.

2009-04-10  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Thomas Andersen
	
	* src/dialogs/search-dialog.c:
	Removed deprecated GTK symbol. (Fixed bug #575128)

2009-04-05  Pablo Sanxiao  <psanxiao@gmail.com>

	Applied patch by Ignacio Casal Quinteiro with
	several modifications and minor fixes.

	* configure.ac:
	* plugins/open-tran/Makefile.am:
	* plugins/open-tran/open-tran-dialog.ui:
	* plugins/open-tran/open-tran-plugin.c (get_configuration_dialog):
	* plugins/source-code-view/Makefile.am:
	* plugins/source-code-view/source-code-view-dialog.ui:
	* plugins/source-code-view/source-code-view-plugin.c
	(get_configuration_dialog):
	* plugins/source-code-view/viewer.c (gtranslator_viewer_init):
	* plugins/source-code-view/viewer.ui:
	* plugins/subversion/Makefile.am:
	* plugins/subversion/checkout-dialog.c
	(gtranslator_checkout_dialog_init):
	* plugins/subversion/commit-dialog.c
	(gtranslator_commit_dialog_init):
	* plugins/subversion/diff-dialog.c (gtranslator_diff_dialog_init):
	* plugins/subversion/subversion-plugin.h:
	* plugins/subversion/subversion.ui:
	* src/dialogs/Makefile.am:
	* src/dialogs/comment-dialog.c (gtranslator_comment_dialog_init):
	* src/dialogs/comment-dialog.ui:
	* src/dialogs/header-dialog.c (gtranslator_header_dialog_init):
	* src/dialogs/header-dialog.ui:
	* src/dialogs/jump-dialog.c (gtranslator_jump_dialog_init):
	* src/dialogs/jump-dialog.ui:
	* src/dialogs/preferences-dialog.c (setup_interface_pages),
	(gtranslator_preferences_dialog_init):
	* src/dialogs/preferences-dialog.ui:
	* src/dialogs/profile-dialog.c (gtranslator_profile_dialog_init):
	* src/dialogs/profile-dialog.ui:
	* src/dialogs/search-dialog.c (gtranslator_search_dialog_init):
	* src/dialogs/search-dialog.ui:
	* src/utils.c (handle_builder_error),
	(gtranslator_utils_get_ui_objects):
	* src/utils.h:
	Ported to gtkbuilder. (Fixes bug #514816)


2009-04-05  Pablo Sanxiao  <psanxiao@gmail.com>

	* plugins/subversion/subversion.gtranslator-plugin.desktop.in:
	Added license to subversion plugin. Included exception for OpenSSL


2009-04-04  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/plugin-system/plugin-info-priv.h:
        * src/plugin-system/plugin-info.c:
        * src/plugin-system/plugin-info.h:
        Added license field to plugin-info
        * src/plugin-system/plugin-manager.c:
        Added license button to About dialog in plugin manager


2009-03-28  PabloSanxiao  <psanxiao@gmail.com>

	* configure.ac:
	Now GTK 2.16 is required

2009-03-28  Pablo Sanxiao  <psanxiao@gmail.com>

	* plugins/source-code-view/viewer.c:
	* plugins/subversion/checkout-dialog.c:
	* plugins/subversion/commit-dialog.c:
	* plugins/subversion/diff-dialog.c:
	* plugins/subversion/subversion-plugin.c:
	* plugins/subversion/svn-command.c:
	* plugins/subversion/update-dialog.c:
	* src/dialogs/comment-dialog.c:
	* src/dialogs/header-dialog.c:
	* src/dialogs/jump-dialog.c:
	* src/dialogs/preferences-dialog.c:
	* src/dialogs/profile-dialog.c:
	* src/notebook.c:
	* src/toolbareditor/egg-editable-toolbar.c:
	* src/window.c:
	Removed deprecated GTK+ symbols (See bug #575128)


2009-03-23  Pablo Sanxiao  <psanxiao@gmail.com>

	* configure.ac:
	Added compilation flags to plugins libraries

2009-03-19  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Bruce Cowan	

	* plugins/source-code-view/source-code-view-plugin.c:
	* plugins/subversion/checkout-dialog.c:
	* plugins/subversion/commit-dialog.c:
	* plugins/subversion/diff-dialog.c:
	* src/dialogs/jump-dialog.glade:
	* src/dialogs/profile-dialog.c:
	* src/statusbar.c:
	* src/translation-memory/berkeley/db-orig.c:
	* src/translation-memory/berkeley/db-trans.c:
	* src/translation-memory/berkeley/db-words.c:
	* src/utils.c:
	Fixed minor string issues


2009-02-15  Pablo Sanxiao  <psanxiao@gmail.com>

	* plugins/source-code-view/source-code-view-plugin.c:
	Fixed path of GLADE_FILE define. Now the configuration
	dialog of the plugin is showed correctly.

2009-02-14  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/comment-dialog.c:
	Now if you create or edit a comment, the file
	is marked as to be saved. (Fixes bug #569174)

2009-02-14  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Christian Kirbach.
    
        * src/header.c:
        Fixed crash on first-time startup with po-file
        as argument. (See bug #571497)

2009-02-14  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Luca Ferretti.
	
	* configure.ac:
        * data/Makefile.am:
        * data/desktop/Makefile.am:
        * data/desktop/gtranslator.desktop.in.in:
        * data/mime/Makefile.am:
        * data/mime/gtranslator.keys_template.in:
        * data/mime/gtranslator.mime:
        Migrated from gnome-mime-data to freedesktop.org
        specs for MIME handling. (Fixes bug #150834)
 
2009-02-11  Jordi Mallach  <jordi@sindominio.net>

	* man/gtranslator.1.in: escape hyphen so it gets interpreted as
	a minus sign.

2009-02-07  Jonh Wendell <jwendell@gnome.org>

	* plugins/source-code-view/source-code-view-plugin.c: Added the
	ability to show some ".h" files, like ".glade.h" and ".schemas.in.h".
	Closes #565809.

2009-02-07  Jonh Wendell <jwendell@gnome.org>

	* plugins/source-code-view/viewer.[c,glade]: Show the source filename
	in the viewer. Closes #570371.

2009-02-07  Jonh Wendell <jwendell@gnome.org>

	* lots of directories: Set the svn:ignore property.

2009-02-07  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/toolbareditor/egg-editable-toolbar.c:
	* src/window.c:
	Using gtk_widget_get_data instead of g_object_get_data. (See bug #568892)

2009-01-31  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Luca Ferretti.
	
	* data/gtranslator-ui.xml:
	* src/window.c:
	* src/dialogs/jump-dialog.c:
	Reorganized the go menu according to
	Gnome HIG. (See bug #569073)

2009-01-31  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Luca Ferretti.
	
	* configure.ac:
	Removed scrollkeeper check. (See bug #569052)

2009-01-24  Pablo Sanxiao  <psanxiao@gmail.com>

	* NEWS:
	* configure.ac:

	gtranslator 1.9.4 released.

2009-01-22  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/header.c:
	(gtranslator_header_get_nplurals):
	Added its correspondent parameter to function
	gtranslator_profile_get_plurals. (Fixes bugs #568197 and #561485)

2009-01-18  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/Makefile.am:
        Remove ChangeLog from EXTRA_DIST section.
        This made distcheck fails because there is
        no src/ChangeLog anymore.

2009-01-12  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Ignacio Casal Quinteiro <nacho.resa@gmail.com>

	* configure.ac:
	* src/Makefile.am:
	* src/draw-spaces.{ch}:
	* src/view.c:
	(gtranslator_view_enable_visible_whitespace):
 	Switched to drawing space system of GtkSourceView 2.4.
 	(Fixes bug #553240).

2009-01-11  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/header-dialog.c:
	Fixed crash when clicking in header button
	and there was no some PO file opened.

	Thanks to Christian Kirbach. (See bug #567320)

2009-01-08  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/header-dialog.glade:
	Minor changed in one label. (Fixes bug #565810)

2009-01-08  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/statusbar.{ch}:
	* src/window.c:
	Now the statusbar is cleared when the last
	file is closed. (Fixes bug #562129)

2009-01-03  Pablo Sanxiao  <psanxiao@gmail.com>

	* data/gtranslator.schemas.in:
	Changed default value of use_profiles_values
	to FALSE.
	* src/dialogs/header-dialog.c:
	Now if there is not any profile defined,
	the toggled button taky_my_options is made
	unsensitive. (Fixes bug #565684).
	
2008-12-31  Pablo Sanxiao  <psanxiao@gmail.com>

	* data/gtranslator-ui.xml:
	* src/actions-go.c:
	* src/actions.h:
	* src/window.c:
	Added GoPrev/NextFile actions and shortcuts.
	Added shortcuts to GoFirst/Last actions.
	
2008-12-30  Pablo Sanxiao  <psanxiao@gmail.com>

	* plugins/subversion/subversion.glade:
	Removed trailing spaces. (Fixes bug #565817)

2008-12-30  Pablo Sanxiao  <psanxiao@gmail.com>

	* plugins/open-tran/open-tran-dialog.glade:
	* plugins/source-code-view/source-code-view-dialog.glade:
	* plugins/subversion/subversion.glade:
	* plugins/subversion/svn-command.c:
	* src/context.c:
	* src/dialogs/preferences-dialog.glade:
	Removed trailing spaces. (Fixes bug #565817)

2008-12-28  Pablo Sanxiao  <psanxiao@gmail.com>

	* plugins/subversion/subversion.glade:
	Minor Fix in Update. (Fixes bug #565812)

2008-12-28  Pablo Sanxiao  <psanxiao@gmail.com>

	* data/gtranslator.schemes.in:
	Changed warn_if_contains_fuzzy and create_backup
	default values to TRUE. (See bug #565806)

2008-12-24  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Tal Benavidor.

	* plugins/subversion/subversion-utils.h:
	* plugins/open-tran/open-tran-plugin.c:
	* plugins/dictionary/gdict-sidebar.c:
	* plugins/dictionary/gdict-sidebar.h:
	* src/message-area.h:
	* src/utils.h:
	* src/actions.h:
	* src/io-error-message-area.h:
	* src/plugin-system/plugin-info.c:
	* src/dialogs/close-confirmation-dialog.h:
	* src/message-table-model.c:
	* src/message-table-model.h:
	* src/statusbar.h:
	* src/actions-help.c:
	Cleaned up GLib and GTK+ includes. (Fixes bug #564468)
	
2008-11-16  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Yuriy Penkin.
	
	* src/prefs-manager.c:
	Fixed gconf key type. (Fixes bug #561039)

2008-11-15  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Seán de Búrca <leftmostcat@gmail.com>
	and modified by me. (Fixes bug #551400)
	
	* configure.ac:
	* data/Makefile.am:
	* data/gtranslator.schemas.in:
	* src/application.c:
	* src/dialogs/header-dialog.c:
	* src/dialogs/preferences-dialog.c:
	* src/dialogs/preferences-dialog.glade:
	* src/header.c:
	* src/po.c:
	* src/prefs-manager-app.c:
	* src/prefs-manager.c:             
	* src/prefs-manager.h:
	* src/tab.c:
	* src/translation-memory/translation-memory-ui.c:
	* src/view.c:
	* src/window.c:
	Cleaned up and organized preferences.
	Now values are stored using gconf schemas.
	
2008-11-15  Pablo Sanxiao  <psanxiao@gmail.com>

	Patch by Christian Kirbach.
	
	* src/dialogs/comment-dialog.glade:
	Fixed spelling mistake in label. (Fixes bug #560789)

2008-11-12  Pablo Sanxiao <psanxiao@gmail.com>

	Patch by  Yuriy Penkin
	
	* plugins/alternate-language/alternate-language-pane.c:
	fix double free memory. (See bug #559811)

2008-11-12  Pablo Sanxiao <psanxiao@gmail.com>

	* src/dialogs/preferences-dialog.glade:
	Removed clones in bold descriptions. (Fixes bug #560479)

	Thanks to Christian Kirbach.
	
2008-11-07  Pablo Sanxiao <psanxiao@gmail.com>

	* src/actions-file.c:
	Removed unnecessary g_print used for testing.

2008-11-07  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/tab.c:
	Fixed mnemonic in msgstr_label. (Fixes bug #558819)

2008-11-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c:
	Fixed anchor style. Thanks to Yuriy Penkin.

2008-10-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c:
	It seems we have to make a show_all.

2008-10-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c:
	* src/dialogs/profile-dialog.c:
	* src/application.c:
	* src/application.h:
	Removed get_prefs_dialog from APP. (Fixes bug #555949).

2008-10-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/open-tran-panel.c:
	Fixed crash freeing memory.

2008-10-27  Pablo Sanxiao  <psanxiao@gmail.com>

	* help/sr/gtranslator.xml:
	Recovered the previous version of the file
	changed in the last commit by mistake.

2008-10-27  Pablo Sanxiao <psanxiao@gmail.com>
	
	Patch by Baris Cicek  <baris@teamforce.name.tr>

	* src/profile.{ch}:
	* src/actions-file.c:
	Now when the program is closed, the profiles file is
	created in the tmp directory and if the profiles list
	were stored correctly, then it's moved to the config
	directory. (Fixes bug #556569)

2008-10-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/subversion-utils.c:
	Added missing * in the ChangeLog entries.

2008-10-22  Baris Cicek  <baris@teamforce.name.tr>

	* src/po.c: 
	Checks if error is NULL. (Fixes bug #556654)

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c:
	* src/actions-edit.c:
	Now copy_to_translation is managed by GtranslatorTab.
	(Fixes bug #556942).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	It was not a good idea remove the tags already present
	in the list. Now they are again. (Fixes bug #549922).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Added keycombo tag. (Fixes bug #556958).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Guilabel does not exist. (Fixes bug #556940).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Guilabel does not exist. (Fixes bug #556929).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Real guimenuitem lacks of dots. (Fixes bug #556938).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Capital letters for "po" at the documentation. (Fixes bug #556912).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Text not closed properly. (Fixes bug #556926).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Guimenuitem and guimenulabel do not exist.
	(Fixes bug #556922).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Extra dots that doesn't exist at a guimenuitem at doc.
	(Fixes bug #556920)

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	"Dialog" is not part of the interface. (Fixes bug #556918).
	Fixed by Christian Kirbach.

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	Extra and lack of spaces at docs strings. (Fixes bug #556913).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtanslator.xml:
	There is no such dialog at the doc. (Fixes bug #556919).
	Thanks to Christian Kirbach.

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gtranslator.xml:
	Now the command appears as gtranslator.
	(Fixes bug #556917).

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-help.c:
	Now help appears localized.

2008-10-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/translation-memory/translation-memory-ui.c:
	Strings not marked for translation. (Fixes bug #556928).

2008-10-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c: Mark strings for translation. (Fixes bug #556876)

2008-10-18  Pablo Sanxiao <psanxiao@gmail.com>

	* src/utils.c:
	(gtranslator_utils_reduce_path):
	Minor Fix: changed g_strconcat to g_build_filename.

2008-10-18  Pablo Sanxiao <psanxiao@gmail.com>

	Patch by Yuriy Penkin 
	
	* src/profile.c:
	(gtranslator_profile_save_profile_in_xml):
	Removed useless code. (Fixes #553450)

2008-10-14  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/source-view:
	Removed useless directory.

2008-10-14  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/utils.{ch}:
	Added function to shorten a path

	* src/window.c:
	Use the shorten path of the file to
	show it in the recent files menu.

2008-10-14 Baris Cicek <baris@teamforce.name.tr>

       * plugins/charmap/charmap-panel.c:
       Changed #elif to #else (Fixes #556267)

2008-10-14 Baris Cicek <baris@teamforce.name.tr>

	* src/dialogs/assistant.c:
	Made window modal (Fixes #556272)
	
2008-10-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/commit-dialog.c:
	Changed translator's tip.

2008-10-06  Pablo Sanxiao   <psanxiao@gmail.com>

	* src/po.c:
	(gtranslator_po_save_header_in_msg):
	Checking if the current translator is including
	into comments. (Fixes #554756)

2008-10-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c:
	Remove unused func. (Fixes #554900).
	Thanks to Yuriy Penkin.

2008-10-03  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/header-dialog.c:
	Now comments tab in header dialog is editable
	* src/po.{ch}:
	Now if there are changes in the header, it's
	refreshed in Runtime.

2008-10-03  Pablo Sanxiao  <psanxiao@gmail.com>

	* doc/reference/figures:
	* doc/reference/gtranslator-docs.sgml:
	Added class diagrams

2008-10-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/pixmaps/Makefile.am:
	* src/window.c:
	* data/pixmaps/gtranslator-fuzzy-untranslated-prev.png:
	* data/pixmaps/gtranslator-fuzzy-untranslated-next.png:
	Added icons for next/prev fuzzy or untranslated.
	Thanks to Jorge González.

2008-10-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	* data/scripts:
	* man/pozilla.sh.1:
	Removed scripts.

2008-10-02  Pablo Sanxiao  <psanxiao@gmail.com>

	Fixed warnings.

2008-10-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* man/pozilla.sh: Formatting fix (Fixes bug #554431).
	Patch from Jordi Mallach.

2008-09-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/Makefile.am:
	* plugins/open-tran/oo-logo.png:
	* plugins/open-tran/open-tran-panel.c (print_struct_to_tree_view):
	Added OpenOffice.

2008-09-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-params/insert-params-plugin.c (showed_message_cb):
	* plugins/insert-tags/insert-tags-plugin.c (parse_list),
	(showed_message_cb), (impl_activate):
	Do not add shortcuts in the menu, are useless, and use utf-8 to not 
	duplicate tags or params.

2008-09-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	* plugins/Makefile.am:
	* plugins/insert-params/Makefile.am:
	* plugins/insert-params/insert-params-plugin.c
	(on_next_tag_activated), (free_window_data), (update_ui_real),
	(gtranslator_insert_params_plugin_init),
	(gtranslator_insert_params_plugin_finalize),
	(on_menuitem_activated), (parse_list), (showed_message_cb),
	(page_added_cb), (impl_activate), (impl_deactivate),
	(impl_update_ui), (gtranslator_insert_params_plugin_class_init):
	* plugins/insert-params/insert-params-plugin.h:
	* plugins/insert-params/insert-params.gtranslator-plugin.desktop.in:
	Added insert params plugin.

2008-09-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-search.c (phrase_found), (phrase_not_found):
	Added flash messages when searching.

2008-09-23  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/preferences-dialog.c:
	(setup_profile_pages):
	Names of the columns in the tree view marked now 
	for translating. (bug #553460)

2008-09-23  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/ChangeLog:
	* data/ChangeLog:
	* ChangeLog:

	Merged src/ChangeLog and data/ChangeLog into ChangeLog.

2008-09-23  Pablo Sanxiao  <psanxiao@gmail.com>

	* preferences-dialog.c:
	* tab.h:
	* tab.c:
	* application.c:
	* application.h:
	* window.c:
	* window.h:
	* translation-memory-ui.c:
	* translation-memory-ui.h:
	* prefs-manager.c:
	* prefs-manager.h:
	* msg.h:
	* msg.c:
	* profile-dialog.c:
	* profile-dialog.h:
	* profile.h:
	* profile.c:
	* utils.c:
	* utils.h:
	* po.c:
	* po.h:
	* assistant.c:
	* header.h:
	* header.c:

	Updated Copyright in license header.

2008-09-23  Pablo Sanxiao  <psanxiao@gmail.com>

	* application.c:
	(gtranslator_application_init):
	Checks if the profiles.xml doesn't exist and if
	so run the assistant.

2008-09-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	* plugins/charmap/charmap-panel.c
	(on_chapter_view_selection_changed),
	(gtranslator_charmap_panel_init),
	(gtranslator_charmap_panel_get_chartable):
	* plugins/charmap/charmap-panel.h:
	* plugins/charmap/charmap-plugin.c (free_window_data),
	(on_table_status_message):
	Updated charmap plugin to support gucharmap 2.23.

2008-09-22  Baris Cicek  <baris@teamforce.name.tr>

	Reviwed by Ignacio Casal Quinteiro.

	* po.c: 
	Fixes file name suggestion when trying to save file with .pot extension.
	Fixes bug #552999.

2008-09-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c 
	(on_next_tag_activated):
        Should not try to insert a tag if the list is NULL. (Fixes bug 
	#551975).

2008-09-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	* data/po.lang:
	Fixed regex. (Fixes bug #549922).
	
2008-09-09  Seán de Búrca  <leftmostcat@gmail.com>

	* src/dialogs/preferences-dialog.c: Don't grey out label.

2008-09-09  Seán de Búrca  <leftmostcat@gmail.com>

	* src/po.c: Remove unnecessary leading space.

2008-09-08  Seán de Búrca  <leftmostcat@gmail.com>

	* data/desktop/Makefile.am:
	* data/mime/Makefile.am:
		Set CLEANFILES to fix distcheck.

2008-09-08  Seán de Búrca  <leftmostcat@gmail.com>

	* src/profile.c: Fix function calls.

2008-09-08  Seán de Búrca  <leftmostcat@gmail.com>

	* src/profile.c: Correct tag name. Breaks format.

2008-09-08  Seán de Búrca  <leftmostcat@gmail.com>

	* src/profile.c: Make sure we don't make an illegal XML file.

2008-09-08  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/window.c:
	Fixed problem when single file is opened state of 
	file is not expressed.

	Applied patch by Baris Cicek (bug #551073)
	
2008-09-08  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/window.c:
	(set_window_title):
	Fixed problem when sets the title window when tab
	number drecreases to one.

	Applied patch by Baris Cicek (bug #551068)
	
2008-09-08  Seán de Búrca  <leftmostcat@gmail.com>

	* help/gtranslator.omf.in: Add file necessary for gtranslator help to
		work.

2008-09-08  Seán de Búrca  <leftmostcat@gmail.com>

	* configure.ac:
	* help/Makefile.am:
	* help/C/Makefile.am:
	* help/C/gtranslator-C.omf:
		Clean up files obsoleted by conversion to gnome-doc-utils.

2008-09-08  Seán de Búrca  <leftmostcat@gmail.com>

	* doc/reference/Makefile.am: More distcheck fixes.

2008-09-08  Seán de Búrca  <leftmostcat@gmail.com>

	* doc/reference/Makefile.am: Fix distcheck.

2008-09-05  Seán de Búrca  <leftmostcat@gmail.com>

	* configure.ac: Check for SVN version and clean up.

2008-09-04  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/plugin-system/plugins-engine.c:
	(gtranslator_plugins_engine_load_all):
	Changed g_list_foreach and g_list_free to
	g_slist_foreach and g_slist_free because their target
	is a GSList.

2008-09-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/plugin-system/plugins-engine.c:
	Fixed memory leak.

2008-09-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c (update_status):
	Improved performance when updating the status.

2008-09-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main.c (main):
	Fixed another memory leak.
	
	* src/view.c:
	Added doc.

2008-09-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	Damn autotools, fixed a check in neon.

2008-09-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	Fixed check of neon and improved the detection.

2008-09-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	Improved subversion detection.

2008-09-03  Pablo Sanxiao  <psanxiao@gmail.com>

	* configure.ac:
	* Makefile.am:
	* /help/C/gtranslator.xml:
	* /help/gtranslator.om.in:
	* /help/Makefile.am:
	Changed to gnome-doc-utils.
	* /src/actions.h:
	* /src/actions-help.c:
	* /src/window.c:
	Now the help is shown with ghelp.

	Added support for gnome-doc-utils and show the
	user manual.
	
2008-09-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/open-tran-plugin.c (impl_activate):
	Removed unnecessary code.

2008-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtr-toolbar.xml:
	* data/gtranslator-ui.xml:
	Added Jump menuitem

2008-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c: Message edition finished signal must not be
	emitted if the first message was not shown.

2008-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/draw-spaces.c (draw_tabs_and_spaces):
	* src/po.c (gtranslator_po_init), (gtranslator_po_parse):
	* translation-memory/berkeley/berkeley.c
	(gtranslator_berkeley_store), (gtranslator_berkeley_lookup):
	* translation-memory/translation-memory-ui.c (showed_message_cb),
	(tree_view_size_cb):
	* utils.c (check_good_word),
	(gtranslator_utils_split_string_in_words):
	Fixed lots of memory leaks. Thanks to José Dapena Paz.

2008-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/application.c (gtranslator_application_init):
	* translation-memory/berkeley/berkeley.c
	(gtranslator_berkeley_lookup),
	(gtranslator_berkeley_set_max_items),
	(gtranslator_translation_memory_iface_init),
	(gtranslator_berkeley_init):
	* translation-memory/translation-memory.c
	(gtranslator_translation_memory_set_max_items),
	(gtranslator_translation_memory_set_max_items_default),
	(gtranslator_translation_memory_base_init):
	* src/translation-memory/translation-memory.h:
	Added set_max_default funcs to get less items when searching in database.

2008-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* dialogs/jump-dialog.c (dialog_response_handler),
	(gtranslator_jump_dialog_init), (gtranslator_jump_dialog_finalize),
	(gtranslator_jump_dialog_class_init),
	(gtranslator_show_jump_dialog):
	* src/dialogs/jump-dialog.glade:
	* src/dialogs/jump-dialog.h:
	Forgot to add the files in the previous commit.

2008-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-go.c (gtranslator_message_jump):
	* src/actions.h:
	* src/dialogs/Makefile.am:
	* src/po.c (gtranslator_po_get_msg_from_number):
	* src/po.h:
	* tab.c (gtranslator_tab_go_to_number),
	(gtranslator_tab_set_message_area):
	* src/tab.h:
	* src/window.c:
	Added jump dialog/menuitem.

2008-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* tab.c (gtranslator_tab_edition_finished),
	(gtranslator_tab_set_message_area):
	* src/tab.h:
	Added the neccessary API to manage the message area in a plugin.

2008-09-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/desktop/gtranslator.desktop.in.in:
	Removed deprecated field.

2008-09-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am:
	* src/dialogs/bookmarks-dialog.glade:
	Removed unneccessary glade file.

2008-09-01  Ignacio Casal Quinteiro  <nacho@ansalon>

	* Makefile.am:
	* plugins/charmap/Makefile.am:
	* plugins/dictionary/Makefile.am:
	* plugins/source-code-view/Makefile.am:
	* plugins/subversion/Makefile.am:
	Fixes distcheck problems.

2008-08-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/assistant.c (create_start_page):
	Fixed typo.

2008-08-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/pixmaps: Added pixmaps directory.
	* data/pixmaps/*.png: Added some pngs that Jorge González made.
	* data/Makefile.am: Removed plugin png.
	* src/window.c: Added new pixmaps.
	* configure.ac: Adde pixmaps Makefile.

2008-08-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/po.lang:
	Fixed regex. (Fixes bug #549922).

2008-08-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	Fixed regex. (Fixes bug #549922).

2008-08-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* history-entry.c (gtranslator_history_entry_class_init),
	(gtranslator_history_entry_save_history), (remove_item),
	(gtranslator_history_entry_load_history):
	* src/message-area.c:
	* src/message-area.h:
	Sync with gedit to get the docs I added.

2008-08-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am:
	* src/utils.c (gtranslator_utils_help_display):
	Added DATADIR variable.

2008-08-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am:
	* src/application.c (gtranslator_application_init):
	* src/dialogs/Makefile.am:
	* src/dialogs/comment-dialog.c (gtranslator_comment_dialog_init):
	* src/dialogs/header-dialog.c (gtranslator_header_dialog_init):
	* dialogs/preferences-dialog.c
	(gtranslator_preferences_dialog_init):
	* src/dialogs/profile-dialog.c (gtranslator_profile_dialog_init):
	* src/dialogs/search-dialog.c (gtranslator_search_dialog_init):
	* src/utils.c (gtranslator_utils_help_display):
	* src/view.c (gtranslator_view_init):
	* window.c (gtranslator_window_layout_load),
	(gtranslator_window_draw):
	Changed DATADIR to PKGDATADIR.

2008-08-27  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/po.c:
	(gtranslator_po_save_header_in_msg):
	Changed strcmp to g_utf8_collate.

	Fixed bug #549381.
	
2008-08-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/search-dialog.glade:
	Put more clear the search in fuzzy messages string. (Fixes #549371)

2008-08-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* window.c (set_window_title), (notebook_switch_page),
	(notebook_page_removed), (notebook_tab_added),
	(gtranslator_window_draw):
	If there is only one tab add the path to the window title. (Fixes #549369)

2008-08-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/source-code-view/source-code-view-plugin.c
	(gtranslator_source_code_view_plugin_init), (showed_message_cb),
	(delete_text_and_tags), (page_added_cb):
	Fixed bug that was making crash the program when opening several tabs.

2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/plugin-system/plugin-manager.c (about_button_cb):
	* src/plugin-system/plugin.c:
	* src/plugin-system/plugin.h:
	* src/plugin-system/update-from-gedit.sh:
	Sinchronized to get the doc I added to gedit. And fixed a bug in the
	update script.

2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/debug.h:
	Added documentation.

2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* actions-file.c (save_dialog_response_cb),
	(gtranslator_save_current_file_dialog):
	Added status message when saving.

2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/translation-memory/translation-memory.c:
	Added documentation.

2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* translation-memory/translation-memory-ui.c (on_activate_item_cb),
	(showed_message_cb):
	Pass the data to the menuitem instead of split the string or try to get
	the data from the end of the string. (Fixes bug #549200).

2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/translation-memory/translation-memory-ui.c (on_activate_item_cb):
	We can split a type of text as we are going to get problem sppliting it.

2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/source-code-view/source-code-view-plugin.c (insert_link),
	(gtranslator_source_code_view_plugin_init), (showed_message_cb),
	(delete_text_and_tags), (message_edition_finished_cb),
	(page_added_cb), (impl_activate), (impl_deactivate):
	Now it is not leaking memory when changing within messages.
	And now it removes the text and it adds the text if we disable or enable
	the plugin.

2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* doc/reference/Makefile.am:
	* doc/reference/gtranslator-docs.sgml:
	* doc/reference/gtranslator.types:
	Added missing files to doc.

2008-08-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/translation-memory/translation-memory-ui.c (on_activate_item_cb):
	Using glib func instead of atoi. A try to fix bug 549200.

2008-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtr-toolbar.xml:
	* data/gtranslator-ui.xml:
	Added next/prev fuzzy or untranslated menuitems.

2008-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* actions-go.c
	(gtranslator_message_go_to_next_fuzzy_or_untranslated),
	(gtranslator_message_go_to_prev_fuzzy_or_untranslated):
	* src/actions.h:
	* po.c (gtranslator_po_get_next_fuzzy_or_untrans),
	(gtranslator_po_get_prev_fuzzy_or_untrans):
	* src/po.h:
	* tab.c (gtranslator_tab_go_to_next_fuzzy_or_untrans),
	(gtranslator_tab_go_to_prev_fuzzy_or_untrans):
	* src/tab.h:
	* src/window.c (set_sensitive_according_to_message):
	Now you can jump to next/prev fuzzy or untranslated message. I know
	we are under feature freeze but this is really useful and it was really
	easy to implement.

2008-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/msg.c (gtranslator_msg_new):
	* src/po.c (gtranslator_po_parse):
	The init status of the message must be set in the constructor of the
	GtranslatorMsg.

2008-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c (gtranslator_po_parse_files_from_dialog):
	Fixed crash opening files with filechooser (Fixes #548923).
	Thanks to Jorge González and Christian Kirbach.

2008-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* toolbareditor/egg-editable-toolbar.c
	(toolbar_visibility_refresh), (new_separator_pixbuf):
	* src/toolbareditor/egg-editable-toolbar.h:
	* toolbareditor/egg-toolbar-editor.c
	(egg_toolbar_editor_set_model):
	* src/toolbareditor/egg-toolbar-editor.h:
	* src/toolbareditor/egg-toolbars-model.c:
	* src/toolbareditor/egg-toolbars-model.h:
	* src/toolbareditor/eggtreemultidnd.c:
	* src/toolbareditor/eggtreemultidnd.h:
	Synchornized from server.

2008-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/header-dialog.glade:
	* src/dialogs/preferences-dialog.glade:
	Removed all gtk-* strings as translatables. Patch by Christian Kirbach.

2008-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c (is_duplicated_location):
	A try to fix the bug #548923.

2008-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/open-tran-dialog.glade:
	* plugins/source-code-view/source-code-view-dialog.glade:
	* plugins/source-code-view/viewer.glade:
	Removed all gtk-* strings as translatables. Patch by Christian Kirbach.

2008-08-23  Lincoln de Sousa  <lincoln@minaslivre.org>

	reviewed by: Ignacio Casal Quinteiro

	* doc/reference/gtranslator-docs.sgml:
	* doc/reference/gtranslator.types:
	Changed from comment to context.

2008-08-23  Lincoln de Sousa  <lincoln@minaslivre.org>

	reviewed by: Ignacio Casal Quinteiro

	* Makefile.am: Fixing the order of SUBDIRS, because doc scanner
	links against libgtranslator and it was being compiled *after* doc
	generation.	

2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/header-dialog.c (gtranslator_header_dialog_init):
	* src/dialogs/header-dialog.glade:
	Fixed glade warning.

2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/msg.c (gtranslator_msg_new):
	Fixed bug added in the previous commit.

2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* msg.c (gtranslator_msg_set_property),
	(gtranslator_msg_get_property), (gtranslator_msg_class_init),
	(gtranslator_msg_new), (gtranslator_msg_get_iterator),
	(gtranslator_msg_set_iterator), (gtranslator_msg_get_message),
	(gtranslator_msg_set_message):
	* src/msg.h:
	* src/po.c (gtranslator_po_parse):
	Fixed message constructor, po_message_t must be an argument in the
	constructor. Added the iter as a property too.

2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* msg.c (gtranslator_msg_set_property),
	(gtranslator_msg_get_property), (gtranslator_msg_class_init):
	Now the gettext message is an attribute.

2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* notebook.c (gtranslator_notebook_add_page),
	(gtranslator_notebook_remove_page),
	(gtranslator_notebook_get_page):
	* src/notebook.h:
	* src/window.c (_gtranslator_window_close_tab):
	Now tabs are only shown if there are more than one file opened.

2008-08-22  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/actions-file.c:
	(gtranslator_file_quit):
	Checking if the profiles list is empty before saving 
	profiles in xml.
	* src/dialogs/preferences-dialog.c:
	(setup_tm_pages):
	Checking if filename is NULL before calling
	(gtranslator_prefs_manager_set_tm_lang_entry).

2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.c: Now it does not check if the file is right
	so it does not send bogus warning for untranslated
	messages. (Fixes #548548).

2008-08-22  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/preferences-dialog:
        (setup_tm_pages):
        Added check to know if there is active profile before
        fill the lang_tm_entry by default.
	* src/     * dialogs/profile-dialog:
        (save_new_profile):
        Added check to know if the profiles list is empty and if so
        creating it and set the profile as active.
    
        Now when there is no profile and try to access to preferences
        the program does not crash.t i think i'll get it acomplished once Pablo finish
	the profiles stuff.
2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	Added some AC_HELP_STRING to subversion detection, patch by
	Mikel Olasagasti.

2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Changed versión of gdict to 0.11.0.

2008-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-lang/alternate-language-plugin.c:
	Fixed misspelled word. (Fixes #548926).

2008-08-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.c (gtranslator_po_get_untranslated_count):
	* src/tab.c (update_status):
	Fixed problem showing the number of untranslated messages (Fixes #548798).
	
2008-08-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/subversion-enum-types.c.template:
	* plugins/subversion/svn-add-command.c (svn_add_command_new):
	* plugins/subversion/svn-add-command.h:
	* plugins/subversion/svn-cat-command.c (svn_cat_command_new):
	* plugins/subversion/svn-cat-command.h:
	* plugins/subversion/svn-command.c (svn_command_push_info),
	(svn_command_make_canonical_path), (svn_command_get_revision):
	* plugins/subversion/svn-command.h:
	* plugins/subversion/svn-commit-command.c (svn_commit_command_new):
	* plugins/subversion/svn-commit-command.h:
	* plugins/subversion/svn-diff-command.c (svn_diff_command_new):
	* plugins/subversion/svn-diff-command.h:
	* plugins/subversion/svn-status-command.c (svn_status_command_new):
	* plugins/subversion/svn-status-command.h:
	* plugins/subversion/svn-update-command.c (svn_update_command_new):
	* plugins/subversion/svn-update-command.h:
	Using const where neccessary.

2008-08-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Bumped to libdb >= 4.3 (Fixes #548766).

2008-08-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* actions-file.c (gtranslator_open),
	(gtranslator_po_parse_files_from_dialog),
	(save_dialog_response_cb), (gtranslator_save_file_as_dialog),
	(is_duplicated_location), (load_file_list),
	(gtranslator_actions_load_locations):
	* src/actions.h:
	* src/dialogs/assistant.c (add_to_database), (destroy_idle_data):
	* dialogs/close-confirmation-dialog.c (build_single_doc_dialog),
	(populate_model):
	* dialogs/preferences-dialog.c (add_to_database),
	(destroy_idle_data), (on_add_database_button_pulsed):
	* src/main.c (get_command_line_data), (main):
	* src/notebook.c (sync_name):
	* po.c (gtranslator_po_init), (gtranslator_po_finalize),
	(gtranslator_po_parse), (gtranslator_po_save_header_in_msg),
	(gtranslator_po_save_file), (gtranslator_po_get_location),
	(gtranslator_po_set_location):
	* src/po.h:
	* utils.c (gtranslator_utils_drop_get_locations),
	(gtranslator_utils_scan_dir):
	* src/utils.h:
	* window.c (drag_data_received_cb), (gtranslator_recent_add),
	(gtranslator_recent_chooser_item_activated_cb),
	(gtranslator_window_create_tab),
	(gtranslator_window_get_tab_from_location):
	* src/window.h:
	Switched from const gchar *uri/path to GFile.

2008-08-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-language/alternate-language-panel.c
	(open_file), (open_button_clicked_cb):
	* plugins/source-code-view/source-code-view-plugin.c
	(follow_if_link):
	* plugins/subversion/commit-dialog.c (send_status_command):
	* plugins/subversion/diff-dialog.c (gtranslator_show_diff_dialog):
	* plugins/subversion/subversion-plugin.c (on_add_activated):
	* plugins/subversion/update-dialog.c (setup_dir):
	Ported plugins to new location (GFile) API.

2008-08-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c (gtranslator_tab_append_msgstr_page):
	Fixed scrolling bug.

2008-08-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c (gtranslator_tab_show_message), (gtranslator_tab_draw):
	Removed vertical labels.

2008-08-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-edit.c (gtranslator_message_copy_to_translation):
	* tab.c (gtranslator_tab_append_msgstr_page),
	(gtranslator_tab_show_message), (gtranslator_tab_add_msgstr_tabs),
	(gtranslator_tab_draw):
	* src/tab.h:
	Changed plural forms visualization from kbabel like style to poedit style.

2008-08-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* translation-memory/berkeley/berkeley.c
	(gtranslator_berkeley_lookup):
	Now the list is sorted after all elements are prepended.
	It's faster.

2008-08-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-edit.c (gtranslator_message_copy_to_translation):
	* src/actions-file.c (gtranslator_open):
	* actions-go.c (gtranslator_message_go_to_first),
	(gtranslator_message_go_to_previous),
	(gtranslator_message_go_to_next), (gtranslator_message_go_to_last),
	(gtranslator_message_go_to_next_fuzzy),
	(gtranslator_message_go_to_prev_fuzzy),
	(gtranslator_message_go_to_next_untranslated),
	(gtranslator_message_go_to_prev_untranslated):
	* src/actions-search.c (find_in_list), (do_replace_all):
	* dialogs/assistant.c (on_assistant_apply),
	(gtranslator_assistant_class_init):
	* message-table.c (gtranslator_message_table_selection_changed),
	(sort_message_list):
	* tab.c (gtranslator_tab_message_go_to),
	(gtranslator_tab_go_to_next), (gtranslator_tab_go_to_prev),
	(gtranslator_tab_go_to_first), (gtranslator_tab_go_to_last),
	(gtranslator_tab_go_to_next_fuzzy),
	(gtranslator_tab_go_to_prev_fuzzy),
	(gtranslator_tab_go_to_next_untrans),
	(gtranslator_tab_go_to_prev_untrans):
	* src/tab.h:
	Now actions-go.c is not managing directly the list, it calls the respective
	funcs in tab.ch.
	Now when you change within messages and the current message has plurals
	it is going to change within the plural tabs instead of changing to the
	next message.

2008-08-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* dialogs/assistant.c (on_assistant_close), (add_to_database),
	(destroy_idle_data), (on_assistant_apply), (on_assistant_prepare),
	(on_profile1_entry_changed), (on_profile2_entry_changed),
	(create_database_page), (create_finish_page),
	(gtranslator_assistant_class_init):
	* src/dialogs/preferences-dialog.c (on_add_database_button_pulsed):
	* src/utils.c (gtranslator_utils_scan_dir):
	* src/utils.h:
	Moved _scan_dir func to utils.
	Added add to database implementation in assistant.

2008-08-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* po.c (gtranslator_po_parse), (gtranslator_po_save_file),
	(gtranslator_po_check_po_file):
	* src/po.h:
	* tab.c (set_message_area), (gtranslator_tab_edition_finished),
	(gtranslator_tab_message_go_to), (gtranslator_tab_block_movement),
	(gtranslator_tab_unblock_movement):
	* src/tab.h:
	Added check to know if there are errors on save.
	Fixed bug showing the msg error when there was one in the first msg
	and the msg was not showed yet.

2008-08-14  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* dialogs/assistant.c (on_assistant_prepare),
	(on_assistant_cancel), (create_start_page),
	(on_profile1_entry_changed), (create_profiles_page1),
	(on_profile2_entry_changed), (create_profiles_page2),
	(on_dir_find_button_clicked), (create_database_page),
	(create_finish_page), (gtranslator_assistant_init),
	(gtranslator_assistant_finalize),
	(gtranslator_assistant_class_init), (gtranslator_show_assistant):
	* src/dialogs/assistant.h:
	Added assistant dialog. It appears when default directory is created.
	Missing apply action.

2008-08-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/debug.h:
	* plugin-system/*
	Added debug system.

2008-08-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* window.c (menu_item_select_cb), (menu_item_deselect_cb),
	(connect_proxy_cb), (disconnect_proxy_cb),
	(gtranslator_window_draw):
	Now the menuitem tooltips are showed in the statusbar.

2008-08-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Added DEBUG variable.

2008-08-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-language/alternate-language-plugin.c
	(on_alternate_lang_activated), (free_window_data),
	(update_ui_real), (create_alternate_lang_plugin_panel),
	(impl_activate), (impl_deactivate), (impl_update_ui),
	(gtranslator_alternate_lang_plugin_class_init):
	Added menuitem to switch to the Alternate lang tab.

2008-08-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugin-system/module.c (gtranslator_module_load),
	(gtranslator_module_class_real_garbage_collect),
	(gtranslator_module_finalize), (gtranslator_module_get_property),
	(gtranslator_module_set_property), (gtranslator_module_class_init),
	(gtranslator_module_class_garbage_collect),
	(gtranslator_module_new_object), (gtranslator_module_get_path),
	(gtranslator_module_get_module_name):
	* src/plugin-system/module.h:
	* src/plugin-system/plugin-info-priv.h:
	* src/plugin-system/plugin-info.c (_gtranslator_plugin_info_new):
	* src/plugin-system/plugin-info.h:
	* src/plugin-system/plugin-manager.c:
	* plugin-system/plugins-engine.c
	(gtranslator_plugins_engine_load_dir),
	(gtranslator_plugins_engine_garbage_collect),
	(compare_plugin_info_and_name),
	(gtranslator_plugins_engine_get_plugin_info), (load_plugin_module):
	* src/plugin-system/plugins-engine.h:
	* src/plugin-system/update-from-gedit.sh:
	Synchronized with gedit.

2008-08-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/file-dialogs.c (gtranslator_file_chooser_new):
	Changed filter pattern. (Fixes bug #547247)
	Patch by Baris.

2008-08-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* dialogs/preferences-dialog.c
	(gtranslator_preferences_dialog_init):
	* src/dialogs/preferences-dialog.glade:
	Removed toolbar style. Not sure we should let the user change the toolbar
	style.

2008-08-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/source-code-view/source-code-view-plugin.c (insert_link):
	Added line visualizacion.

2008-08-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-language/alternate-language-panel.c
	(search_message), (open_button_clicked_cb),
	(gtranslator_alternate_lang_panel_draw),
	(gtranslator_alternate_lang_panel_new):
	Changed radio buttons to GtkImage and now filechooser opens the directory
	where the main po file is stored.

2008-08-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/open-tran-panel.c:
	* plugins/open-tran/inkscape.png:
	* plugins/open-tran/Makefile.am:
	Added inkscape.

2008-08-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/msg.c (gtranslator_msg_check):
	* src/msg.h:
	* translation-memory/translation-memory-ui.c (on_activate_item_cb),
	(free_list), (showed_message_cb),
	(gtranslator_translation_memory_ui_init),
	(gtranslator_translation_memory_ui_finalize):
	Fixed memory leaks on tm ui. Fixed a bug on _msg_check that was making
	crash the program.

2008-08-08  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/preferences-dialog:
	(setup_plugins_pages):
	Minor Fix: Added a GtkAlignment in order to adapt
	the plugins tab to HIG.
	
2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* actions-view.c (gtranslator_actions_view_context),
	(gtranslator_actions_view_translation_memory):
	* src/actions.h:
	* tab.c (gtranslator_tab_edition_finished),
	(gtranslator_tab_get_translation_memory_ui),
	(gtranslator_tab_show_lateral_panel_widget):
	* src/tab.h:
	* src/window.c:
	Added menuitems to switch with shortcuts between the tabs of the lateral
	panel and added check when storin in the database.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/profile-dialog.c (gtranslator_profile_dialog_init):
	Changed from GtkTooltips to GtkTootip and marked the string for translation.

2008-08-07  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/tab.c:
	(gtranslator_tab_edition_finised):
	Checking if the message is translated before
	adding it to translation memory.
	
2008-08-07  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/tab.c:
	Added function gtranslator_tab_edition_finished to manage
	the "edition_message_finished" signal.
	Now when a message is edited the result is stored in the
	translation memory.
	
2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* translation-memory/translation-memory-ui.c
	(gtranslator_translation_memory_ui_draw),
	(gtranslator_translation_memory_ui_new):
	Fixed criticals adding the widget.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* translation-memory/translation-memory-ui.c (on_activate_item_cb),
	(showed_message_cb):
	Manage the insertion as an user action.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* actions-file.c (gtranslator_open), (gtranslator_close_tab),
	(gtranslator_file_close), (gtranslator_file_quit):
	* src/actions.h:
	* src/window.c (notebook_tab_close_request):
	Now it closes the right tab when you click on close button. 
	And sets the opened tab as active.

2008-08-07  Pablo Sanxiao  <psanxiao@gmail.com>
	
	* src/po.c:
	(gtranslator_po_save_header_in_msg):
	Check if the line to modify in comments end in dot.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/translation-memory/berkeley/berkeley.c (look_fuzzy):
	Don't replace already inserted items in the hashtable.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c (showed_message_cb), (notebook_tab_added):
	Fixed sensitive problem. It wasn't updating well the message sensitive.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* dialogs/preferences-dialog.c (scheme_color_changed_cb),
	(setup_interface_pages), (gtranslator_preferences_dialog_init):
	* src/dialogs/preferences-dialog.glade:
	* prefs-manager-app.c (gtranslator_prefs_manager_app_init),
	(gtranslator_prefs_manager_scheme_color_changed):
	* src/prefs-manager.c:
	* src/prefs-manager.h:
	* view.c (gtranslator_view_init),
	(gtranslator_view_reload_scheme_color):
	* src/view.h:
	Added scheme color setting.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* view.c (gtranslator_view_enable_spellcheck),
	(gtranslator_view_set_search_text):
	Removed spellcheck library support and removed unnecessary notification.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main.c (main):
	* src/utils.c (gtranslator_utils_activate_email):
	* src/utils.h:
	Added email hook function.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtranslator-ui.xml:
	Added view menuitems.

2008-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* m4/intltool.m4:
	Removed unneccessary macro.

2008-08-06  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/po.c:
	(gtranslator_po_save_header_in_msg):
	Changed g_utf8_strncpy to g_strndup
	
2008-08-06  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/po.c:
	(gtranslator_po_save_header_in_msg):
	Checking if the comments are in utf8.
	
2008-08-06  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/profile-dialog.glade:
	Minor fix.
	
2008-08-06  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/header-dialog:
	(save_header):
	Removed unnecessary call to gtranslator_po_save_header_in_msg, only
	should be called in gtranslator_po_save.
	* src/po.c:
	(gtranslator_po_save_header_in_msg):
	Fixed bug in updtate comments. Now if the current translator
	already exists in comments update the year correctly if it
	is necessary.
	
2008-08-05  Pablo Sanxiao  <psanxiao@gamil.com>

	Minor Fixes: cleanning warnings.
	
2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* tab.c (gtranslator_tab_showed_message),
	(gtranslator_tab_create_comment_button),
	(on_comment_button_clicked), (gtranslator_tab_draw),
	(gtranslator_tab_class_init):
	Added Comment button when there is a custom comment on the message.

2008-08-04  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/translation-memory/translation-memory-ui.c:
	Removed comment.h dependency because it isn't necessary really.
	Fixed bug in translation memory menu. Now it shows correctly the
	options.
	
2008-08-04  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/tab.c:
	(gtranslator_tab_draw):
	Added labels to Original and Translated text boxes.:src/ChangeLog

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.c (po_file_is_empty), (gtranslator_po_parse):
	* src/po.h:
	Added check if the file is empty. If it is it returns on
	parse with an error.
	
2008-08-04  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/prefs-manager.{ch}:
	* src/dialogs/preferences-dialog.glade:
	* src/dialogs/preferences-dialog.c:
	Added checkbutton and  text entry in order to choose files
	to create the translation memory.

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/comment.c:
	* src/comment.h:
	* context.c (showed_message_cb), (gtranslator_context_panel_draw),
	(gtranslator_context_panel_init),
	(gtranslator_context_panel_finalize),
	(gtranslator_context_panel_class_init),
	(gtranslator_context_panel_new),
	(gtranslator_context_panel_get_context_text_view):
	* src/context.h:
	* src/dialogs/comment-dialog.c:
	* src/tab.c:
	* src/tab.h:
	* src/Makefile.am:
	Renamed comment.ch as context.ch and removed the custom comment view.

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* translation-memory/berkeley/db-base.c (gtranslator_db_base_init),
	(gtranslator_db_base_finalize),
	(gtranslator_db_base_create_dabatase),
	(gtranslator_db_base_show_error):
	Added recovery mode. Not sure if this works.

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/dictionary/Makefile.am:
	* plugins/dictionary/dict-panel.c:
	* plugins/dictionary/dict-panel.h:
	* plugins/dictionary/dict.gtranslator-plugin.desktop.in:
	* plugins/dictionary/dictionary-plugin.c:
	* plugins/dictionary/gdict-sidebar.c:
	* plugins/dictionary/gnome-dictionary.png:
	Cleaned up the source code, added source chooser and
	fixed some bugs.

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c (parse_list):
	Changed the shortcut in favour of translation memories.

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/subversion-plugin.c:
	Changed shortcut menu.

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/source-code-view/source-code-view-plugin.c:
	Fixed some calls to the old API.

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/source-code-view/source-code-view-plugin.c:
	Changed to new context.ch API.

2008-08-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/xfce.png:
	* plugins/open-tran/open-tran-panel.c:
	Added xfce icon.

2008-08-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/subversion-icon.png:
	Added forgotten icon.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-edit.c (gtranslator_actions_edit_clear):
	* src/actions.h:
	* src/tab.c (gtranslator_tab_clear_msgstr_views):
	* src/tab.h:
	* src/window.c:
	Removed useless menuitems and implemented clear menuitem.

2008-08-01  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/tab.c:
	(gtranslator_tab_draw):
	Deactive tabs in the message table notebook if there is no
	plugins using it.
	
2008-08-01  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/translation-memory/translation-memory-ui.c:
	(showed_message_cb):
	Removed sort in the options showed because now the backend
	sort the options by level.
	
2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-edit.c (gtranslator_actions_edit_clear):
	* src/actions.h:
	* src/tab.c (gtranslator_tab_clear_msgstr_views):
	* src/tab.h:
	* src/window.c:
	Removed useless menuitems and implemented clear menuitem.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/translation-memory/berkeley/berkeley.c (insert_match_sorted):
	Fixed sort function. It was sorting at the inverse.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* translation-memory/berkeley/berkeley.c (insert_match_sorted),
	(gtranslator_berkeley_lookup):
	Take advantage of create the list to insert the values already sorted.

2008-08-01  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/translation-memory/translation-memory-ui.c:
	(showed_message_cb): Limit the options showed in the
	translation memory tab to ten results.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* dialogs/preferences-dialog.c (add_to_database),
	(on_add_database_button_pulsed):
	Restore the dialog to show information about the messages were added
	to the database.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* dialogs/preferences-dialog.c (destroy_idle_data),
	(on_add_database_button_pulsed):
	* src/dialogs/preferences-dialog.glade:
	Now the progressbar is only showed when you click on the add to database
	button.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/msg.c: Removed previouly added changes.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* dialogs/preferences-dialog.c (response_filechooser_cb),
	(on_search_button_pulsed), (add_to_database), (destroy_idle_data),
	(on_add_database_button_pulsed),
	(gtranslator_preferences_dialog_init):
	* src/dialogs/preferences-dialog.glade:
	Added progress bar to show the status of adding a directory to the database.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/msg.c (gtranslator_msg_init), (gtranslator_msg_finalize):
	* tab.c (gtranslator_tab_draw),
	(gtranslator_tab_add_widget_to_lateral_panel),
	(gtranslator_tab_remove_widget_from_lateral_panel):
	* src/tab.h:
	Fixed memory leak on msg.c and added public fucs to manage the lateral
	panel.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-language/alternate-language-plugin.c
	(impl_deactivate):
	Now it removes the alternate lang widget from lateral panel.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtranslator-ui.xml:
	Removed useless menuitems.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/Makefile.am:
	* plugins/subversion/subversion.gtranslator-plugin.desktop.in:
	* plugins/subversion/subversion-icon.png:
	Added subversion icon.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/Makefile.am:
	* plugins/open-tran/open-tran-panel.c:
	* plugins/open-tran/suse.png:
	Updated to latest web API and added suse icon.

2008-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-language/alternate-language-panel.c
	(search_message), (gtranslator_alternate_lang_panel_draw):
	* plugins/alternate-language/alternate-language-plugin.c
	(create_alternate_lang_plugin_panel):
	Improved the search and added to the new lateral panel.

2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* translation-memory/berkeley/db-orig.c (gtranslator_db_orig_init),
	(gtranslator_db_orig_class_init):
	* translation-memory/berkeley/db-trans.c
	(gtranslator_db_trans_init), (gtranslator_db_trans_class_init):
	* translation-memory/berkeley/db-words.c
	(gtranslator_db_words_init), (gtranslator_db_words_class_init):
	* src/window.c (gtranslator_window_draw):
	Commented some private addings to avoid warnings on startup.
	Removed context ids from window.c. Now it is managed on statusbar object
	directly.

2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c (on_add_database_button_pulsed):
	Added parent to message dialog.

2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* translation-memory/berkeley/berkeley.c
	(gtranslator_berkeley_store):
	* translation-memory/berkeley/db-words.c
	(gtranslator_db_words_append):
	* utils.c (check_good_word),
	(gtranslator_utils_split_string_in_words):
	Improved a lot the split_string_in_words func and fixed several bug
	fixes.

2008-07-31  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/prefs-manager.h:
	Changed GPM_HEADER define.
	* src/po.c:
	(gtranslator_po_save_msg_in_header):
	Now it gets the values from the current profile if
	the button take_my_options in the header dialog is activated.
	* src/dialogs/header-dialog.c:
	Check if the button take my options is activated and if so
	makes the text entries non-sensitive.

	Fill the header dialog with the values in the current profile.
	
2008-07-31  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/translation-memory/translation-memory-ui.c:
	(showed_message_cb): Deactive translation memory
	menu if there are no options showed in translation
	memory tab.

2008-07-31  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/ header.{ch}:
	Added attribute header_changed to GtranslatorHeader.
	* src/dialogs/header-dialog.c:
	(save_header): Check if the header has changed and
	if so marks the po to be saved.:src/ChangeLog
	
2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.c (gtranslator_po_parse), (gtranslator_po_save_file):
	* prefs-manager-app.c (gtranslator_prefs_manager_app_init),
	(gtranslator_prefs_manager_autosave_changed):
	* tab.c (install_autosave_timeout),
	(install_autosave_timeout_if_needed), (gtranslator_tab_autosave),
	(remove_autosave_timeout), (gtranslator_tab_init),
	(gtranslator_tab_finalize), (gtranslator_tab_get_property),
	(gtranslator_tab_set_property), (gtranslator_tab_class_init),
	(gtranslator_tab_new), (gtranslator_tab_message_go_to),
	(gtranslator_tab_get_autosave_enabled),
	(gtranslator_tab_set_autosave_enabled),
	(gtranslator_tab_get_autosave_interval),
	(gtranslator_tab_set_autosave_interval):
	* src/tab.h:
	Added autosave feature.

2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c:
	Fixed memory leaks.

2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	* plugins/Makefile.am:
	* plugins/source-view:
	Renamed from source-view to source-code-view.

2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtranslator-ui.xml:
	* src/window.c:
	Removed Open Uri menuitem.

2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c:
	* src/dialogs/preferences-dialog.glade:
	* src/prefs-manager.c:
	* src/prefs-manager.h:
	Removed suffix backup stuff and keep obsolete opcions
	from preferences and added create_backup option.

2008-07-31  Pablo Sanxiao <psanxiao@gmail.com>

	* data/gtranslator-ui.xml:
	Added Translation Memory submenu to Edit menu.

2008-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/subversion-utils.c:
	Fixed bug adding ChangeLog that was adding random data
	at the end of the file.

2008-07-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/application.c:
	Removed duplicated unref.

2008-07-30  Pablo Sanxiao <psanxiao@gmail.com>

	* src/translation-memory/Makefile.am:
	Added translation-memory-ui.{ch}.
	* src/translation-memory/translation-memory-ui.{ch}:
	Implemented translation memory ui, including creating 
	the treeview and model in order to show the options and
	its handlers.
	* src/dialogs/preferences-dialog.glade:
	Added translation memory tab.
	* src/dialogs/preferences-dialog.{ch}:
	Added support to configurate and create the translation memory
	from one directory parsing the files into this directory
	and adding the translated messages to translation memorye
	database.
	* src/tab.c:
	(gtranslator_tab_draw):
	Added notebook to show the translation memory and comments in
	diferent tabs.
	* src/window.c:
	Added translation memory to Edit menu.
	* src/msg.{ch}:
	Added a tm list to GtranslatorMsg including methods get
	and set.

	Added the translation memory ui.
	
2008-07-30  Pablo Sanxiao <psanxiao@gmail.com>

	* src/utils.{ch}:
	Added functions in order to get the current date,
	time and year.x

2008-07-30  Ignacio Casal Quinteiro  <nacho@ansalon>

	* src/Makefile.am:
	* application.c (gtranslator_application_init),
	(gtranslator_application_finalize),
	(gtranslator_application_get_translation_memory):
	* src/application.h:
	Added translation memory loading and added the releated libraries
	to the Makefile.am file.

2008-07-30  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/profile.{ch}:
	(gtranslator_profile_get_profiles_from_xml):
	Added support to get active profile.
	(gtranslator_profile_save_profiles_in_xml),
	* src/dialogs/preferences-dialog.glade:
	Added tab to configure profiles.
	* src/dialogs/preferences-dialog.{ch}:
	Added support to manage the profiles page,
	including create the model for the treeview and
	handlers for the signals.
	* src/dialogs/profile-dialog.glade:
	Added ui for the profile dialog.
	* src/dialogs/profile-dialog.{ch}:
	Added GtranslatorProfileDialog class.
	* src/application.{ch}:
	Added profiles list, active profile and
	preferences-dialog to application object, including
	methods set and get.
	* src/actions-file.c:
	(gtranslator_file_quit): Save profiles list in xml
	when the application is closed.
	* src/main.c:
	Load profiles list.
	
	Added new feature: support different profiles for the translator.

2008-07-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/commit-dialog.c:
	* plugins/subversion/subversion-utils.c:
	Now it sets correctly the ChangeLog entry getting the values
	from the profile manager.

2008-07-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	Now it shows the plugins you are going to install or
	if you can't install one of them the requirement for them.

2008-07-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/subversion/subversion.glade:
	Removed some strings marked as translatable.
	
2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/statusbar.c:
	Fixed access to statusbar object.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/draw-spaces.c:
	Improved \n symbol and added RTL support.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/     * translation-memory/berkeley/berkeley.c:
        Fixed bug looking for 100% matches.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/translation-memory/Makefile.am:
	* src/translation-memory/berkeley/Makefile.am:
	* translation-memory/berkeley/berkeley.c
	(gtranslator_berkeley_store), (union_of_db_keys), (advance_cycle),
	(look_fuzzy), (gtranslator_berkeley_lookup),
	(gtranslator_berkeley_set_max_omits),
	(gtranslator_berkeley_set_max_delta),
	(gtranslator_translation_memory_iface_init),
	(gtranslator_berkeley_init), (gtranslator_berkeley_finalize),
	(gtranslator_berkeley_class_init), (gtranslator_berkeley_new):
	* src/translation-memory/berkeley/berkeley.h:
	* translation-memory/berkeley/db-base.c (get_db_base_directory),
	(gtranslator_db_base_init), (gtranslator_db_base_finalize),
	(gtranslator_db_base_class_init),
	(gtranslator_db_base_create_dabatase),
	(gtranslator_db_base_show_error), (gtranslator_db_base_put),
	(gtranslator_db_base_get):
	* src/translation-memory/berkeley/db-base.h:
	* translation-memory/berkeley/db-keys.c (gtranslator_db_keys_init),
	(gtranslator_db_keys_finalize), (gtranslator_db_keys_class_init),
	(gtranslator_db_keys_new), (gtranslator_db_keys_new_with_size),
	(gtranslator_db_keys_get_list), (gtranslator_db_keys_get_count),
	(gtranslator_db_keys_set_count):
	* src/translation-memory/berkeley/db-keys.h:
	* translation-memory/berkeley/db-orig.c (gtranslator_db_orig_init),
	(gtranslator_db_orig_finalize), (gtranslator_db_orig_class_init),
	(gtranslator_db_orig_new), (gtranslator_db_orig_write),
	(gtranslator_db_orig_read):
	* src/translation-memory/berkeley/db-orig.h:
	* translation-memory/berkeley/db-trans.c
	(gtranslator_db_trans_init), (gtranslator_db_trans_finalize),
	(gtranslator_db_trans_class_init), (gtranslator_db_trans_new),
	(gtranslator_db_trans_write_string), (gtranslator_db_trans_write),
	(gtranslator_db_trans_read):
	* src/translation-memory/berkeley/db-trans.h:
	* translation-memory/berkeley/db-words.c
	(gtranslator_db_words_init), (gtranslator_db_words_finalize),
	(gtranslator_db_words_class_init), (gtranslator_db_words_new),
	(gtranslator_db_words_append), (gtranslator_db_words_read):
	* src/translation-memory/berkeley/db-words.h:
	* translation-memory/translation-memory.c
	(gtranslator_translation_memory_store),
	(gtranslator_translation_memory_store_default),
	(gtranslator_translation_memory_lookup),
	(gtranslator_translation_memory_lookup_default),
	(gtranslator_translation_memory_set_max_omits),
	(gtranslator_translation_memory_set_max_omits_default),
	(gtranslator_translation_memory_set_max_delta),
	(gtranslator_translation_memory_set_max_delta_default),
	(gtranslator_translation_memory_base_init),
	(gtranslator_translation_memory_get_type):
	* src/translation-memory/translation-memory.h:
	* utils.c (create_word_from_positions), (check_good_word),
	(gtranslator_utils_split_string_in_words):
	* src/utils.h:
	
	Added translation-memory backend.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:	
	* plugins/Makefile.am:
	* plugins/subversion/*:
	* data/gtranslator-ui.xml:
	Added new subversion plugin.
	
	* src/main.c:
	Added threads supporting.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/charmap/charmap-plugin.c:
	* src/statusbar.c:
	* src/statusbar.h:
	Added gtranslator_statusbar_get_context_id func and
	fixed charmap statusbar warnings.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/application.c:
	* src/message-table.c:
	* src/msg.c:
	* src/notebook.c:
	* src/po.c:
	* src/statusbar.c:
	* src/statusbar.h:
	* src/tab.c:
	* src/utils.c:
	* src/view.c:
	* src/window.c:
	Added documentation and updated the old one.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/fullscreen/fullscreen-plugin.c:
	Fixed memory leak.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	* plugins/open-tran/open-tran-panel.c:
	Fixed memory leaks.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-go.c:
	* src/message-table.c:
	* src/actions-search.c:
	* src/tab.ch:
	* src/actions-file.c:
	* src/actions-edit.c:
	If we are searching in the message we shouldn't emit the
	message-showed signal.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	Fixed memory leaks.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-language/alternate-language-plugin.c:
	Deactivate signal listening if we don't have tabs opened.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/file-dialogs.ch:
	* src/application.ch:
	* src/actions-file.c:
	Now it stores the last dir where a file was opened in the
	FileChooser only for the current session.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c:
	* src/msg.ch:
	Fixed message-area freeing corruption.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/po.lang: Added csharp highlight support.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	 * configure.ac:
	* src/comment.h:
	* src/comment.c:
	* plugins/Makefile.am:
	* plugins/source-view/viewer.glade:
	* plugins/source-view/source-view-plugin.h:
	* plugins/source-view/Makefile.am:
	* plugins/source-view/viewer.h:
	* plugins/source-view/source-view-plugin.c:
	* plugins/source-view/viewer.c:
	* plugins/source-view/source-view.gtranslator-plugin.desktop.in:
	* plugins/source-view/source-view-dialog.glade:
	Added new plugin to show a message in the source code with
	a default viewer or with a custom editor like gedit.

2008-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	* m4/berkeley_db.m4:
	* m4/gtk-doc.m4:
	* m4/intltool.m4:
	
	Added translation-memory backend and neccessary macros.

2008-05-26  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/utils.{ch}:
	Added functions gtranslator_xml_new_doc that
	create a new xmlDocPtr from a gchar and
	gtranslator_xml_open_file that open a xml file
	from filename.

	* src/profile.{ch}:
	Added functions gtranslator_profile_xml_new_entry that
	create a new xml with the values of the gtranslator
	profile object, gtranslator_profile_xml_get_entry that
	obtain the values from the xmlNodePtr and save them into
	gtranslator profile and gtranslator_profile_get_profiles_
	from_xml_file that obtain a list of profiles from a xml file.
	
2008-04-28  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/header-dialog.c:
	Now when you edit the header, po file is
	marked to be saved.
	
2008-04-21  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/po.{hc}:
	* src/dialogs/header-dialog.c:
	Now header's values are saved into msg when 
	close the header dialog.
	
2008-04-21  Pablo Sanxiao  <psanxiao@gmail.com>

	* src//dialogs/header-dialog.glade:
	Minor changes.

	Added patch by Ignacio Casal Quinteiro
	
2008-04-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c:
	Finished the close confirmation dialog stuff.

2008-04-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c:
	Fixed sensitive bug.

2008-04-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/close-confirmation-dialog.ch:
	* src/dialogs/Makefile.am:
	Added close confirmation dialogs.

	* src/window.ch:
	* src/tab.ch:
	* src/actions-file.c:
	* src/notebook.c:
	Added close dialog for a single tab.

2008-04-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.ch:
	* src/tab.ch:
	* src/actions-file:
	* src/window.c:
	Changed GtranslatorTabState to GtranslatorPoState. It has
	more sense.

2008-04-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	Now next_tag is unsensitive when there is no tag in the message.

2008-04-09  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/profile.c:
	Fixed function gtranslator_profile_finalize.

2008-04-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/fullscreen/fullscreen-plugin.c:
	Added key binding. F11.

2008-04-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/fullscreen/*
	* configure.ac:
	* data/gtranslator-ui.xml:
	Added fullscreen plugin.

2008-04-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: 
	* plugins/open-tran-panel.c:
	Removed libsoup 2.2 support. Now is only supported the 2.4 version.

2008-04-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/application.c:
	Removed useless g_warning.

2008-04-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Fixed open tran conditional.

2008-04-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/application.{ch}:
	* src/window.c:
	Now _gtranslator_application_get_toolbars_model return a G_OBJECT
	instead of EggToolbarsModel.

2008-04-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtranslator.pc.in:
	Removed duplicated variable.

2008-04-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/charmap/Makefile.am:
	* plugins/charmap/gucharmap.ico:
	* plugins/charmap/charmap-plugin.c:
	Added gucharmap icon. (Fixes bug #513684)

2008-03-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/     * commnet.{ch}:
        Now you can see the source code in gedit.
	* src/     * window.h:
        Removed useless funcs declarations.

2008-03-31  Pablo Sanxiao  <psanxiao@gmail.com>
	
	* src/profile.{h,c}:
	Added these files that implement the profile class

2008-03-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>
	
	* src/utils.c:
	Fixed comment.
	* src/application.{ch}:
	* src/window.c:
	Marked funcs as non exportables.
	* src/po.h:
	Removed duplicate definition of a func.

2008-03-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* doc/reference/*:
	Updated API documentation.

2008-03-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	Fixed regular expression.

2008-03-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/po.lang:
	Fixed regular expression.

2008-03-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message-table.c:
	Now message-showed signal is emitted once. (Fixes bug #524783)

2008-03-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	Now tags are managed individually.

2008-03-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/insert-tags/insert-tags-plugin.c:
	Now the insertion in managed as an user action.

2008-03-26  Pablo Sanxiao  <psanxiao@gmail.com>

	* src//dialogs/profile-dialog.glade:
	Removed spinbutton for plurals.
	* src//dialogs/profile-dialog.c:
	Added tooltip for plurals entry.

2008-03-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils.c:
	Minor fixes in gtranslator_utils_activate_url func.

2008-03-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	Fixed gettext detection.
	Added insert-tags plugin.

	* plugins/Makefile.am:
	* plugins/insert-tags/*
	Added insert-tags plugins.

2008-03-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

        * src/application.c:
        Fixed memory leaks.
        * src/window.c:
        Removed unnecessary func and added the update-ui signal emission
        for plugins.

2008-03-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-go.c:
	* src/window.ch:
	* src/statusbar.ch:
	* src/actions-file.c:
	Now progress bar is inside of our statusbar class.
	(Fixes bug #514758).

2008-03-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils.ch:
	* src/prefs-manager-app.c:
	* src/application.c:
	* src/window.c:
	Added config folder to store all config files.
	(Fixed bug #523898).

	* configure.ac:
	Switched to gettext 0.17.

2008-03-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main.c:
	* src/application.ch:
	* configure.ac:
	Added gio and now you can open a file from console.
	(Fixes bug #517913).

2008-03-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/msg.ch:
	* src/comment.c:
	Added pretty format visualization (Fixes bug #520496)

2008-03-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/comments.c:
	Set the wrap mode to word.

2008-03-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils.ch:
	Added func to show the help. Now we need help to show.

2008-03-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c:
	* src/po.c:
	* src/prefs-manager.c:
	* src/header.c:
	* src/prefs-manager.h:
	* src/header.h:
	Added better support for plural forms. This already needs
	work but i think i'll get it acomplished once Pablo finish
	the profiles stuff.

2008-03-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs-manager.h:
	* src/prefs-manager-app.c:
	Now it is not neccessary restart gtranslator to get
	the new settings. The problem was in the prefs-manager.h
	because I added a wrong path to monitor.

2008-03-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs-manager-app.c:
	* src/dialogs/preferences-dialog.c:
	* src/dialogs/preferences-dialog.glade:
	Now you can choose the anchor style.

2008-03-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/open-tran-plugin.c:
	* plugins/open-tran/open-tran.gtranslator-plugin.desktop.in:
	* src/plugin-system/plugin-info.c:
	* src/application.ch:
	* src/main.c:
	* src/Makefile.am:
	* data/Makefile.am:
	Added icon for open tran. This patch fixes partialy the bug #513684.

2008-03-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-lang/alternate-language-panel.c:
	Fixed bug that makes crash gtranslator.

2008-03-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/open-tran-plugin.c:
	* plugins/open-tran/open-tran.gtranslator-plugin.desktop.in:
	* src/plugin-system/plugin-info.c:
	* src/application.ch:
	* src/main.c:
	* src/Makefile.am:
	* data/Makefile.am:
	* data/gtranslator-plugin.png:
	Added support to load icons in plugins.

2008-03-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.glade:
	Added combobox to configure the anchor style.

2008-03-09  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/preferences-dialog.c:
	* src/dialogs/profile-dialog.h:
	* src/dialogs/profile-dialog.glade:
	* src/dialogs/preferences-dialog.glade:
	* src/dialogs/Makefile.am:
	* src/dialogs/profile-dialog.c:
	Added interface for profiles in preferences and
	dialog to add new profile.

2008-03-09  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/plugin-system/plugin-manager.c:
	Changed include utils_gui.h to utils.h
	(Applied patch by Yuriy Penkin, see bug 521399)
	* src/plugin-system/update-from-gedit.sh:
	Changed utils_gui.h to utils.h

2008-03-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/plugins/open-tran/open-tran-plugin.c:
	* src/utils.c:
	* src/utils.h:
	* src/dialogs/preferences-dialog.c:
	* src/dialogs/comment-dialog.c:
	* src/dialogs/search-dialog.c:
	* src/dialogs/header-dialog.c:
	* src/actions-search.c:
	* src/utils_gui.c:
	* src/window.c:
	* src/utils_gui.h:
	* src/view.c:
	* src/main.c:
	* src/Makefile.am:
	Renamed utils_gui.{ch} to utils.{ch}

	* src/po.c:
	Fixed memory leak.

2008-03-04  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/plugin-system/plugin.h:
	* src/plugin-system/plugins-engine.c:
	* src/plugin-system/module.c:
	* src/plugin-system/update-from-gedit.sh:
	* src/plugin-system/plugin-manager.c:
	* src/plugin-system/plugin-info.c:
	Now plugin-system uses g_message instead g_warning
	(By Ignacio Casal Quinteiro)

	* src/dialogs/file-dialogs.{c,h}:
	Now gtranslator checks when you save, if the file
	already exits. Fixed bug 423276
	(By Ignacio Casal Quinteiro)

	* src/application.{c,h}:
	* src/tab.{c,h}:
	* src/window.{c,h}:
	* src/statusbar.c:
	* src/message-table-model.h:
	* src/actions-file.c:
	* src/po.{c,h}:
	* src/msg.{c,h}:
	Fixed some bugs and memory leaks
	(By Ignacio Casal Quinteiro)
	
2008-03-03  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/dialogs/header-dialog.c:
	* src/actions-files.c:
	* src/po.{h,c}:
	* src/header.{h,c}:
	Now when you edit the header, the changes are saved and
	Po file revision date is updated.

2008-03-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Fixed variable name.

2008-03-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Fixed soup library look up.
	* plugins/open-tran/open-tran-panel.c:
	Now open tran supports libsoup 2.4 and libsoup 2.2.

2008-03-02  Pablo Sanxiao  <psanxiao@gmail.com>

	* Merged from GOBJECT_WORK branch (revisions 3194-3501)

2008-02-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-language: Now it shows the status of
	the alternate language and it uses GtranslatorView instead
	of GtkTextView.

2008-02-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils_gui.c: Fixed drop uris func.

2008-02-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils_gui.c: Removed useless func.

2008-02-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/Makefile.am: Removed oc folder.

2008-02-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c: Now is showed message table at startup.
	(Fixes bug #513994)

2008-02-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/notebook.c: Added tooltip in the tab to
	show the path of the file.

2008-02-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Changed some libraries from REQUIRED
	to OPTIONAL.

2008-02-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: I removed the libxml dependency
	because we aren't using it.

2008-02-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/open-tran-dialog.glade:
	Fixed strings by Gil Forcada.

2008-02-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran:
	Added configuration dialog and improved.
	Now you can choose the search code too.

2008-02-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/application.c:
	Now you can edit the menu shortcuts. (Fixes bug #514177)

2008-02-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message-table.c:
	* src/message-table-model.ch:
	* Makefile.am:
	Switched to the new model. Now the load it is faster.
	
	* src/update-from-gedit.sh:
	Removed gedit-panel.ch

	* tab.c: Added exception. 

2008-02-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.c: Improving a bit more the parse.

2008-02-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message-table-model.ch:
	Object that implements our own GtkTreeModel.

2008-02-02  Ignacio Casal Quinteiro  <nacho.reas@gmail.com>

	* src/po.c: Fixed crash when the file doesn't exist.

2008-02-01  Ignacio Casal Quinteiro  <nacho.reas@gmail.com>

	* src/window.h:
	* plugins/alternate-lang:
	Removed plugin.h includes by Silvia Miranda.

2008-02-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Now you can instruct gtkspell to on or off
	fixes (Bug #380022).

2008-01-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src:
		tab.c:
		message-table.c:
		comment.c:
		Now widgets are showed with gtk_widget_show instead
		of gtk_widget_show_all.

2008-01-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src:
		* actions-help:
			Changed copyright date.
		* window.c:
		* tab.c:
			Added some comments.
	* configure.ac:
		Changed vesion to 1.9.3.

2008-01-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/alternate-language/alternate-language-plugin.c
	* plugins/open-tran/open-tran.gtranslator-plugin.desktop.in
	* src/panel.c
	* src/panel.h
	* src/tab.c
	* src/tab.h
	* src/Makefile.am
	* doc/reference/gtranslator.types
	* doc/reference/gtranslator-docs.sgml
	Switched to GtkNotebook instead of GtranslatorPanel.

2008-01-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/layout.xml: I forgot this file.

2008-01-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/open-tran/open-tran-plugin.c:
	* plugins/dictionary/dict-panel.c:
	* plugins/dictionary/dictionary-plugin.c:
	* plugins/charmap/charmap-plugin.c:
	* src/prefs-manager-app.c:
	* src/actions.h:
	* src/dialogs/preferences-dialog.c:
	* src/window.c:
	* src/actions-view.c:
	* src/window.h:
	* src/prefs-manager.c:
	* src/prefs-manager.h:
	* configure.ac:
	* data/Makefile.am:
	* data/gtranslator-ui.xml:
	Switched to gdl and removed some useless menus.


2008-01-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils_gui.ch:
	* src/main.c:
	Now about dialogs have the link button.

2008-01-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/dictionary/dictionary-plugin.c:
	Fixed warning.

2008-01-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	* src/application:
	* src/utils_gui.ch:
	* src/actions-file.c:
	Removed gnome-vfs dependency.

2008-01-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message-table.c:
	Now the load is faster.

2008-01-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

        * plugins/open-tran/open-tran-plugin.c:
        Added deactivate functionality.

2008-01-26  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/application.c:
	* src/main.c:
	* configure.ac:
		Remove dependencies on libgnome and libgnomeui, by Ignacio Casal
		Quinteiro and myself.

2008-01-26  Seán de Búrca  <sdeburca@svn.gnome.org>

	* plugins/charmap/charmap-plugin.c:
	* plugins/open-tran/open-tran-plugin.c:
		Fix compile warnings.

2008-01-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/ChangeLog:
	Removed. It's better use the main ChangeLog file.

2008-01-26  Seán de Búrca  <sdeburca@svn.gnome.org>
	* plugins/dictionary/dict-panel.c:
	* plugins/dictionary/dictionary-plugin.c:
	* plugins/dictionary/gdict-sidebar.c:
	* plugins/dictionary/dictionary-plugin.h:
	* plugins/dictionary/gdict-sidebar.h:
		Fix compile errors and warnings.

2008-01-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/msg.ch:
	* src/comment.c:
	Added msgctxt support.

	* src/Makefile.am: Removed compile.h.

2008-01-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils.c:
	* src/utils.h:
	* src/translator.c:
	* src/translator.h:
	* src/nautilus-string.c:
	* src/nautilus-string.h:
	* src/sighandling.c:
	* src/sighandling.h:
	* src/learn.c:
	* src/learn.h:
	* src/languages.c:
	* src/languages.h:
	* src/compile.c:
	* src/languages.xsl:
	* src/compile.h:
	* src/header_stuff.c:
	* src/header_stuff.h:
	* src/bookmark.c:
	* src/bookmark.h:
	* src/Makefile.am:
	Cleanup all unneccessary sources.

2008-01-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.h: Added missed func.

2008-01-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	* doc/Makefile.am:
	* doc/reference:
	  Added gtk-doc support.

2008-01-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/glossary:
	* src/dictionary:
	* src/charmap:
	* src/alternate-language:
 	  Removed useless directories.

2008-01-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins:
	* Makefile.am:
	* configure.ac:
	Added new plugins.

2008-01-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am:
	* src/window.c: Added get_all_tab func and removed old
	plugins load system.

2008-01-13  Seán de Búrca  <sdeburca@svn.gnome.org>

	* data/Makefile.am:
	* data/gtranslator.pc.in:
	* src/dialogs/Makefile.am:
	* src/dialogs/preferences-dialog.{c,glade}:
	* src/plugin-system/:
	* src/Makefile.am:
	* src/application.{c,h}:
	* src/main.c:
	* src/utils_gui.{c,h}:
	* INSTALL:
	* configure.ac:
		Add plugin functionality, by Ignacio Casal Quinteiro with some help
		from myself.

2007-12-31  Seán de Búrca  <sdeburca@svn.gnome.org>

	* data/pixmaps/:
	* data/Makefile.am:
		Remove unused directory.

2007-12-31  Seán de Búrca  <sdeburca@svn.gnome.org>

	* configure.ac: Remove deleted directory.

2007-12-22  Seán de Búrca  <sdeburca@svn.gnome.org>

	* data/desktop/gtranslator.desktop.in.in: Clean up strings.

2007-12-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Added alternate language.

2007-12-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Removed comment directory.

2007-12-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/colorschemes:
	* data/Makefile.am: Removed colorschemes.

2007-12-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Removed scheme colors.

2007-12-13  Seán de Búrca  <sdeburca@svn.gnome.org>

	* configure.ac: Removed messagestable directory.

2007-12-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/po.lang: Fixed mapping to python variables.

2007-12-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtranslator-ui.xml: Removed scheme colors menu entry.

2007-12-09  Seán de Búrca  <sdeburca@svn.gnome.org>

	* data/gtranslator-ui.xml: Add persistent side pane visibility and
		corresponding menu item.

2007-12-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtranslator-ui.xml: Removed website menuitem.

2007-11-23  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* configure.ac: Fix glib-genmarshal.

2007-11-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Updated glib-genmarshal variable.

2007-11-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/gtranslator-ui.xml: Added bookmarks menu.

2007-11-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Added comment lib.

2007-11-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Added messages table lib.

2007-10-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Applied Sindre Pedersen path that fixes
	fedora build problem. (Fixes bug #489379)

2007-10-14  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/po.lang: Added all neccessary regular expressions.

2007-10-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/po.lang: This is neccessary for syntax highlight in gsv2.

2007-10-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Switched to gtksourceview 2 and removed dictionary.

2007-09-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	Patch by Sean Burke: Thanks a lot.

	This patch does a few things: it renames configure.in to configure.ac (to start
	cleaning up build and using more recent conventions), removes
	SPELLCHECKER_CFLAGS from the Makefile as it appears to be undefined, forces use
	of a more recent automake version, moves the UI XML files to data/ and modifies
	the Makefile there to install it and modifies the source file that opens
	gtranslator-ui to point to the correct directory. It also fixes the
	aforementioned build errors.

2007-09-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

        * AUTHORS: Added me.

2007-09-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* MAINTAINERS: Follow new format regulations.

2007-08-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added dictionary Makefile.

2007-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added charmap Makefile.

2007-08-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Switched to gtk+ >= 2.11.6 becouse
	of GtkTooltip. Switched to 1.9.2 version.

2007-08-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Now is required gtk+ >= 2.10.0

2007-08-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added all related to toolbareditor

2007-08-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/mime/gtranslator.keys_template.in:
	* data/mime/gtranslator.mime: Applied Cosimo Cecchi patch to fix #150834.

2007-08-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added gtksourceview dependencie.

2007-07-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added gdict dependencie.

2007-07-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added gucharmap dependencie.

2007-07-14  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added AC_PROG_INSTALL to fix an instalation problem.

2007-07-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/desktop/gtranslator.desktop.in.in: Tooltip is not phrased as a verb
	  (Fixed bug #414765)

2007-07-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* data/desktop/gtranslator.desktop.in.in: Using it instead of gtranslator.desktop.in.

2007-07-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added data/desktop/gtranslator.desktop.in

2007-06-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Dropped libgnomeui dependencie.

2007-05-13  Ross Golder  <ross@golder.org>

	* configure.in: Dropped libbonobo/ui and libgnomecanvas
	dependencies.

2007-04-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added libglade dependencie.

2007-04-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/languages.c: Updated mailing list.

2007-01-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c: Added plugin load at window startup.

2007-01-05  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/notebook.{c,h}:
	* src/window.c:
		Allow closure of tabs, by Ignacio Casal Quinteiro.

2008-01-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c:
	* src/notebook.c:
	* src/tab.ch:
	* src/window.c:
	Added new property to tab object to notify the
	state. Now it stores the status to notify if the
	tab was modified and then change the name or set
	the sensitivity of the save actions.

	gtranslator-enum-types.{c,h}.template:
	Added for glib-mkenums autogeneration.

	* src/Makefile.am:
	Added glib-mkenums autogeneration and clean up.

2008-01-02  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/po.c:
	* src/header-dialog.c:
	Fixed header dialog to show email address correctly.

2008-01-02  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/actions-file.c:
	* src/window.c:
		Use Project-Id-Version as display name in recent files.

2008-01-01  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/msg.c:
	* src/po.c:
		Free memory when closing a file, by Ignacio Casal Quinteiro.

2008-01-01  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/message-table.c: Focus on current message when GtkTreeView is sorted.

2008-01-01  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/actions-file.c: Focus translation editing box on file open, part of a
		patch from Ignacio Casal Quinteiro.

2008-01-01  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/pixmaps/: Remove unused directory.

2007-12-31  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/alternatelanguage/alternate-language.c:
	* src/alternatelanguage/alternate-language-panel.c:
	* src/charmap/charmap.c:
	* src/dialogs/file-dialogs.h:
	* src/dialogs/header-dialog.c:
	* src/dialogs/preferences-dialog.c:
	* src/po.c:
	* src/prefs-manager.h:
	* src/window.{c,h}:
		Clean up all warnings; add functions to headers, include headers,
		duplicate const strings, remove unused variables, etc.

2008-01-01  Djihed Afifi  <djihed@gmail.com>

	* src/messages-table.c: Sortable original and translation rows.

2007-12-31  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/message-table.c: Make sort a bit more predictable. Fixes some issues
		with tree going to default sort and leaving our messages list
		improperly sorted.

2007-12-31  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/message-table.c: Remove expensive and seemingly unnecessary function
		call.

2007-12-31  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/message-table.c:
	* src/msg.h:
		A bit of rearranging and we can reuse an earlier enum.

2007-12-30  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/message-table.c:
	* src/msg.{c,h}:
	* src/po.{c,h}:
	* src/window.c:
		Add the ability to sort by either message position or status.

2007-12-30  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/messages-table.c: Remove unnecessary variables.

2007-12-30  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/messages-table.c: Add icon column (using gtk+ stock icons for now) and
		remove status colors.

2007-12-30  Djihed Afifi  <djihed@gmail.com>

	* src/dialogs/preferences-dialog.c: Fix sidepane position for RTL languages.
	* src/messages-table.c: Left align translated column for all lang
	directions.

2007-12-29  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/messages-table.c: Proper column sizing for original and translated text.

2007-12-29  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/sg.h, msg.c:
	Added functions gtranslator_msg_get_filename 
	and gtranslator_msg_get_file_line by Ignacio Casal Quinteiro

2007-12-29  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/ialogs/header-dialog.c:
	Added signals and callback functions in order to edit the values in
	header dialog.

2007-12-29  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/ialogs/header-dialog.c:
	Added function gtranslator_header_dialog_fill_from_header.
	Now header dialog shows the values.
	* src/indow.h, window.c:
	Added function gtranslator_window_get_header_from_tab in order to
	get header object from current tab in window.
	* src/eader.c:
	Fixed function gtranslator_header_set_lg_email because of bad implementation.

2007-12-29  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/ialogs/header-dialog.glade:
	* src/ialogs/header-dialog.c: 
	Merged prj_name and prj_version into prj_id_version.
	Changed combo_boxes to text_entries.
	* src/eader.h, header.c, notebook.c:
	Changed name of atribute and functions project_id_version to prj_id_version.
	* src/o.c:
	Fixed parse function to parse comments and charset correctly.
	
				      
2007-12-26  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/dialogs/header-dialog.glade:
	* src/actions-help.c:
	* src/main.c:
	* src/window.c:
		Various string fixes.

2007-12-26  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/tab.c:
	* src/window.c:
		Remove translation status area and add entry to status bar, by Ignacio
		Casal Quinteiro.

2007-12-26  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/alternatelanguage/alternate-language-panel.c: Minor fix.
	* src/dialogs/header-dialog.c: Remove unneeded header.
	* src/application.c: Remove unnecessary warnings.
	* src/notebook.c: Correct tab style.
	* src/po.c: Remove unnecessary return.
	* src/window.c: Fill some blank strings and remove unnecessary warning.

2007-12-25  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/tab.c: Don't show notebook borders if we have no tabs.

2007-12-25  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/dialogs/comment-dialog.c:
	* src/comment.{c,h}:
	* src/prefs-manager-app.{c,h}:
	* src/tab.c:
		Move comment display into content area, by Ignacio Casal Quinteiro.

2007-12-24  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/po.c: Fix previous/next fuzzy/untranslated behavior.

2007-12-22  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/actions-help.c: More cleaning.

2007-12-22  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/dialogs/comment-dialog.c:
	* src/dialogs/header-dialog.c:
	* src/dialogs/preferences-dialog.{c,glade}:
	* src/toolbareditor/egg-editable-toolbar.c:
	* src/actions-help.c:
	* src/window.c:
		Cleanup strings.

2007-12-22  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/header.{c,h}:
	* src/notebook.c:
	* src/po.{c,h}:
		Set tab name when opening file.

2007-12-22  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/header_stuff.h: Remove redefine.

2007-12-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c/glade:
	* src/prefs-manager.ch:
	* src/window.c:
	Now you can choose if you want the side panel in the right
	or in the left. (Fixes bug #502917)

2007-12-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c: Added a few key bindings following hig book.

2007-12-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.h: Removed useless comment.
	* src/actions-edit.c: Added user-action func in undo and redo funcs.
	* src/Makefile.am: Removed header_dialog.glade.

2007-12-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/alternatelanguage/alternate-language-panel.c:
	Fixed search. Now compares with utf8 support.

	* src/actions-file.c:
	* src/tab.c:
	* src/window.c:
	* src/po.c:
	* src/msg.c:
	Now the message status is stored indiviually so
	now is not neccessary parse all the list to get
	the global status.

2007-12-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* alternatelanguage/*
	Added this plugin. I now the interface need more work
	but it is working, i think perfect.
	* src/window.c: Added alternatelanguage plugin.
	* src/actions-file.c: Added g_free call.
	* src/Makfile.am: Added alternatelanguage lib.
	* src/po.c: Added comment.

2007-12-19  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/header-dialog.c, header-dialog.glade:
	Adapted header dialog to Gnome Human Interface Guidelines.
	* src/window.c: Added callback gtranslator_actions_edit_header 
	to Edit menu.

2007-12-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c:
	* src/window.c:
	Added dialogs to show the errors.
	* src/tab.c: Removed unneccessary comment.

2007-12-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message-table.c: 
	Now is listening the message-changed signal to change 
	the colors and the message.
	* src/tab.c: Removed call to update row func of message table.

2007-12-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/comment-dialog.glade:
	* src/dialogs/bookmarks-dialog.glade:
	Removed some strings marked as translatables.(Ex. gtk-close).

	* src/tab.c: Added comment.
	* src/actions-edit: Added message-changed singal emitting
	in copy_to_translation func.

2007-12-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.ch:
	* src/window.c:
	* src/actions-file.c:
	Improved po_parser func. Now it sets the error
	and now the errors are managed well.

2007-12-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/comment-dialog.glade:
	* src/dialogs/comment-dialog.c: 
	Added shadow and a label to the dialog.

2007-12-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/comment: Removed comment folder.

2007-12-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/comment-dialog.ch:
	* src/dialogs/comment-dialog.glade:
	* src/dialogs/Makefile.am:
	Added dialog to edit message comments.

	* src/actions.h:
	* src/actions-edit.c: 
	Added dialog comment dialog call.
	
	* src/tab.ch: Added comment panel get function for comment panel.
	* src/window.c: Added comment dialog call.
	* src/msg.ch: Added msg_set_comment function.
	* src/Makefile.am: Removed comment library.

2007-12-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/bookmarks-dialog.glade: Added bookmarks dialog.

2007-12-16  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-search.c:
	* src/actions-file.c:
	* src/actions-edit.c:
	* src/tab.c:
	gtranslator_tab_show_message is a private method now, so
	we have to use gtranslator_tab_message_go_to instead.

	window.c: Fixed problem with statusbar. Now it shows
	the status of the message.
	* src/statusbar.ch: Fixed some isuess the overwrite mode.
	Now works fine. (Fixes bug #498834).

2007-12-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/statusbar.c: Commit for help.

2007-12-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.ch: status_widgets have to be updated when the message
	is showed too.
	Fixed showed-message signal bug and now emits the showed message
	too.
	* message-table.c
	* src/comment/comment.c:
	  Changed showed-message func to the new specification.

2007-12-14  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/message-table.c:
	* src/window.c:
	* src/comment/comment-panel.c:
		Clarify and HIGify text.

2007-12-13  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/Makefile.am:
	* src/messagestable/:
	* src/message-table.{ch}:
	* src/msg.{ch}:
	* src/tab.c:
	* src/window.c:
		Merge message table into main code and update upon msgstr
		change.

2007-12-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/action-edit.c: Added message_changed emission.
	* src/tab.ch: Added message_changed signal.
	* src/window.c: Added message_changed signal to update statusbar.

2007-12-10  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/prefs-manager-app.c:
	* src/tab.c:
		General cleanup.

2007-12-10  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/tab.c: Remove unnecessary element.

2007-12-09  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/prefs-manager-app.c:
	* src/tab.c:
		Allow persistent message table size.

2007-12-09  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/charmap/charmap.c: Make sure the panel is a GObject before we try to
		unreference it.

2007-12-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/statusbar.ch: Added to manage statusbar funcs.
	* src/Makefile.am: Added statusbar.ch.
	* src/po.c: Removed free of iterator.
	* src/actions-file:
	* src/actions-go:
	  Commented _window_update_statusbar func.
	* src/window.c: Added statusbar widget.
	Now statusbar shows if INS or OVR is set.

2007-12-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c: Removed scheme colors menu entry.

2007-12-09  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/prefs-manager.h: Correct macro name.

2007-12-09  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/Makefile.am:
	* src/actions.h:
	* src/actions-view.c:
	* src/prefs-manager.{ch}:
	* src/application.c:
	* src/window.c:
		Add persistent side pane visibility and corresponding menu item.

2007-12-08  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/prefs-manager.h: Fix gconf key paths.

2007-12-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.c: Added some warnings on gtranslator_po_parse func.

2007-12-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-search.c: I think the search engine is working.
	It search with any flag you want and it replaces perfect
	one occurrence or all occurrences in the messages list.

2007-12-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/view.h: Fixed indentation.
	* src/po.c: Added string.h dependencie.
	* src/prefs-manager-app.c: Changed default window size and changed
	 config place to .config instead of deprecated .gnome2
	* src/application.c: Fixed size problem when the window is closed maximized.
	* src/view.c:
	* src/draw-spaces.c:
	* src/charmap/charmap.c:
	* src/charmap/charmap-panel.c:
	* src/utils_gui.c: 
	* src/actions_search.c:
	* src/io-error-message-area.c:
	  Fixed license problems.

2007-12-04  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/o.c: Fixed problem to parse header.

2007-12-04  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/eader-dialog.h, header_dialog.c: Added GtranslatorHeaderDialog class.
	* src/indow.c: Added Callback for edit header.
	* src/ctions.h, actions-edit.c: Added action for edit header.
	* src/refs-manager.h, prefs-manager.c: Added button "take my options" into gconf.

2007-12-03  Pablo Sanxiao  <psanxiao@gmail.com>

	* src/header.c, header.h: Added Files in order to implement
	GtranslatorHeader class to use instead of GtrHeader structure.
	* src/po.c: Added parse header's fields into GtranslatorHeader.

2007-12-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialog/preferences-dialog.glade: Removed some strings
	marked as translatables. (e.g. "gtk-help")

2007-12-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-help.c: Removed show_home_page func.
	Now home page is stored in about dialog.
	* src/window.c: Removed website menuitem.

2007-12-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils.ch: Removed unneccessary funcs.
	* src/actions-search.c: Now it remembers lastest options.
	* src/utils_gui.ch: Removed unneccsary funcs and dependencies.
	* src/actions-file.c: Removed runtime-config dependencie.
	* src/runtime-config.ch: Removed.
	* src/save.ch: Removed.
	* src/main.c: Cleaned and fixed locale problems.
	* src/Makefile.am: Removed header_stuff.h, runtime-config.ch
	and save.ch files.

2007-12-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/vfs-handler.ch:
	* src/Makefile.am:
	* src/main.c:
	  Removed gnome-vfs because it will be deprecated in
	next glib major release in favor of gio.
	* src/utils-gui.ch: Is needed to port this to gio.
	* src/dialogs/search-dialog.c: Added default values.

2007-12-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions.search.c:
	  Fixed problem in find.

2007-12-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-search.c:
	* src/view.ch:
	  Moved get_selected_text func to view.c as gtranslator_view_get_selected_text.
	* src/prefs-manager.h: Unmark fuzzy is now true by default.
	* src/tab.c: Now detects if unmark fuzzy option is true or false.

2007-12-02  Seán de Búrca  <sdeburca@svn.gnome.org>

	* src/dialogs/preferences-dialog.c:
	* src/dialogs/preferences-dialog.glade:
	* src/prefs-manager.c:
	* src/prefs-manager.h:
	* src/prefs-manager-app.c:
	* src/tab.c:
	* src/view.c:
		Rewrite preferences dialog for ease of navigation and increased HIG
		compliance/consistency with other GNOME apps.

2007-11-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs:
		search-dialog.ch:
		search-dialog.glade: Added fuzzy checkbutton.
	* src/actions-search.c: Search is now more or less working,
	now you can check if you want to search in original, translated
	and fuzzy messages.
	* src/application.ch:
	* src/tab.ch:
	* src/window.ch: 
		Now in get_all_views funcs you can decide if you 
	want original, tranlated or both views.
	* src/prefs-manager-app.c: Addapted to new get_views func specification.

2007-11-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/search-dialog.c: Fixed some errors.
	* src/dialogs/search-dialog.glade: Fixed some name variables.
	* src/utils_gui.ch: Added g_utf8_caselessmatch func to normalize.
	* src/window.c: Added calls to replace and find funcs in menus.
	* src/view.c: Added funcs to manage the search in views.
	* src/tab.c: Added po_check_po_file func.
	* src/view.h: Added search macros.
	* src/Makefile.am: Added actions-search.c
	* src/actions-search.c: Added to manage the search.

2007-11-23  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/Makefile.am: Fix glib-genmarshal.

2007-11-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/gtranslator-marshal.list: Added to create custom closures.
	* src/Makefile.am: Added glib-genmarshal.

2007-11-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs.ch:
	* src/replace.ch:
	* src/find.ch:
	  Removed. They aren't neccessary.

2007-11-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs:
	* src/ search-dialog.ch: Added search dialog.
	* src/ Makefile.am: Added search-dialog.ch.
	* src/utils_gui.ch: Added escape_search_text and unescape_search_text
	funcs.

2007-11-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/update-history-entry.sh: Now is update-from-gedit.sh
	 Now updates: message-area, history-entry and panel.
	* src/Makefile.am: Added history-entry.ch.
	* src/dialogs/Makefile.am: Changed preferences.glade to preferences-dialog.glade

2007-11-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/history-entry.ch: Added from gedit repository.
	* src/update-history-entry.sh: Added to update history entry widget.
	* src/window.c: Added string.

2007-11-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c:
	* src/dialogs/preferences.glade:
	  Changed the name to preferences-dialog.glade
	* src/dialogs/search-dialog.glade: Added search dialog.
	* src/window.c: Added Bookmarks menu.

2007-11-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagestable/messages-table-panel.c:
	  Now messages table wraps the text.
	* src/dialogs/preferences-dialog.c: Removed PIXMAPSDIR define.
	* src/dialogs/Makefile.am: Added PIXMAPSDIR variable.
	* src/tab.c: Removed useless func.

2007-11-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/comment/comment.ch: Added to manage the comment plugin.
	* src/comment/Makefile.am: Added comment.ch.
	* src/msg.h: Added get_extracted_comments func.
	* src/window.c: Added call to comment_activate func.

2007-11-16  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs-manager-app.c: Added listener for dot char option.
	* src/tab.c: Removed draw-spaces.h dependencie. Now is a dependencie
	of view.c.
	 Now the position of the panel is 200.
	* src/view.ch: Added draw-spaces dependencie. Added enable_dot_char
	func to manage draw-spaces.

2007-11-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagestable/messages-table-panel.c:
	Fixed scroll problem (Fixes bug #494911).

2007-11-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/glossary-panel.ch: Moved to glossary folder.
	* src/Makefile.am: Fixed an error with comment lib.

2007-11-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/comment-panel.ch: Moved to comment folder.
	* src/alternate-language.ch: Moved to alternatelanguage folder.
	* src/Makefile.am: Removed comment-panel.ch.
	* src/tab.c: Removed comment-panel.h dependencie.

2007-11-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagestable/messages-table-panel.c:
	  If the message is already showed then is not neccessary
	  show it again.
	* src/prefs-manager.h: Added number_plurals funcs.
	* src/tab.c: Added plural forms support and added comments.
	* src/msg.c: Fixed a bug in msg_check func that makes
	gtranslator crash if xerror2 is not setted.

2007-11-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/parse.ch: Removed.
	* src/po.c:
	* src/tab.c: 
	* actions-file.c
		 Added people to license.
	* src/toolbareditor: Sync from egg svn repository.
	* src/message-area.c: Sync from gedit svn repository.
	* src/message-area.h: 
	* src/io-error-message-area.c: Changed GTRANSLATOR to GTR.

2007-11-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagestable:
	* src/ messages-table-panel.c: Now if a new messages is showed
		the messages table select that message row.

2007-11-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagestable:
	* src/ messages-table-panel.c: Now is showed the 
		messages selected in the messages table.
		Added application dependencie to get the active window.
	* src/ Makefile.am: Added reference to toolbareditor.
	* src/actions-go.c: 
	* src/tab.c: Changed the name of gtranslator_message_go_to func
	to gtranslator_tab_message_go_to.
	* src/application.ch: Added get_active_window func.

2007-11-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagestable/messages-table-panel.c: Switched to
	GtkListStore instead of GtkTreeStore.

2007-11-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagestable/Makefile.am: I forgot it.

2007-11-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagestable/messages-table-panel.ch: Now this is used
	to create the widget.
	* src/messagestable/messages-table.ch: Used to implement
	func activate.
	* src/tab.c: Added get panel func.
	* src/window.c: Added call to messages_table_activate func.

2007-11-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messagetable: Now messages-table.ch are ubicated here,
	becouse i'll start with the conversion of this code to
	a standalone plugin like charmap.
	* src/tab.c: Added showed-message signal and removed 
	calls to messages-table funcs.

2007-11-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messages-table.c: Added ID column.

2007-11-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messages-table.c:
	* src/tab.c: 
	Some string fixes.

2007-11-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/messages-table.ch: Ported to GObject.
	There are some missing features like update a message when
	is changed.
	* src/tab.c: Added messages-table widget to the panel.

2007-11-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils_gui.ch: Removed useless funcs and added some funcs
	to manage uris.
	* src/actions-file.c: Added funcs to manage uris in drag 'n drop.
	* src/window.c: Added drag n' drop support.
	* src/dnd.ch: Removed. is not neccessary anymore.
	* src/Makefile.am: Removed dnd.h.

2007-11-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils_gui.h: Removed stylistics.h dependencie.
	* src/color-schemes.ch:
	* src/stylistics.ch:
	* src/Makefile.am:
	 Removed. It isn't neccessary anymore.

2007-11-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs-manager-app.c: Added listener for syntax highlight.
	* src/view.c: Now sets the highlight according to preferences.

2007-11-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c: Fixed bug in get_all_views func that makes 
	program crash if there aren't tabs loaded.

2007-10-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs-manager-app.c: Added listener for instant spellchecking.
	* src/application, window, tab: get_all_views funcs now have a boolean
	to choose if you want original textviews too.
	Added comments.
	* src/view.c: Added comments and removed useless comments.

2007-10-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences.glade: Removed color edition.

2007-10-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs-manager.h: Added GPM_FONT_DIR to store font configuration
	in gconf.
	* src/prefs-manager-app.c: Added listener for fonts changes.
	Added func to manage font changes.
	* src/application.ch: Added application_get_views to return a list
	of all views in the application.
	* src/tab.ch: Added get_all_views func to get a list with all views
	in a tab.
	* src/window.ch: Added get_all_views to get a list with all views in
	a window.
	* src/view.ch: Added change fonts calls in init func.
	Added set font func.

2007-10-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c: gTranslator now remembers sidebar position.

2007-10-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c: Fixed some things in quit func.
	* src/prefs-manager.h: Added glib dependencie.
	* src/application.c: Now destroy the program when all windows
	are closed. And added window size and state when a new window
	is created.
	* src/window.c: Added save_panes_state func to store window size,
	panel size and window state.
	Added destroy event. When a window is destroyed the size should
	be saved. Added configure event to store width and height values.
	* src/main.c: Now main func call to gtranslator_prefs_manager_app_init func
	instead of gtranslator_prefs_manager_init and calls 
	_prefs_manager_app_shutdown when gtk_main loop is finished to store
	the state window preferences.
	* src/Makefile.am: Added prefs-manager-app.ch.
	* src/prefs-manager-app.ch: Added to manage the preferences in the window.
	If something is changed in the preferences dialog window should change.

2007-10-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/about.ch: Removed.
	* src/actions-help.c: Following new specifications.
	Now this have about and show home page funcs.
	Missing help func.
	* src/window.c: Removed home page func.
	* src/actions.h: Added about and home page funcs.
	* src/Makefile.am: Added actions-help.c and removed about.ch files.

2007-10-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/preferences.ch: Removed.
	* src/runtime-config.c: 
	* src/dialogs/file-dialogs.c:
		Removed preferences.c dependencie.

2007-10-14  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/view.c: Becouse of a gsv 2 bug i need to manage
	the dirs with a gchar **. Syntax highlight is now 
	perfectly working.

2007-10-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am: Removed dictionary plugin.

2007-10-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils.c:
	* src/translator.c:
	* src/utils_gui.c:
	* src/tab.c:
	* src/window.c:
	Removed old prefs system.

	* src/view.c: Switched to gtksourceview2
	* src/dictionary: It is not added becouse in debian there aren't the
	right packages to install it.

2007-10-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils.c:
	* src/translator.c:
	* src/dialogs/file-dialogs.c:
	* src/actions-file.c:
	* src/application.c: Commented old config funcs calls.
	* src/actions.h:
	* src/actions-edit.c: Added gtranslator_actions_edit_preferences
	to call the preferences dialog.
	* src/dialogs/preferences-dialog.c: Now works but is neccessary
	add more configurable things.
	* src/dialogs/preferences-dialog.h: _show_preferences_dialog is now
	a void func.
	* src/dialogs/Makefile.am: Added DATADIR constant and preferences-dialog.ch
	files.
	* src/dialogs/preferences.glade: Added and removed some things.
	* src/utils_gui.ch: Added gtranslator_utils_get_glade_widgets func
	that i copied from gedit code.
	* src/prefs-manager.c: Added lots of defines for configuration funcs.
	* src/prefs-manager.h: Added lots of defines for prefs-manager funcs.
	* src/main.c: Added new preferences manager.
	* src/Makefile.am: Added new preferences manager and removed old manager.

2007-10-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.c: Updated.

2007-10-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences-dialog.ch: Remade the preferences dialog.
	* src/prefs-manager.ch:
	* src/prefs-manager-private.h: Added new preferences system to 
	manage all configuration stuff.
	This files will replace prefs.ch, preferences.ch and prefs_init.c
	files.

2007-09-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/utils.c:
	* src/utils-gui.c:
	* src/prefs.c: Removed gui.h dependency.
	* src/view.c: Improved spellcheck support.

2007-09-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/gui.ch: Removed.

2007-09-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c:
	* src/view.ch: Improved spellcheck support.

2007-09-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/about.c: Fixed spaces in license.

2007-09-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/src/toolbareditor/egg-toolbar-editor.c:
	* src/src/toolbareditor/egg-editable-toolbar.c:
	  Updated from svn server.

2007-09-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c: Now if you try to add char from charmap panel
	and if there aren't any file opened the program don't crashes.

2007-09-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	Path by Sean de Búrca:
	* src/dialogs/Makefile.am: Added preferences.glade.
	* src/prefs.c: Changed glade definition.
	* src/application.c: Fixed bug in toolbar path.

2007-09-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs/preferences.glade: Moved becouse dialogs should be
	there, so missing move preferences dialog to dialogs folder.
	* src/Makefile.am: Removed preferences.glade.

2007-09-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/application.c: Addded DATADIR patch to search for gtr-toolbar.xml

2007-09-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c: Status widgets works fine but it is an ugly
	implementation.
	* src/actions-edit.c: If the fuzzy menuitem is clicked
	now emits a changed signal (Really ugly).

2007-09-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/msg.h: Added gtranslator_msg_set_fuzzy func.
	* src/tab.c: Now if a message change and it was fuzzy
	now the status change to translate or untranslate.

2007-09-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.c: Removed messages-table.h dependencie.
	* src/dictionary/dict-panel.ch:
	* src/dictionary/dictionary.c: Now dictionary stores the
	paned position.
	* src/view.c: Added gtkspellcheck support (This is experimental)
	if you want use it you should undef gtkspell and add gtkspellcheck
	to configure.in.

2007-09-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message-area.c: Fixed some bugs and added style
	properties. You can see bug #467623 and #474334.

2007-09-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dict-panel: Added link text support.

2007-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/undo.ch: Removed.

2007-09-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message.ch: Removed.

2007-09-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/comment.ch: Removed.

2007-08-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c, view.c: Moved gtkspell support from tab.c to view.c.
	* src/message-area.c: Finally working perfect.

2007-08-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message-area.c: Improved message-area widget.

2007-08-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/po.c, msg.ch: Improved gtranslator_msg_check func.

2007-08-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c: Added call to set_sensitive_according_to_window func.
	* src/window.c: Added set_sensitive_according_to_window, 
	can_undo, can_redo, notebook_tab_added funcs and connected page-added
	signal.
	* src/po.c: Using simple if instead of g_return_val_if_fail.

2007-08-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/gtranslator-ui.xml: Added find previous item.
	* src/actions-go.c: Added call to set_sensitive_according_to_message func.
	* src/window.c: Added find previous item.
	Added set_sensitive_according_to_message func.
	* src/po.c: Fixed gtranslator_po_get_untranslated_count func.

2007-08-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/action.h, actions-edit.c: Added copy, paste, cut, 
	undo and redo funcs.
	* src/view.ch: Added copy, paste and cut funcs to manage 
	clipboard.
	* src/window.c: Added calls to copy, paste, cut, undo and
	redo funcs.

2007-08-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c: Subdivied ui into always_sensitive_entries
	and entries.
	Now accel keys works fine.
	Added call to deactivate panel funcs.

2007-08-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dictionary/dict-panel.c: Removed gtranslator_show_message func.
	* src/dictionary/dictionary.ch: Added activate and deactivate funcs.
	* src/dictionary/Makefile.am: Added dictionary.ch files.
	* src/window.c: Added dictionary panel.
	* src/Makefile.am: Added dictionary dependencie.

2007-08-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c: Added gtranslator_file_quit func.
	* src/application.c: Added delete_event signal.
	* src/window.c: Added call to gtranslator_file_quit.
	* src/draw-spaces.c: Changed the color.
	* src/view.c: Commented highlight_current_line func.

2007-08-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-file.c:
	* src/actions-go.c: Added calls to update statusbar and progress bar.
	* src/dialogs.c: Applied Pablo's patch.
	* src/tab.c: Switched to g_signal_connect_after in status_widget func. (Now work)
	* src/window.ch: Added statusbar update.
	* src/po.c: Now parse don't load obsolete messages, and added get funcs for message count.

2007-08-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/charmap/charmap-panel.c: Switched to block-chapters.
	* src/window.c: Added set_sensitive_according_to_tab func and
	  notebook_switch_page to manage the switch-page signal.

2007-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.c: Removed some useless comments.
	* src/charmap/charmap.c: Now gets the active view.
	* src/tab.c: Added gtranslator_tab_get_active_view func and
	  removed some useless comments.
	* src/window.c: Added charmap panel and window_get_active view func.
	* src/msg.c: Added comments.
	* src/Makefile.am: Added charmap.

2007-08-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/io-error-message-area.ch: Added to create the message area dialogs.
	* src/comment-panel.c: Now shows the comments.
	* src/tab.c: Added plural forms support.
	  Now shows an error message if there are errors in the message
	  before go to another message.
	* src/view.c: Added line highlight.
	* src/msg.ch: Added msg_get_msgstr_plural, msg_get_comment,
	  msg_get_extracted_comments and msg_check funcs.
	* src/message-area.c: Switched to GtkTooltip.

2007-08-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/comment-panel.ch: Added to manage the comment in tabs.
	* utils.c, 
	* src/translator.c: Changed indentation rules.
	* src/actions.h: Added gtranslator_save_current_file_dialog func.
	* src/nautilus-string.ch: Removed nautilus_str_has_prefix,
	  nautilus_str_has_suffix, nautilus_istr_has_prefix and
	  nautilus_istr_has_suffix funcs.
	* src/actions-file.c: Added gtranslator_save_file func and
	  gtranslator_save_current_file_dialog.
	* src/prefs.c: Removed "page.c" dependencie.
	* src/save.c: Ported the funcs to the new api.
	* src/alternate-language.c: Added activate and deactivate funcs.
	* src/application.c: Now session funcs are here.
	* src/bookmark.c: Added indentation rules.
	* src/tab.c: Added horizontal panel and added in the comment-panel.
	* src/window.c: Added call to save file.
	* src/main.c: Removed session funcs.
	* src/Makefile.am: Added save.ch ,comment-panel.ch  and removed session.h
	  and main_window.glade files

2007-08-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/session.ch: Removed.

2007-08-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions.c:
	* src/main_window.glade:
	* src/menus.ch:
	* src/page.ch: Removed, is not neccessary anymore.

2007-08-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/about.c: Added me and switched to GPL v3.
	* src/gtranslator-ui.xml: Added search menu.
	* src/actions-edit.c: Added message_copy_to_translation func.
	* src/compile.c: Modified to work in new gtranslator.
	* src/tab.c: Added status_widgets callback func.
	* src/window.c: Modified menubar.
	* src/gtr-toolbar.xml: Added actions.
	* src/msg.ch: Added msg_set_msgstr_plural func.

2007-08-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions-go.c:
	* src/actions-edit.c: Added to manage go and edit menu actions.
	* src/notebook.c: Switched to GtkTooltip.
	* src/tab: Added gtk spell and added message show support, and
	goto message func.
	* src/window.c: Added call to menu funcs.
	* src/po.ch: Added set and gets funcs.
	* src/msg.ch: Added set and get funcs.
	* src/Makefile.am: Added actions-go.c and actions-edit.c

2007-08-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/panel.c: Is now using GtkTooltip instead of deprecated
	  GtkTooltips. (Now is required gtk+ >= 2.11.6)
	* src/window.c: Modified recent files implementation.

2007-08-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/actions.h, actions-file.c: Added to manage the menu
	 actions callback funcs.
	* src/file-dialogs.ch: Removed some funcs.
	* src/tab.c: Improved finalize func.
	* src/window.c: Added calls to save_as and close menuitems.
	* src/po.c: Improved finalize func.


2007-08-14  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/history.ch: Removed from svn repository.
	* src/Makefile.am: Removed history.ch
	* src/tab.c: Removed gtranslator_tab_set_po func and
	  gtranslator_tab_set_trans_text func.
	* src/window.c: Added gtranslator_open func.
	* src/po.c: Added comments, removed gtranslator_open func.
	* src/msg.c: Added comments.
	* src/Makefile.am: Added actions-file.c and actions.h.

2007-08-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c: Added GtkRecentManager to manage the history.
	  history.ch is not needed anymore with this.

2007-08-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/alternate-language.ch: Added. This is a panel to manage
	  an alternative language (Bug #365231). This is not finished yet.

2007-08-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* bookmark.c, compile.c, history.c, colorschemes.ch, session.c
	  vfs-handle.c, message-table.c, message.ch, parse.ch: 
		Removed from Makefile.am. 
	* src/msg.ch: Added to replace message.ch.
	* src/po.ch: Added to replace parse.ch.
	* src/window.ch: Added some get and set funcs.
	* src/application.c: Added create window func.
	* src/main.c, prefs.c: Removed some func calls becouse of missing files.

2007-08-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/tab.c: Added status widgets.
	* src/window.c: Added stock menuitems and sidebar widget.
	* src/panel.ch: Based in gedit sidebar widget.
	* src/Makefile.am: Added panel.ch

2007-08-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.c, gtranslator-ui.xml: Added Edit toolbar dialog.

2007-08-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/gtr-toolbar.xml: This file is neccessary to manage the
	defaults items in toolbar.

2007-08-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/application.ch: Added to manage general app stuffs
	something like gui.ch.
	* src/Makefile.am: Added application.ch.
	* src/window.ch: Modified some little things.
	* src/main.c: Added call to gtranslator_application_open_window func.

2007-08-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am: Added toolbareditor things to compile.
	* src/window.c: Added toolbar.

2007-08-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/toolbareditor/*: Added egg toolbar editor.
	* src/Makefile.am: Added toolbareditor folder.
	* src/gtranslator-ui.xml: File related to menubar.

2007-08-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/window.ch: Window related class. 
	* src/notebook.ch: main notebook to manage po files.
	* src/tab.ch: Single tab for main notebook.
	* src/Makefile.am: Addded window.ch, notebook.ch and tab.ch

###################Initial Rewrite########################

2007-08-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Fixed variable name.

2007-08-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dict-panel.c: Added some error messages.
	* src/parse.c: Added remove pages in file close.

2007-08-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message.c: Fixed plural forms bug.
	* src/page.c: Added strings to translated.

2007-08-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message.c: Plural forms more or less working.
	* src/page.c: Added ScrollWindow widget to sourceviews.
	* src/charmap-panel.c: Uncomment finalize call.
	* src/dict-panel.c: Source name bug fixed.
	* src/color-schemes: Switched to trans_msgstr[X].
	* src/draw-spaces: Switched 3.14 to G_PI.
	* src/view.c: Added wrap mode.

2007-08-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.ch: Added nplurals variable and spin button.
	* src/preferences.glade: Added nplurals spin button values.
	* src/page.c: Removed args-tags.c dependencie.
	Switched to gtksourceview.
	* src/view.ch: GtkSourceView implementation.
	* src/main_window.glade: Removed GtkTextView widgets.
	* src/args-tags.ch: Removed.
	* src/Makefile.am: Removed args-tags.ch and added view.ch.

2007-08-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/page.c: Removed gtranslator_page_set_tag.
	* src/args-tags.ch: Added tags and args highlight funcs.(glib 2.14 needed)
	* src/Makefile.am: Added args-tags.ch.

2007-07-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/page.c: Added gtranslator_page_set_tag func to change the
	tag of markups.

2007-07-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/gui.c: Copy paste is now working, but is not working well
	there are lot of warnings. I used gtk_window_get_focus to get
	the TextView selected. I don't know if this is a good idea.

2007-07-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/draw-spaces.c: Changed \n cairo char.

2007-07-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am: Added draw-spaces.ch and glossary-panel.ch
	* src/glossary-panel.ch: Is not implemented yet.
	* src/draw-spaces.ch: Port of gedit plugin drawspaces.py. (Fixes bug #417186)
	* src/page.c: Added call to draw spaces callback func.

2007-07-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/gdict-common.ch: Removed. It is not neccessary anymore.
	* src/gdict-sidebar: Removed close button.
	* src/Makefile.am: Removed gdict-common.ch
	* src/dict-panel.ch: Removed gdict-common.h dependencie.

2007-07-26  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/gdict-common.ch: Added for common gdict funcs.
	* src/dictionary.c, dict-panel.ch: Working (missing some things)
	 dictionary support.
	* src/Makefile.am: Added gdict-common.ch files.

2007-07-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am: Added gdict-sidebar.ch, gdict-panel.ch, dictionary.ch.
	* src/gdict-sidebar.ch, gdict-panel.ch, dictionary.ch: Widgets to make
	possible gnome-dictionary integration.
	* src/gui.c: Added call to dictionary func.
	* src/main_window.glade: Added dictionary panel.

2007-07-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/page.ch: trans_msgstr now is an array. (For plural forms)
	* src/nautilus-string.c: Just stylistic indentation change.
	* src/message.c: Some changes in plural forms work. Removed regex dependecie.
	* translator.c Switched to glib/gi18n
	* src/header_stuff.c: Changed to g_ascii_digit_value.
	* src/menus.ch, actions.c: Added previously untranslated/fuzzy items.

2007-07-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/gui.c, gucharmap.ch, charmap-panel.c, main_window.glade: 
	  Gucharmap integration is working (Based in gedit-plugin(charmap)).

2007-07-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am: Added charmap.ch, gucharmap.ch
	* src/gucharmap.ch: Added for manage the gucharmap integration.

2007-07-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/session.c: Fixed statusbar bug.
	* src/charmap-panel.ch: Added gucharmap panel widget.

2007-07-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/header_stuff.ch: Added gtranslator_header_get_plural_forms()
	and gtranslator_header_get_nplurals(), funcs to manage plural forms.

2007-07-16  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Fixed separator menutiem problem.

2007-07-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main.c: Using gtk_window_set_default_icon_from_file instead of
	gnome_window_icon_set_default_from_file deprecated func.

2007-07-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Added previously_fuzzy and previously_untranslated
	menuitems.
	Added Control+PageUP/PageDown to go to next/previously fuzzy.
	Alt+PageUP/PageDown to next/previously untranslated.
	Alt+space to copy from original message.

2007-07-14  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message.c: Added po_message_is_translated func (Thanks Bruno).
	Now using po_message_is_fuzzy instead of msg->fuzzy.

2007-07-14  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Changed fuzzy menuitem to checkbutton.

2007-07-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/color-schemes.c: More or less working.
	* src/page.c: I think neccessary set always the style.

2007-07-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/preferences.c: Removed set_color settings func.
	* src/stylistics.c: Added color_to_string func.
	* src/color-schemes.c, gui.c, stylistics.c: Added color-schemes

2007-07-12  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message.c: Fixed plural forms bug (Bug fixed #307029).

2007-07-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.h: Removed GdkColor variables.
	* src/prefs.c, preferences.glade, page.c, stylistics.c: 
	  Custom text color is working now.
	* src/main_window.glade: Added Page_down and Page_Up acelerators
	  to change the message.

2007-07-11  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/preferences.glade, page.c, stylistics.ch:
	  Custom fonts are working now but colors don't and
	  i don't know why. 

2007-07-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/preferences.glade: Added text color selection.
	* src/stylistics.*: Added to Makefile.am.
	* src/preferences.ch: Added config_color func.
	* src/prefs.c: Added color handling.

2007-07-09  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/parse.c: Applied Pablo Sanxiao patch (Bug: #423276).
	* src/languages.c: Changed portuguese mailing group.

2007-07-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/Makefile.am, gui.c, prefs.c, header_stuff.c: Fixed instalation
	  problem. (Bug #454922) Thanks to #gnome-love channel people.

2007-07-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Added notebook variables.
	* src/preferences.glade: Added nplural GtkSpinButton.

2007-07-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/preferences.glade: Fixed string bug.
	* src/message.c: Fixed GtkSpell problem. Plural forms is not implemented yet.

2007-07-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/menus.c, main_window.glade: Added menuitem statusbar messages.

2007-07-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/parce.c: Fixed close event crash.
	* src/dialogs.c: Fixed Goto func.
	* src/actions.c: Fixed comment menuitem sensitive. Now is setting toolbar
	  sensitive to FALSE when a file is closed.
	* src/src/dnd.c: Fixed memory leaks.
	* src/src/bookmark.c: Removed statusbar funcs.
	* src/gui.c: Added statusbar funcs.
	* src/main_window.glade: Added menuitem signal handlers.
	* src/menus.c: Added signal handlers.

2007-07-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/parse.c: Now load first message.
		   gtranslator checks if the filename exists and it asks to user
		   if she/he wants to overwrite it. (Pablo Sanxiao)
	* src/main_window.glade, menus.c: There were two widgets with the
	  same name.
	* src/dialogs.c: Applied Pablo Sanxiao search path but i can't
	  apply it in parse.c becouse there isn't append_line func.

2007-06-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Added Actions GtkMenuItem.

2007-06-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/history.c: Now working.
	* src/bookmark.c: Removed a deprecated func.
	* src/main_window.glade: Removed an useless GtkMenuItem.
	* src/prefs.c: Fixed a collapse problem in TreeView.

2007-06-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/bookmark.c: Removed libgnomeui. Now working with GtkMenu*.
	* src/history.c: Migrating to GtkMenu*. (At the moment is not working)
	* src/gui.c: Removed some useless funcs.

2007-06-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	 * src/actions.c
	 * src/message.c
	 * src/gui.c
	 * src/page.c
	 * src/page.h
	* src/ src/messages-table.c: Replaced gtk_dialog with message area.

2007-06-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Removed some strings marked as Translatables.

2007-06-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/preferences.glade: Fixed some string bugs.

2007-05-31  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Renamed search bar variables.

2007-05-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Added search bar.

2007-05-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/dialogs.c: Added response signal to message area widget.
	Now works fine.

2007-05-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/message-area.ch, Makefile.am: Added message area widgets,
	copied from gedit.
	* src/dnd.c: Now is using message area widget.
	* src/dialogs.ch: Added message area dialog funcs.
	* src/gui.ch: All message area funcs are now in dialogs.ch.

2007-05-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade, gui.c: Added embedded notification messages.

2007-05-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Removed some strings maked to translate
	  like gtk-ok.

2007-05-18  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Added combobox to chouse between
	translation memories pane or message table pane.
	* src/gui.c: 'gtranslator_update_progress_bar' now works.

2007-05-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/a lot of files: Initial glade port.

2007-05-17  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.c, preferences.glade: Fixed a response_id problem.

2007-05-16  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Updated.

2007-05-15  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/main_window.glade: Added.

2007-05-13  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/header_stuff.c: Added missing function.
	* src/languages.c: Added <glib/gi18n.h>

2007-05-08  Ross Golder  <ross@golder.org>

	* src/learn.c, languages.c, about.c, main.c: Fix include of glib.

2007-05-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/header_stuff.c, header_dialog.glade: Added combo_box_entry support.

2007-05-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.c: Added <glade/glade.h>.

2007-05-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.c: Now combo box works fine, and another things
	like sensitive in some widgets like in gtk_font_buttons.
	* src/preferences.glade: Updated.

2007-05-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.c: Ported to libglade. (Missing some things.)
	* src/preferences.glade: Added.

2007-04-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/prefs.c: 'gtranslator_preferences_font_picker_new' now is
	using gtk_font_button instead of gnome_font_picker.

2007-04-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/replace.c: Removed gnome_app_* funcs.
	* src/about.c: Bug fixed (#433819).

2007-04-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/compile.c,find.c: Removed gnome_app_* funcs.

2007-04-27  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/languages.c: Added Occitan language (#392899).

2007-04-24  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/header_stuff.c: Now using libglade, missing GtkComboBoxEntry
	implementation becouse GtkCombo is deprecated.
	* src/header_dialog.glade: Added.
	* src/languages.c: <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-04-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* src/about.c: Removed libgnome dependencies, updated and added license string.
	* src/dnd.c: Removed gnome_app_warning deprecated func. Now using
	gtk_message_dialog_new.

2006-12-31  Ross Golder  <ross@golder.org>

	* src/semerkent: Consigned the unused and unloved 'semerkent' library to
	the history books.

2006-10-15  Ross Golder  <ross@golder.org>

	* src/languages.xsl: Added so we could consider using the ISO-639 list
	instead of keep adding/updating here and there.
	* src/languages.c: Added Urdu language (for Simos Xenitellis #346758).
	* src/languages.c: Added Kurdish language (for Erdal Ronagi #320001).

2006-10-13  Ross Golder  <ross@golder.org>

	* src/header_stuff.c: Improve detection (and fallback) when parsing
	'charset=' tag from 'Content-Type' header (#329405).

2006-10-13  Ross Golder  <ross@golder.org>

	* data/desktop/gtranslator.desktop.in: Add required Bug Buddy
	headers (#348547).

2006-09-24  Jordi Mallach  <jordi@sindominio.net>

	* data/desktop/gtranslator.desktop.in: Add a more descriptive
	"Name" section.

2006-09-24  Jordi Mallach  <jordi@sindominio.net>

	* configure.in: Move ALL_LINGUAS to po/LINGUAS.
	Bump intltool requirement to 0.35.0.

2006-08-30  Matic Zgur  <mr.zgur@gmail.com>

	* configure.in: Added Slovenian (sl) to ALL_LINGUAS.

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete no_NO entry
	* po/no.po: Remove

2006-02-07  Ross Golder  <ross@golder.org>

	* src/main.c: Include necessary headers to avoid compiler warnings.
	* src/messages-table.c: Removed some unused variables.
	* src/gui.c, page.c, prefs.c: Fix a couple of compiler warnings (w/ -Wall)
	* src/parse.c: Don't open the file if there are parser errors. 
	* src/history.c, bookmark.c, dnd.c, dialogs.c, parse.c: Handle error from
	  gtranslator_open sensibly.
	* src/utils.c: Use 'gnome_app_warning' instead of 'gtr.._error_dialog'.
	* src/parse.c: Ensure that correct tab is focussed when file is opened.
	* src/gui.c: Add callback to set current_page on page switch.
	* src/message.c: Add 'gtranslator_message_translation_update' method.
	* src/page.[ch]: Add 'gtranslator_page_dirty' method.

2006-02-03  Jordi Mallach <jordi@sindominio.net>

	* configure.in (GTK_REQUIRED): Bump to 2.6.0 for GtkAboutDialog.

2006-02-02  Ross Golder  <ross@golder.org>

	* src/bookmark.c, history.c, message.c: Fix warning about ignoring
	return values.
	* src/page.c, parse, prefs.c: Fix various compiler warnings.
	* src/utils.c: Fixed mismatched/mistyped function declaration.
	* src/gui.c: Fixed an infinite loop on quit.

2006-01-16  Adam Weinberger  <adamw@gnome.org>

	* src/prefs.c: Spelling and grammar fixes.

2006-01-15  Ross Golder  <ross@golder.org>

	* src/languages.c, messages-table.c, prefs.[ch], translator.c, utils.[ch]:
	New treeview-based preferences dialog supplied by Vital Khilko
	(#326449).

2006-01-15  Ross Golder  <ross@golder.org>

	* src/message.c, gui.c: Fixes to display the translated message
	and plural messages in the page.

2006-01-15  Ross Golder  <ross@golder.org>

	* data/pixmaps/*.png: Various new pixmaps provided by Vital
	Kilkho (#326449) for new preferences dialog..
	* data/pixmaps/Makefile.am: Changes for above.

2005-12-25  Ross Golder  <ross@golder.org>

	* src/comment.c: Minor stack optimisation.
	* src/menus.c: Helped to find the pixmaps.
	* src/dialogs.c (gtranslator_file_chooser_analyse): Tidy up and remove 
	unnecessary loop (giving invalid cast warnings).
	* src/message.c (gtranslator_message_show): Fix text/trans vbox
	packing and unpacking.
	* src/page.c: Make text/trans vboxes fill available space.

2005-12-01  Fatih Demir <kabalak@kabalak.net>

	* src/languages.c: Added Mongolian translation team (#322764).

2005-10-16  Ross Golder  <ross@golder.org>

	* src/parse.c: Fix the gettext error reporting callbacks.

2005-09-27  Ross Golder  <ross@golder.org>

	* src/main.c: Removed hardcoded 'config.h' (#317344). Thanks to
	Enrico (enrico.kravina@gmail.com) for reporting it.

2005-09-27  Mikel Olasagasti  <hey_neken@mundurat.net>

	* src/about.c: Switched from GnomeAbout to GtkAboutDialog.

2005-09-10  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* po/ku.po: Added Kurdish translation

2005-08-13  Ross Golder  <ross@golder.org>

	* Makefile.am: Removed reference to
	'kabalak_generate_all_the_files.sh' from EXTRA_DIST (autogen
	equivalents don't need to be distributed anyway).
	* INSTALL.CVS: Removed notes about kabalak_generate...

2005-08-12  Ross Golder  <ross@golder.org>

	* src/Makefile.am: Use seperate GTKSPELL_CFLAGS and GTKSPELL_LIBS flags.

2005-08-12  Jordi Mallach  <jordi@sindominio.net>

	* src/main.c: Get rid of the build_information function entirely.
	
	* src/Makefile.am (INCLUDES): Add defines from defines.config here and
	stop generating defines.h.
	* color-schemes.c, main.c, menus.c, messages-table.c,
	prefs.c, prefs_init.c, update.c: Don't include defines.h.
	
	* src/defines.config: Removed.

2005-08-12  Ross Golder  <ross@golder.org>

	* configure.in: Pass GTKSPELL_CFLAGS and GTKSPELL_LIBS seperately. Not
	sure why the GTRANSLATOR_XTRA thing didn't work (for me or Jordi).

2005-08-12  Jordi Mallach  <jordi@sindominio.net>

	* kabalak_generate_all_the_files.sh: Removed, superceeded by
	autogen.sh.

2005-08-11  Ross Golder  <ross@golder.org>

	* src/dialogs.c: Fixed crash when deleting a comment.

2005-08-11  Ross Golder  <ross@golder.org>

	* src/messages_table.[ch]: Restructured to be more object-oriented.
	* src/page.[ch]: Changed 'gtranslator_page_messages_table_[show|hide]' to
	'gtranslator_page_[show|hide]_messages_table'. Moved 'messages_table'
	and 'messages_tree' into 'GtrMessagesTable (more OO, IMHO).
	* src/message.[ch]: Tidy up code readability a little.
	* src/utils.c/page.c: Moved autosave code to individual pages.
	* src/parse.h: Removed global 'po'. Redundant now we can have multiple po
	files open simultaneously.
	* src/utils.[ch]: Removed redundant 'gtranslator_utils_uri_supported'.

2005-08-09  Fatih Demir <kabalak@kabalak.net>

	* src/languages.c: Update Basque email address (addresses #308277).

	* src/learn.c & utils.c: Added (xmlChar/gchar *) casts - gcc4 is more
		happy now, no warnings on compile anymore.

2005-08-09  Fatih Demir	<kabalak@kabalak.net>

	* acconfig.h: Remove unnecessary old style file.

	* configure.in: Fix GTKSPELL cflags acquirement to _not_ drop the
	GNOME cflags.
	
	* kabalak_generate_all_the_files.sh: Email adress correction.
	
2005-08-08  Ross Golder  <ross@golder.org>

	* src/gui.c/parse.c: Removed unnecessary #include <gtkspell/gtkspell.h>
	* src/message.c: Check for HAVE_GTKSPELL.
	* src/parse.h: Remove redundant 'gtranslator_parse_set_gui_from'.
	* src/page.[ch]: Add 'gtranslator_page_messages_table_[show|hide]'.
	* src/messages_table.[ch]: Removed 'gtranslator_messages_table_create',
	combining it into 'gtranslator_messages_table_new'.

2005-08-08  Ross Golder  <ross@golder.org>

	* acconfig.h: Removed as I got bored of seeing the deprecated warnings
	doing an autoheader.
	* configure.in: Bumped version to 1.9.1 to distinguish it from the 1.1
	series (i.e. working on a 2.0 version).
	* configure.in: Use 3-argument AC_DEFINE() (warning killer)
	* configure.in: Make gtkspell library optional.

2005-06-17  Ross Golder  <ross@golder.org>

	* src/dialogs.c: Add a missing 'break'.

2005-04-01  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-12  Ross Golder  <ross@golder.org>

	* src/parse.[ch], dialogs.c: Updated to use GtkFileChooser for open and
	save operations (thanks to code borrowed from Vital Khilko).
	* src/utils_gui.c: Stopped saving 'depht' (misspelled too) to gconf.
	* src/gui.c: Respect window geometry config and disable actions that
	expect an open file when creating the initial application/window.

2005-03-12  Adam Weinberger  <adamw@gnome.org>

	* src/dialogs.c: Change two-dot ellipses to three-dot ellipses.

2005-03-11  Ross Golder  <ross@golder.org>

	* mkinstalldirs: Removed autogenerated file from CVS.

2005-02-26  Ross Golder  <ross@golder.org>

	* configure.in: Now check for gettext-0.14.2, which contains the
	new parsing/writing API methods.

2005-02-05  Ross Golder  <ross@golder.org>

	* src/languages.c: Updated Thai and Italian team address. Added 'Tagalog'
	(#162993).
	* src/gui.c: Removed superfluous po->fuzzy incrementor (Loic Minier
	#132734)
	* src/menus.c, gui.[ch]: Fixed a crash when cancelling the confirmation
        dialog when closing without saving changes (Loic Minier #158550)

2005-01-18  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian)

2004-12-25  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-11-22  Ross Golder  <ross@golder.org>

	* src/open.[ch]: Removed. Redundant.
	* src/page.[ch]: Added to contain information for each notebook page open.
	Combined the GtrDocumentView into a single GtrPage structure.
	* src/Makefile.am/main.c: Removed the 'auto_translate', 'auto_learn' and
	'export_learn_buffer' stuff - should be built into one or more non-GNOME
	binaries.
	* src/*.c: Replaced last traces of global 'po' pointer with 'current_page->po'.
	Replaced occurrences of 'd
	* src/parse.[ch]: Renamed 'gtranslator_parse_main' as 'gtranslator_open', and
	re-implemented to add a new page to the 'notebook_widget'.
	* src/dialogs.[ch] (gtranslator_should_the_file_be_saved_dialog): Made to
	operate only on the current page. Use GTK_*_YES and GTK_*_NO instead of
	GTK_*_ACCEPT and GTK_*_REJECT.
	* src/dialogs.[ch] (gtranslator_file_dialogs_set_directory): Removed.
	* src/gui.c: Removed 'document_view' (replaced in page.h by 'current_page').
	Added global 'notebook_widget'.
	* src/gui.[ch]: Replaced 'gtranslator_show_file' with
	'gtranslator_create_main_window'.
	* src/main.c: Added 'open_files' list (of GtrPages). Re-arranged execution
	order.
	* src/main.c: Created 'show_build_information' function to make main function
	clearer.
	* src/parse.[ch]: Removed global 'autosave_source_tag' and made a per-page
	'autosave_timeout' (member of GtrPo).
	* src/parse.[ch]: Added 'GtrPo' argument to 'gtranslator_save_file' so as to be
	specific about which file/page to save.
	* src/utils.[ch]: Made 'GtrPage' the data argument for
	'gtranslator_utils_autosave' so as to be more specific.
	
2004-11-09  Ross Golder  <ross@golder.org>

	* data/mime/gtranslator.keys_template.in: Removed unneeded colons.
	* data/mime/gtranslator.mime: Removed unneeded colons.

2004-11-09  Ross Golder  <ross@golder.org>

	* src/Makefile.am: Removed unnecessary subdirectories, 'pixmap' and
	'semerkent'. Removed some other files from the compilation process
	that are no longer used anywhere.
	* src/compile.[ch],parse.[ch],dialogs.[ch]: Moved compile-related functions in
	from parse.c and dialogs.c.
	* src/about.c: Minor tidy-up and use 'translator-credits' (with a hyphen)
	according to recent gnome-i18n decree.
	* src/actions.c,find.c,header_stuff.c: Added #ifdef DONT_FORGET to some code
	that still needs attention.
	* src/bookmark.c,dialogs.c,history.c: Tidy-up and do some basic error
	handling/reporting (via GError).
	* src/bookmark.[ch]: Remove unused 'gtranslator_bookmark_resolvable'
	function.
	* src/*.c: Replaced GTR_FREE with g_free. Lets face our memory
	management demons.
	* src/comment.c,dialogs.c: GUI variable-name updates.
	* src/dialogs.c,menus.c: Use PACKAGE_NAME constant.
	* src/*.c: Replaced use of 'file_opened' with checks for global po being set.
	* src/dialogs.c: Replaced use of po->length with g_list_length(po->messages).
	* src/*.c: Replaced use of 'gtranslator_open_file' with
	'gtranslator_parse_main'.
	* src/dialogs.c: Removed 'gtranslator_query_dialog'.
	* src/dnd.c: Use new 'gtranslator_parse_main' API.
	* src/*.c: Convert to use new gettext-based members of the GtrPo structure.
	* src/gui.[ch]: Renamed and re-organised the widget creation code to work from
	the new gettext-based structures, and to make less use of the global
	namespace. 	Now tries to contain document-related widgets in a
	GtrDocumentView structure.
	* src/gui.[ch]: Added 'gtranslator_show_file' to display a given GtrPo.
	* src/gui.[ch]: Added 'gtranslator_update_progress_bar' method.
	* src/header_stuff.[ch]: Removed 'gtranslator_language_changed' method.
	* src/header_stuff.[ch]: Changed 'report_message_bugs_to' to
	'report_msgid_bugs_to' to closer resemble real headers.
	* src/history.[ch]: Use just 'project_id' in history tags, instead of
	'project_name' and 'project_version'.
	* src/learn.[ch]: Change API to add error-handling and use of gettext-based
	variables instead.
	* src/main.c: Added #ifdef PORT_COLORSCHEMES around code that probably isn't
	used any more. Various API-usage updated and error-handling improvements.
	Other minor whitespace tidy-ups.
	* src/menus.c: Removed reference to redundant pixmaps 'query.xpm' and
	'query_big.xpm'.
	* src/menus.c: Disable connection of Update button to 'update' function.
	* src/menus.c: Removed 'query' function - for now.
	* src/message.h: Replaced message-related variables with a single
	'po_message_t'. Added 'is_fuzzy' and 'changed' flags.
	* src/message.c: Removed old-style plural-forms handling. Now handled in the
	GUI.
	* src/message.[ch]: Added 'gtranslator_message_copy_to_translation' method.
	* src/message.[ch]: Added 'gtranslator_message_status_toggle_fuzzy' method.
	* src/message.[ch]: Added 'gtranslator_message_clear_translation' method.
	* src/update.c: Removed for now.
	* src/messages.[ch]: Replaced 'unknown_node' with 'untranslated_node'. Other
	mainly cosmetic tidy-ups.
	* src/messages.[ch]: Removed 'gtranslator_messages_table_clear' method.
	* src/messages.[ch]: Added 'gtranslator_messages_table_free' method.
	* src/open.[ch]: Prefixed internal functions with '_' for clarity. Clearer now?
	* src/parse.[ch]: Added 'gettext_po_file' and 'domains' to GtrPo. Removed 'utf8'
	and 'locale_charset' from GtrPo. Stop assuming 'po' is a global, to allow
	for editting multiple files in different tabs (like gedit).
	* src/parse.[ch]: Added 'gtranslator_save_file' method.
	* src/parse.[ch]: Added 'gtranslator_parse_set_gui_from' method.
	* src/preferences.c: Use more convenient CONFIG_PREFIX.
	* src/prefs.c: Remove references to color schemes.
	* src/replace.c: Rework 'gtranslator_replace_run' to use gettext-based
	structures.
	* src/runtime-config.c,save.c: Replaced 'save-differently-file' with just
	'save-file' for simplicity.
	* src/utils.c: Remove 'gtranslator_utils_get_raw_file_name'.
	* src/utils.c: Remove 'gtranslator_utils_get_compile_file_names'.
	* src/utils.c: Remove 'gtranslator_utils_get_locale_name'.
	* src/utils_gui.c: Tidy up 'gtranslator_utils_invert_dot'.
	* src/utils_gui.[ch]: Remove 'gtranslator_utils_attach_color_with_label'.
	* src/utils_gui.c: Remove 'gboolean gtranslator_utils_check_file_permissions'.
	* src/utils_gui.c: Remove 'open_it_anyway' callback.
	* src/utils_gui.c: Rename 'gtranslator_utils_check_file_being_open' as
	'gtranslator_utils_reopen_if_already_open'.
	
2004-11-09  Ross Golder  <ross@golder.org>

	* configure.in: Added check for gettext-0.15. Removed 'pixmaps' and
	'semerkent' from build process.
	* missing: Removed autogenerated file from CVS

2004-09-08  João Paulo Vanzuita  <joaopaulo99@terra.com.br>

	* src/menus.c: Fixed unresponsive autotranslate shortcut key by
	changing from F10 to F4. Fixes bug #131589.
	* src/languages.c: Updated 'pt_BR' team address.

2004-08-31  Ross Golder  <ross@golder.org>

	* src/message.h: Merged in structure from messages.h.
	* src/*.[ch]: Housekeeping - removed redundant code marked by #ifdef
	NOT_PORTED and #ifdef UTF8_CODE. Removed utf8.[ch], syntax*.[ch].

2004-08-29  Akagic Amila <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.	

2004-07-29  Emmanuel Saracco <esaracco@users.labs.libre-entreprise.org>

	* src/src/prefs.c: Fixed a problem with validation popups on closing
	preferences dialog. "Close" button was removes and "Cancel", "Ok"
	buttons were added.

2004-07-29  Ross Golder  <ross@golder.org>

	* src/bookmark.c: Fixed ungettexted 'No comments' string.

2004-07-29  Ross Golder  <ross@golder.org>

	* configure.in: Copied '--enable-deprecations' flag from gedit.

2004-07-26  Ross Golder  <ross@golder.org>

	* src/ChangeLog: Converted to UTF-8

2004-07-26  Віталь Хілько <v.khilko@sam-solutions.net>

	* src/gui.c/message.c/parse.c: Re-instated gtkspell support.

2004-07-26  Віталь Хілько <v.khilko@sam-solutions.net>

	* src/languages.c: Updated Belarusian details

2004-07-26  Ross Golder  <ross@golder.org>

	* ChangeLog: Converted to UTF-8

2004-07-26  Віталь Хілько <v.khilko@sam-solutions.net>

	* configure.in: Re-instated gtkspell support.

2004-06-12  Ross Golder  <ross@golder.org>

	* src/languages.c: Added Hebrew to list

2004-06-03  Ross Golder  <rossg@golder.org>

	* src/semerkent/Makefile.am (INCLUDES): Remove '-Wall -Werror' for
	  now.

2004-05-31  Fatih Demir <kabalak@kabalak.net>
	
	* <MANYFILES/>: Changed the gtranslator.org ->
	gtranslator.sourceforge.net stuff...

2004-05-29  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "tk" to ALL_LINGUAS.

2004-05-28  Ross Golder  <rossg@golder.org>

	* src/Makefile.am: Remove '-Wall -Werror' for now, as it means the
	  Debian packager needs local patches. Should be added back
	  as some kind of configure-time option.

2004-05-28  Ross Golder  <ross@golder.org>

	* configure.in: Bumped to 1.1.5 for a quiet release to fix
	  some Debian pkg maint problems.

2004-05-10  SamÃºel JÃ³n Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS

2004-04-08  Ross Golder  <ross@golder.org>

	* src/menus.c: Changed keyboard accelerators so that Alt-Left/Right
	  move between messages and Alt-Home/End go to first/last.
	  (#139357)

2004-04-08  Ross Golder  <ross@golder.org>

	* src/comment.c (gtranslator_comment_display): Don't truncate
	  the comment, as it may be useful to translator. Also, don't
	  resize the comment pane between messages. (#131052).

2004-04-08  Ross Golder  <ross@golder.org>

	* src/bookmark.c, color-schemes.c, history.c: Replaced GTR_FREE with
	  plain g_free to prevent compiler warning.

2004-04-08  Ross Golder  <ross@golder.org>

	* configure.in: Bumped version to 1.0.2 for next release.

2004-04-06  Dan Damian  <dand@gnome.ro>

	* src/gui.c (gtranslator_clipboard_cut):
	  (gtranslator_clipboard_copy):
	  (gtranslator_clipboard_cut): Don't copy dots in clipboard
	    (#138949).

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-02-25  Adam Weinberger  <adamw@FreeBSD.org>

	* configure.in: Added 'en_CA' (Canadian English) to ALL_LINGUAS.

2004-02-07  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-01-28  Ross Golder  <ross@golder.org>

	* data/mime/gtranslator.keys & mime/gtranslator.mime: Changed
	  'application/x-po-Z' to 'application/x-po-compress' to avoid
	  a conflict with gnome-vfs library. (#132675)

2004-01-28  Ross Golder  <ross@golder.org>

	* src/prefs.c: Replaced gnome_app_error with gtk_message_dialog.
	  (#132673)

2004-01-28  Ross Golder  <ross@golder.org>

	* configure.in: Settled on 1.0.1 for now. Just 1.0 with bugfixes.

2004-01-24  Ross Golder  <ross@golder.org>

	* src/prefs.c, stylistics.[ch], utils_gui.c: Reverted patch that
	   replaced deprecated GnomeColorPicker with GtkColorButton.

2004-01-19  Ross Golder  <ross@golder.org>

	* src/languages.c: Added Albanian GTP project.

2004-01-19  Ross Golder  <ross@golder.org>

	* configure.in: Bumped version to 1.1.4 for next release. I just
	didn't feel right about 1.0.1, 1.1, or 1.1.1. :)

2004-01-13  Dan Damian  <dand@gnome.ro>

	* src/parse.c (gtranslator_parse_main): Check for message_table and
	don't crash while loading files with no header (#129842).

	* src/message.c (gtranslator_message_status_set_fuzzy): Don't free
	comment. Fixes several crashes and file corruption bugs (#130114,
	#131230).

	* src/parse.c (gtranslator_parse_core): Check error value. Fixes a
	crash on invalid byte sequences.

2004-01-12  Dan Damian  <dand@gnome.ro>

	* src/messages.h, message.c (gtranslator_message_go_to): Save cursor
	position.

	* src/messages-table.c (read_messages_table_colors): Fix pango-color.c
	failed asserts by setting a valid translated_color. Also, set the
	translated text color according to the default widget style.

	* src/gui.h, gui.c (gtranslator_selection_set), find.c (find_in_msg):
	Select found text.

	* src/gui.c: Fix cut, copy & paste (#122195).

	* src/parse.c (gtranslator_file_close): Fix freeze/crash when autosave
	is disabled (#131179).

2004-01-11  Dan Damian  <dand@gnome.ro>
  
	* src/gui.c (gtranslator_create_main_window): Completely hide the
 	panel when messages table is hidden from preferences (also fixes
 	a failed assert).
 
2004-01-11  Kjartan Maraas  <kmaraas@gnome.org>

	* src/languages.c: Update mailing-list info for norwegian.

2004-01-11  Dan Damian  <dand@gnome.ro>

	* src/languages.c (languages): Added mailing list for Romanian.

2004-01-11  Ross Golder  <ross@golder.org>

	* configure.in: Tied the _DEPRECATED compiler defs to the autoconf
	maintainer mode, same as galeon does. Added 'help/sr/Makefile' to
	AC_OUTPUT.

2004-01-09  Dan Damian  <dand@gnome.ro>

	* src/ replace.c (gtranslator_replace_run): Update po->current->data
 	before replace (#131022).
 
2004-01-09  Dan Damian  <dand@gnome.ro>

	* src/dialogs.c (gtranslator_replace_dialog): Fixed close button
	problem (#131006). Replaced gnome_app_error with
	gtk_message_dialog. Removed warning dialog when for empty
	replacing strings.

2004-01-01  Roozbeh Pournader  <roozbeh@sharif.edu>

	* src/languages.c: Corrected information for Persian.

2004-01-01  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" (Persian) to ALL_LINGUAS.

2003-12-31  Mikael Brockman  <phubuh@phubuh.org>
	
	* src/dialogs.c (gtranslator_file_revert_dialog): Fixed double destroy.

2003-12-23  Ross Golder  <ross@golder.org>

	* src/prefs.c, stylistics.[ch], utils_gui.c: Replaced deprecated
	   GnomeColorPicker with GtkColorButton.

2003-10-20  Stanislav Brabec  <sbrabec@suse.cz>

	* configure.in: Added 'cs' for Czech translation.

2003-10-17  Fatih Demir <kabalak@kabalak.net>

	* README: Added small bits of GNOME 2.x mentioning to avoid confusion.

2003-10-03  Ross Golder <ross@golder.org>

	* src/parse.c: Pluralised a couple of strings.
	* src/gui.c: Pluralised a couple of strings.

2003-10-03  Ross Golder <ross@golder.org>

	* configure.in: Added 'th' for Thai translation.

2003-09-13  Fatih Demir <kabalak@kabalak.net>

	* debian/: Removed our own Debian subdir in favour of easyfying the
		official gtranslator Debian unstable efforts :-)

	* Makefile.am|configure.in: Removed debian/ subdir references from the
		official build system.

2003-09-04  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/cleanup-gtranslator-settings.sh: Added Juan RP's patch for
		accepting more methods then just the standard killall for the
		 other systems out there.

2003-09-04  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Added Juan RP <juan@xtraeme.UnixBSD.org> to the list for his
		killall<->$KILLALL patch - thanks very much to him! :-)

2003-09-03  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Release set to 1.1 for development.

2003-09-02  Fatih Demir <kabalak@gtranslator.org>

	* src/about.c: Added Abel to the documentation authors' list.

2003-09-02  Fatih Demir <kabalak@kabalak.net>

	* README: Ooops, there ain't any news.rss file anymore.

	* NEWS: News about the documenation stuff :-)

2003-09-02  Abel Cheung  <maddog@linux.org.hk>

	* src/Makefile.am, man/Makefile.am: make distcheck fixes.
	* Makefile.am, configure.in, omf.make, xmldocs.make: Converted
	english doc to XML format. Japanese docs not distributed yet
	since its omf file doesn't comply with scrollkeeper dtd and
	causes build failure.

2003-09-01  Fatih Demir <kabalak@gtranslator.org>

	* src/about.c: Small cosmetic stuff about the authors' list - added a
		small separator "sign" between the current and the previously
		 involved authors.

2003-09-01  Fatih Demir <kabalak@kabalak.net>

	* debian/changelog|rules: Preparations for the release and update of
		the Debian build files to respect the documentation files now
		 really in the distro.

	* BRANCHES: Update the branches information a bit as the current HEAD
		implementation for GNOME 2.x is stable again and being hard
		 worked on for the future :-)

2003-08-29  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/pozilla.sh: Updated to version 6.1 and adapted all the
		routines for the new AC_INIT and such stuff within the newer
		 configure.in files.

2003-08-29  Fatih Demir <kabalak@gtranslator.org>

	* src/parse.c: Chech while parsing if the charset in the header is still
		on the default value CHARSET and if so, then let's simply
		 assume that the charset of such files is UTF-8 now as it's
		  good to do so/default and such; solves b.g.o #121028.

2003-08-29  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Added some other news items about the latest changes.

	* man/pozilla.sh.1: Updated pozilla.sh page a little bit for version #
		and the small update for the configure.in macros and/or such.

2003-08-28  Fatih Demir <kabalak@gtranslator.org>

	* src/utf8.[ch]: Removed unused ("[depr") gtranslator_utf8_convert_to_utf8
		function.

	* src/main.c: Also "#include <libintl.h>" for the bindtextdomain call so
		that maybe the FreeBSD compile tries are much successfuller
		 now :-)

	* src/Makefile.am: De-sophisticate the rules a bit to make it eventually
		work on more systems.

	* src/learn.[ch] & main.c: Implemented a command line statistics output
		screen via "-s/--learn-statistics" on main program call.

	* src/dialogs.c, prefs.[ch] & prefs_init.c: Introduce 6 new variables for
		remembering the search and replace categories which're marked
		 in the corresponding dialogs between the actions and sessions
		  by saving them in the prefs.

	* src/defines.config & main.c: Solve that sometimes occuring problem with
		the GNOMELOCALEDIR define in defines.config/h by setting the
		 GNOMELOCALEDIR usage in main.c to use DATADIR "/locale" which
		  should be the same :-)

2003-08-28  Fatih Demir <kabalak@kabalak.net>

	* man/gtranslator.1.in: Updated the manual page in spec of the options
		we have got available on the command line.

2003-08-28  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added Albanian "sq" to ALL_LINGUAS
	
2003-08-28  Fatih Demir <kabalak@kabalak.net>

	* man/Makefile.am: De-sophisticate the man file building rule maybe it
		will work now on more systems :-)

2003-08-28  Abel Cheung  <deaddog@deaddog.org>

	* src/languages.c (languages[]): Farsi -> Persian (more politically
	correct?)

2003-08-27  Fatih Demir <kabalak@kabalak.net>

	* data/desktop/Makefile.am|gtranslator.desktop.in: Applied Abel's patch for
		an updated desktop (build) file.

2003-08-27  Ross Golder <ross@golder.org>

	* src/utils_gui.c (gtranslator_utils_invert_dots): Do not use middot for
	        line breaks - looks ugly.
	
	* src/parse.c (append_line): Allocate twice the size of the input line
	       to allow for conversion to multibyte charsets (can segfault
	        otherwise)

	* src/main.c: Add #include <locale.h> as per manpage setlocale(3).

2003-08-27  Fatih Demir <kabalak@gtranslator.org>

	* src/dialogs.c: Also handle the case where the strings to replace (with)
		are missing with an app error dialog - the english messages
		 there should really be changed IMHO but my English is quite
		  horrible as you can read in the sources sometimes ;-)
	
	* src/find.[ch]: Typed in some code changes and made it alike the replace
		stuff, getting it away wiht FEFuncRX and such crap but it's
		 likely to be ported now and to solve the UI bug #120227.

	* src/dialogs.c & replace.[ch]: Ongoing changes for the find and the
		replace dialog - the replace dialog is already redone and the
		 find dialog is on the way to be solving the b.g.o #120227.

	* src/gui.c: Adept the application bar message to also indicate whether
		we've got currently a plural forms message present (think of
		 the case when you turned the "plural forms dialog" option off
		  in your prefs).

	* src/dialogs.c, prefs.[ch] & prefs_init.c: Added a hotkey selection to
		the prefs dialog where you can simply select from the GNOME/
		 KDE hotkey chars '_' and '&' ATM and the full implementation
		  of this stuff is also already done there and accepted in the
		   find dialog; solves b.g.o #59206 after a long time :-)

	* src/gui.c: Removed our own keypress handler to get the Ctrl+Left/Right
		and such things going - it works by itself now in the Gtk+ 2.x
		 days and therefore it has to go now; w/ the keypress handler
		  the b.g.o #120224 goes too :-)

2003-08-26  Fatih Demir <kabalak@gtranslator.org>

	* src/main.c: Small bits of string change for the option descriptions.

	* src/dialogs.c: Also close the auto translation and query dialogs when
		there's any response - the gtk_widget_destroy callbacks where
		 missing sometimes; this solves b.g.o #120570. Make the auto
		  translation dialog a question dialog and !a warning dialog.

	* src/messaegs-table.c: Set/unset the "table_already_created" var when
		creating/clearing the messages table - doesn't interact with
		 the bug #120596 but should make the var handling better.

	* src/messages-table.c & parse.[ch]: Added the "table_already_created"
		gboolean value to the GtrPo structure which gets set to "TRUE"
		 if the messages table has been built up - fixes b.g.o #120596
		  which caused a crash due to a non-created messages table
		   though being the translation changed and updated (replacing
		    the PACKAGE and VERSION keywords).

2003-08-26  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Some news about latest changes :-)

2003-08-25  Fatih Demir <kabalak@gtranslator.org>

	* src/message.c: Also update the translation facts if we're copying a
		msgid to the msgstr - it's now bound to the "Fuzzy" group in
		 the messages table as it's set to the virtual status "Sticky"
		  and fixes b.g.o #120575.

	* src/utils.c: Applied Abel Cheung's patch for the string voodoo
		comparison routines - fixes b.g.o #120567.

2003-08-22  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* src/main.c: (addresses b.g.o #120454)
	  setlocale() before gnome_program_init() to localize --help message.
		  move bind_textdomain_codeset() after gnome_program_init().

2003-08-17  Ross Golder <ross@golder.org>

	* src/parse.c: If header specifies a particular charset, attempt to
	        convert to/from that charset when loading/saving.
	
	* src/parse.c (append_line/restore_msg): Only deal with double quotes, as
	        dealing with backslashes breaks load/save.

2003-08-16  Ross Golder <ross@golder.org>

	* src/parse.c (append_line/restore_msg): (Un)escape backslashes and double
	        quotes when reading/writing the po file.

2003-08-10  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/Makefile.am & scripts/pozilla.sh: Added the pozilla.sh util
		to the common scripts dir in the distro - it'll still get
		 installed into the bindir so you can use/exec it directly.

2003-08-10  Fatih Demir <kabalak@gtranslator.org>

	* src/dialogs.c, prefs.[ch] & prefs_init.c: Comeplemented base work for a
		selection of hotkey chars but didn't implement the prefs widget
		for that - must now go washing, eating and such ;-)

	* src/utils.[ch]: Removed the old colorscheme data conversion functionality
		for the pre-2001-03-something color data, we don't need it.

	* src/dialogs.c & prefs.[ch]: Added a "Ignore hotkeys" toggle button to
		the find dialog for adressing the very old b.g.o #59206.

	* src/message.c, prefs.[ch] & prefs_init.c: Added an option to define
		whether to show automatically the plural forms viewing/editing
		 dialog and to respect it (should solve now b.g.o #117147).

	* src/parse.c: Change order of parsing - first build up the messages
		table and then show the 1st message; this avoids a crash
		 with the plural forms editing dialog when being called
		  on the 1st message without any table being actively
		   present in the GUI.

	* src/messages-table.c: The own messages table coloring of the different
		states of the messages is working now again - had to add a
		 new invisible column "foreground-gdk" and to handle all the
		  stuff from there with our GtrMessagesTableColors structure.

	* src/parse.c: Fix the writing of plural forms, we were also writing the
		"msgstr[2]" item out as a "msgstr[1]" item -- fixed now.

	* src/message.c: Did the editing job for the plural forms dialog, it's now
		capable of saving, displaying the changed strings for the
		 plural forms and works, yeah!

	* src/dialogs.c, gui.c, message.c & messages-table.[ch]: Removed the now
		unnecessary "_update_message_status" function skeleton from
		 the sources as the "_update_row" function does also change
		  message status now since Ross' change - so we do also use
		   this function; the "_select_row" function does also work
		    now but if the tree is closed you don't see the selected
		     row at all and such. This is left over...

2003-08-10  Fatih Demir <kabalak@kabalak.net>

	* NEWS: New news item about the changes from yesterday and today.

	* debian/changelog & debian/control: Small changes and date update :-)

	* Makefile.am & pozilla.sh: Moved pozilla.sh to the data/scripts/ dir;
		it'll still be installed as a exe-script under your binary dir
		 but is now stored together with the other scripts in a common
		  dir in the distro etc.

	* Makefile.am: Updated the "cvsdeb" rule for creating CVS snapshots.

2003-08-09  Ross Golder <ross@golder.org>

	* src/messages.h: Added 'iter' GtkTreeIter to indicate messages table
	      row.
	* src/messages-table.c: Implemented 'gtranslator_messages_table_update_row'
	      and made root nodes globally accessible.

2003-08-08  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Small sentence change in the lines ;-)

	* NEWS: Typo corrections and gave a potential R 1.0 the release name
		"Heat it!" - this is surely understandable if you're sitting
		  in with 35 degress Celsius in a hot room like me currently.

2003-08-03  Fatih Demir <kabalak@gtranslator.org>

	* src/message.c: Make the plural forms translations editable via the
		cell renderer - we do now need to catch changes and parse
		 them in via a callback.

	* src/gui.c, message.c, messages-table.[ch] & prefs_init.c: Removed some
		old unused E/GAL stuff from the table and re-checked in the
		 old colros reading code, I'll look afetr the coloring of the
		  messages later on - now the dialog shows up the plural forms
		   of a message in a separate window. This will be of course
		    enhanced but gives a first shot at it.

	* src/messages-table.c, prefs.[ch] & prefs_init.c: Re-activated & renamed
		the collapse translated entries pref for the messages table
		 to be "Collapse all entries" and to respect this on the new
		  GtkTreeView which we're using to display the messages.

	* src/main.c: Removed the the webalizing option & the nosyntax option from
		the command line options - we haven't got any webalizing code
		 left over anymore and the nosyntax option should be only
		  possible from the prefs dialog, an usage from the cmdline
		   doesn't seem very logical and suppliable for me.

	* src/dialogs.c: Fixed the "Save as" dialog callbacks as the signal was
		connected to the wrong "response" - a change to "clicked" for
		 the button clicks in the file selection dialog and now the
		  save as dialog works :-)

	* src/header_stuff.c: Handle the report msgid bugs to header part more
		seriously and don't print "(null)" to the po files.

	* src/message.c, messages.h & parse.c: Implement a studido way of support
		for the plural forms via simply attaching msgstr_1/_2 to the
		 GtrMsg structure - is stupid, but shall work and makes it
		  also possible to reuse our beloved and already functions
		   for the string handling; the normal parsed "msgstr[0]"
		    field is representen by "msgstr" in GtrMsg to make the
		     editing more obvious and logical.

2003-08-03  Fatih Demir <kabalak@kabalak.net>

	* NEWS: More news items about the last time :-)

2003-08-02  Fatih Demir <kabalak@gtranslator.org>

	* src/message.c, messages.h & parse.c: More integration of plural forms
		parsing into the simple "msgstrs" string array in the GtrMsg
		 structure now - a list seems for me a bit overloaded for
		  this issue of multiple strings, a striny array shall be
		   better I guess.

	* src/header_stuff.[ch] & parse.c: More preparations for a plural forms
		handling - but nothing really working yet.

	* src/.cvsignore, Makefile.am: Change the build rule (and CVS ignore) for
		our definitions include file - it's now named "defines.h" and
		 not "defines.include" anymore after the substitution.

	* color-schemes.c, main.c, menus.c, messages-table.c, prefs.c, \
		prefs_init.c & update.c: Adept for the change to "defines.h".

2003-07-28  Fatih Demir <kabalak@gtranslator.org>

	* src/messages.h, message.c & parse.c: First preparements for the try to
		get plural forms in gettext po files working - just some stuff
		 in there, nothing really working yet :-)

2003-07-22  Fatih Demir <kabalak@gtranslator.org>

	* src/dialogs.c: An approach for solving 115973 on b.g.o by making the
		buttons on the recovery dialog more reasonable; implemented
		 the Cancel option in the recovery dialog like Reinout pointed
		  out as "Postbone decision" to make more sense :-)

2003-07-21  Ross Golder <ross@golder.org>

	* src/gui.c (insert_text_handler): Re-instated 'insert-text' handler
	        for trans_box to convert spaces to dots when applicable.
		Fixes #115457.

	* src/dialogs.c (gtranslator_edit_comment_dialog): Saved a function
	        call by using 'gtk_text_buffer_get_bounds'.

2003-07-13  Fatih Demir <kabalak@gtranslator.org>

	* src/bookmark.[ch]: Added some convenience functionalities and easyness
		functions - just out of lazyness and because of the dialog
		 stuff...

	* src/actions.[ch], dialogs.[ch] & menus.c: Added a GUI menu entry below
		"File" to add a bookmark - adding a dialog with which you can
		  simply add a bookmark with a comment or not and such.

	* src/bookmark.[ch], gui.c, main.c & menus.[ch]: Added the GUI version of
		the bookmarks' list under "_View" and it's displayed now
		 rightly like the history list with the recent files :-) But
		  is just a hack of the history code to be adepted to the
		   bookmarks' mechanism and no new innovation unfortunately,
		    could be done better; removed the cmdline messages and
		     such now from the code as the GUI works now.

	* src/messages.h: Added 2 gint entries to the "GtrMsg" structure and a new
		status enum value - the 2 gints represent the ideas of how to
		 handle the multiple msgstr translations within newer gettext
		  implementations; the "group" gint should be set to 0 for
		   usual msgid/msgstr pairs but for multiple msgstr pairs it
		    shall be a unique, counting number for grouping the msgstr
		     to the msgid - the "level" gint counts the levels of the
		      msgstr entries, e.g. to 1 -> first , 2 -> second, 3 ->
		      	third msgstr translation etc. to get also 2+ msgstr
			 translations into the GtrMsg structure.

	* src/header_stuff.c: Make the "report msgid bugs to" address entry active
		so that you can copy/cut the address from there to write mail
		 to the reporting adress - there is specifically NO callback
		  bound to that entry as it shall not be changed at all by
		   the translator and therefore can just be handled by the
		    translator to send mails etc.

	* src/languages.h & translator.h: Comments shall be pure C and not C++
		style comments like "//", at least in the headers...

	* src/bookmark.[ch], gui.[ch] & main.c: Added bookmarks' mechanism to get
		it working, loading, saving entries works, GUI integration
		 is not done yet, but Ctrl+Home gets a new bookmark entry in
		  your preferences to get added. Two fat FIXMEs are waiting
		   in the bookmark.c file for resolvation of free'ing actions.

	* src/dialogs.c & prefs.c: Fixed b.g.o #117315 and removed trailing spaces
		from 2 messages.

2003-07-11  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2003-07-10  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Some news about the last days...

	* README: Removed paragraph about open mailing list as our beloved
		gtranslator-devel mailing list is now a subscriber-only
		 mailing list.

2003-07-07  Ross Golder  <ross@golder.org>

	* src/header_stuff.c: Replaced 'get_start_iter/get_end_iter' with
	           'get_bounds'.
	
	* src/dialogs.c (gtranslator_should_the_file_be_saved_dialog): Added
	           'Don't save' button.

	* src/prefs.c: Completely revised tab layout and packing (much nicer).
	           Thanks to SÃÅŸren Wedel Nielsen <swn@herlevkollegiet.dk>.
	
	* src/prefs.c: Converted from GnomePropertyBox to a GnomeDialog
	           with a GtkNotebook (GTK2-compliant).
	
	* src/utils.c: De-deprecate a few glib calls.

	* src/utils_gui.c/.h: De-deprecate a few glib calls, and moved
	        gtranslator_utils_append_page_to_preferences_dialog
		into prefs.c.

	* src/utf8.c (gtranslator_utf8_po_file_is_utf8): Changed 'g_strcasecmp'
	        to 'g_ascii_strcasecmp' (undeprecated).

	* src/stylistics.c (gtranslator_set_style): Changed gdk_font_unref and 
	        gtk_style_unref to g_object_unref.

	* src/parse.c (gtranslator_save_file): Switch from GnomeWarningDialog
	        to GtkMessageDialog.

2003-07-07  Ross Golder  <rossg@golder.org>

	* configure.in: Disable deprecated GTK+/glib calls by default.
	        Code is now clean of deprecated usage.

2003-07-06  Ross Golder  <ross@golder.org>

	* src/nautilus-string.c (nautilus_strcasecmp): Replaced g_strcasecmp
	        with undeprecated g_ascii_strcasecmp.

2003-07-06  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am, htmlizer.c/.h & main.c: Removed the HTMLizing functions
		from the sources and CVS like announced on the mailing list.

2003-07-06  Fatih Demir <kabalak@kabalak.net>

	* kabalak_generate_all_the_files.sh: Added the new deprecated flag
		to the default ./configure arguments.

	* man/gtranslator.1.in: Removed the references to the HTMLizing
		function and such...

2003-07-05  Fatih Demir <kabalak@kabalak.net>

	* data/mime/.cvsignore & mime/Makefile.am: Adepted for the new filename and
		the changed routine logic of the keys mime file.

	* data/mime/gtranslator.keys.in|gtranslator.keys_template: Made changes to
		the logic of how we're building the keys file to avoid problems
		 with the logic and not substituted @PIXMAP_DIR@ variables in
		  the keys file - we do now use gtranslator.keys_template.in
		   as the template file which gets subst by ./configure to
		    gtranslator.keys_template and intltools generate out of it
		     the gtranslator.keys file which gets installed then.
		      Should be working now alltogether...

2003-07-05  Ross Golder  <ross@golder.org>

	* src/header_stuff.c: Converted from GnomePropertyBox to a GnomeDialog
	           with a GtkNotebook (GTK2-compliant).
	
	* src/vfs-handle.c: Updated a load of deprecated stuff.

	* src/update.c: Updated a load of deprecated stuff.

	* src/menus.c: Updated a load of deprecated stuff.
	
	* src/htmlizer.c: Updated a couple of deprecated calls.
	
	* src/history.c: Updated a couple of deprecated calls.
	
	* src/utils_gui.c (gtranslator_utils_attach_text_with_label): The text
	          buffer has the 'changed' signal, not the textview.

	* src/parse.c (gtranslator_po_free): Add 'g_return_if_fail(po!=NULL)'.

	* src/gui.[ch] (gtranslator_quit): Was defined gint, but returning
	          gbooleans. I just made it void.

	* src/Makefile.am: Use DEPRECATED_FLAGS. Lets exorcise those evil
	          GTK1 spirits!

2003-07-05  Ross Golder  <ross@golder.org>

	* src/gui.c/message.c/parse.c: Don't include gtkspell.h
	
	* src/dialogs.c (gtranslator_edit_comment_dialog): Removed
	         unnecessary 'Apply' button (#115291).

	* src/Makefile.am (gtranslator_SOURCES): Removed gtkspell.[ch] until
	         it can be ported to latest GtkSpell and reintegrated.
		 Removed redundant sources from CVS too.

	* src/color-schemes.c (GetData): Replaced deprecated 'g_strcasecmp'
	         with plain 'strcmp' (no need for case insensitivity).

	* src/header_stuff.c: Replaced deprecated 'g_strcasecmp' with plain
	         'strcmp' (no need for case insensitivity).

	* src/dialogs.c/h: Replaced all deprecated GTK/GNOME calls with
	         updated versions. In particular, change all GtkText
		 objects to GtkTextView objects, and replace all
		 GnomeDialog objects with GtkDialog objects.

	* src/main.c/parse.c: Move global open_anyway from main to parse.

	* src/undo.c/h: Use GtkTextIters instead of character positions.

	* src/utils_gui.c/dialogs.c: Made 'gtranslator_already_open_dialog'
	         and moved code from utils_gui to dialogs.
	
2003-07-05  Ross Golder  <ross@golder.org>

	* configure.in: Added '--disable-deprecated' for testing build
	        with deprecated GTK+ stuff disabled.

2003-07-05  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Added some small bits of news and such... we still need a
		release name for the 1.0 ;-)

	* configure.in: Adapted the ./configure mechanism for the new keys
		logic in our data/mime/ directory.

2003-07-04  Ross Golder  <ross@golder.org>

	* configure.in (GTK_ENABLE_BROKEN): Fixed usage of 'AC_ARG_ENABLE'.

2003-07-04  Fatih Demir <kabalak@kabalak.net>

	* debian/changelog|rules: Small updates due to the new release of a
		Debian CVS snapshot deb :-)

2003-07-02  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-07-01  Ross Golder  <ross@golder.org>

	* src/parse.c (gtranslator_file_revert): Replaced deprecated
	         GNOME_STOCK_BUTTONs with GTK_STOCK buttons.

	* src/dialogs.c (gtranslator_edit_comment_dialog): Fixed problem
	         where contents of comments textview not retrieved
		 correctly. Replaced deprecated GNOME_STOCK_BUTTONs
		 with GTK_STOCK buttons.

2003-07-01  Mohammad DAMT  <mdamt@bisnisweb.com>

	* po/id.po: Added Indonesian translation
	* configure.in: Added "id" to ALL_LINGUAS

2003-06-30  Ross Golder  <ross@golder.org>

	* src/header_stuff.c (gtranslator_header_edit_apply): Fixed problem
	         where comment would be applied as empty (#115248).
	* src/utils_gui.c (gtranslator_utils_attach_text_with_label): 
	         Used appropriate signals for a GtkTextView (#115248).

2003-06-26  Ross Golder  <ross@golder.org>

	* src/dialogs.c: Removed a couple of redundant #ifdef UTF8_CODE.

2003-06-19  Ross Golder  <ross@golder.org>

	* src/messages-table.c: Applied patch from Peeter Vois to balance
	         the width of the original/translated columns.

2003-06-18  Fatih Demir <kabalak@kabalak.net>

	* debian/changelog: Prepared it for the normal working case - now only
		the release date and #s will change, no changelog entry will
		 come in for that except for greater changes from now on :-)

2003-06-17  Ross Golder  <ross@golder.org>

	* src/Makefile.am: Added '-Wall' to display all compiler warnings
	        (should be none left)

	* gui.c, messages.c, messages-table.c, parse.c, syntax.c,
	        syntax-elements.h: Removed compiler warnings.
	
	* src/utils_gui.c (gtranslator_utils_restore_geometry): Prevent
	        some 'may be used uninitialised' type warnings.

	* src/utils.c (gtranslator_xml_get_string_prop_by_name_with_default): 
	        Need to return something from a non-void function.
	
	* src/runtime-config.c (gtranslator_runtime_config_new): Removed
	        unused 'encoding' variable.

	* src/main.c (main): Removed some unused variables.

	* src/dnd.c (gtranslator_dnd): Removed unused 'return_value'.

2003-06-17  Fatih Demir <kabalak@gtranslator.org>

	* src/header_stuff.c: Corrected the header output problem pointed out
		by Alessio Dessi <alessio.dessi@libero.it> on the super
		 gtranslator-devel list - all parts are now exported in
		  the right places (it was just a shift in the order of
		   the entries) and corrected the message string bugs
		    send-to entry's handling a bit.

2003-06-16  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/*.sh: Removed the 1st line ":" before the "#!/bin/sh" which
		is making flaws with Debian and lintian and we don't want to
		 have broken packages at all :-)

2003-06-16  Ross Golder  <ross@golder.org>

	* src/*.* : Added #ifdef UTF8_CODE around code that could be removed
	         when suitable non-UTF8 import/export routines are ready.

	* src/utf8.[ch]: Take po as an argument, instead of assuming we're
	         going to be working on the global po. These two files
	         will soon be redundant anyway.
	
	* src/parse.c: Pass po around as a pointer, instead of relying on
	         it being a global. Will make it easier to parse other
		 files for, say merging, or having multiple files open.
	
	* src/parse.[ch]: Broke the GUI related stuff in parse_main into
	         parse_main_extra, so it is only called when needed.

	* src/main.c (main): Stole some code from gedit to make passing
	         filenames on the command line work again.
	
	* src/header_stuff.c: Fixed parsing of header (#115248)

	* src/utils_gui.c: Include 'parse.h' instead of duplicating function
	        prototype.


2003-06-16  Fatih Demir <kabalak@kabalak.net>

	* Makefile.am: Adepted CVS snapshot rule to produce Debian friendly
		release date packages like "gtranslator-1.0.DATE-WITHOUT-DASH"
		 to get Debian building wholly happy now.

	* pozilla.sh: Adapted script for not having ":" as the 1st line but
		"#!/bin/sh" like Debian does want it - now lintian should be
		 also happy about our self-build Debian packages.

	* debian/: Did transfer my own and currently working debian/ files
		into CVS & removed the old ones from CVS from Ryan which I
		 did use as skeleton for my updated/new files. Now debian
  		  building should work out of the box.

	* man/gtranslator.1.in: Small corrections as we can't currently simply
		give a file name as an argument to gtranslator to get opened
		 directly out of the command line.

	* BRANCHES: Updated branch information for the current HEAD branch
		and added some more words for our release tagging of the prev.
		 done releases of gtranslator.

	* README: Small extension of the README file for Ross being the
		new main developer and some more bug filing encouraging words
		 for the README-reading folks out there.

	* THANKS: Added Dag Wieers <dag@wieers.com> to the packagers'
		thanks listing there :-)

	* NEWS: Added small part of news for the etspec file removal.

	* DEPENDS: Updated the dependency list as scrollkeeper is now also
		mandatory and updated link for intltool sources.

2003-06-15  Fatih Demir <kabalak@kabalak.net>

	* data/Makefile.am & etspecs/: Removed the old etspec file which was used
		in previous times for the GAL-based messages table.

2003-06-15  Fatih Demir <kabalak@gtranslator.org>

	* src/parse.c: Extended authors' lines in the copyright notice :-)
		Besides this, added a GTR_HEADER() assignment to get
		 'round in the problematic case of a non-working header
		   parsement here.

	* src/header_stuff.c/.h: Also parse the "Report-Msgid-Bugs-To" item
		in the po file headers into the GtrHeader structure.

	* src/languages.c: Added Icelandic entry as suggested by SamÃºel JÃ³n
		Gunnarsson <sammi@techattack.nu>.

2003-06-15  Fatih Demir <kabalak@kabalak.net>

	* gtranslator.spec.in: Added Dag Wieers <dag@wieers.com>'s currently
		used, working RPM spec file as the template RPM file to CVS
		 instead of the old one template file in CVS...

	* configure.in: Made some pretty output screen printing changes and
		removed the "data/etspecs/" Makefile from the output files'
		 list as the dir is now being removed from CVS.

2003-06-15  Paul Duffy <dubhthach@Frink.nuigalway.ie>

        * configure.in: Added ga (irish) to ALL_LINGUAS.

2003-06-13  Fatih Demir <kabalak@kabalak.net>

	* NEWS & configure.in: Started work on release 1.0 as the release 0.99
		has been done now - tadaaa! :-)

	* man/gtranslator.1.in: Updated the information there a bit & removed
		the mentioned old features/points of the gtranslator GUI
		 there aaaand mentioned Ross Golder as the main developer :-)

	* ChangeLog & NEWS: Added some slight pieces of NEWS, reformatted some
		entries of mine in the last time here (line breaks...) :-)

2003-06-10  Fatih Demir <kabalak@gtranslator.org>

	* src/main.c: Activated the "-n" option fake'ly by writing down
		in the description that it doesn't work - but we'll at
		 least have got the option present; currently we don't
		  highlight any syntax at all...

	* src/translator.c: Made the default charset of the new default
		translators for'd GtrTranslator structure to be "UTF-8".

2003-06-10  Fatih Demir <kabalak@kabalak.net>

	* kabalak_generate_all_the_files.sh: Added the "=yes" argument to the 
		./configure call there...

	* DEPENDS, acconfig.c & configure.in: The jw conditional is now removed
		as we don't build any html docs or such anymore and adapted it
		 to the new stuff.

2003-06-10  Fatih Demir <kabalak@kabalak.net>

	* INSTALL.CVS & gtranslator.spec.in: Aapetd for the changes - maybe we
		should now get a new RPM spec file as the old one seems to be 
		 very outdated..

	* acconfig.h & configure.in: Removed the configuration of the mime type
		binding files in the ./configure routine - the mime file is now
		 installed per default so that gtranslator is automatically
		  bind to po files (no option present for this anymore during
		   the ./configure cases).

	* BRANCHES: Updated the information about the versionitis & branches/
		development.

	* AUTHORS & THANKS: Cleaned up AUTHORS file a bit and moved most
		thankful addition-doing people to the THANKS file.

	* .cvsignore: Slightly extended for the dist packages.

2003-06-09  Fatih Demir <kabalak@kabalak.net>

	* NEWS: News from an possibly upcoming release in the next time.

2003-06-08  Ross Golder  <ross@golder.org>

	* src/gui.c, menus.[ch], prefs.[ch], prefs_init.c: Removed the
	'main_popup_menu', as it blocks access to the default GTK2
	textview popup menu (with IM options etc). (#114470)

	* src/find.c (find_in_msg): Removed a check that was making the search
	ignore untranslated messages. (#81218)

2003-06-08  Abel Cheung  <maddog@linux.org.hk>

	* Makefile.am: Remove PROJECT.STATUS-DEAD from EXTRA_DIST.
	* src/language.c: Updated language code for Chinese teams.

2003-06-07  Ross Golder  <ross@golder.org>

	* src/parse.c, learn.c, header_stuff.c: Removed code that attempted
	to escape/unescape and reformat messages when loading and saving
	po files. (#102542)

2003-06-01  Ross Golder  <ross@golder.org>

	* src/parse.c (restore_msg): Only break line if not in the middle of
	   a multibyte character.
	* src/parse.c (gtranslator_parse_core): Add warning if parser finds
	   a line containing invalif utf-8. Useful for debugging.

2003-05-25  Fatih Demir <kabalak@gtranslator.org>

	* src/about.c: Updated the about dialog to include Ross in the authors'
		list and removed Kevin (as he probably wanted it from me
		 long time ago ;-)) from it.

2003-05-25  Ross Golder  <ross@golder.org>

	* src/about.c (gtranslator_about_dialog): Fix copyright notice, for
	legal reasons. (#102453)

2003-05-25  Ross Golder  <ross@golder.org>

	* src/actions.c (gtranslator_actions_set_up_file_opened): Enable and
	disable editability of trans box when file open/closed. Prevents
	an easy segfault.

	* src/parse.c (gtranslator_parse): If first message in file is not a
	header, default po->header to avoid segfaults (bug #62244).

2003-05-25  Fatih Demir <kabalak@gtranslator.org>

	* src/messages-table.c: +302, Added a missing brace :-)

2003-05-25  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Removed the "project is dead" lines from the ./configure
		output screen.

2003-05-24  Ross Golder  <ross@golder.org>

	* src/messages-table.c: Fix problem causing corruption of po->current
	and subsequent segfault on next/prev message (#91664).

	* src/gui.c (gtranslator_text_boxes_clean): Minor optimisation using
	gtk_text_buffer_get_bounds().

	* src/header_stuff.c: Fix handling of po header comment field.

	* src/utils_gui.c (gtranslator_utils_invert_dot): Would only run if
	string was less than 0 characters in length (never?!)
	* src/utils_gui.c (gtranslator_utils_attach_text_with_label): Create
	and use a GtkTextBuffer with the GtkTextView widget.

	* src/gui.c (gtranslator_keyhandler): Fixed shifted keypresses being
	blocked
	* src/gui.c: Re-instated 'changed' callback.
	
2003-05-24  Abel Cheung  <maddog@linux.org.hk>

	* src/runtime-config.c(gtranslator_runtime_config_new):
	  change non-ASCII char in comment to ASCII, xgettext < 0.12 doesn't
	  like it, and can cause problem in non-UTF-8 translation files.

2003-05-25  Fatih Demir <kabalak@kabalak.net>

	* AUTHORS: Added Ross Golder as current author to the authors' list.

	* PROJECT.STATUS-DEAD: Removed this file as the project has been now
		re-animated by Ross & co. :-)

2003-04-27  Ross Golder  <ross@golder.org>

	* src/gui.c (gtranslator_keyhandler): return FALSE if we haven't
	    handled things.

2003-04-14  Fatih Demir	<kabalak@kabalak.net>

	* Makefile.am, NEWS, configure.in: Updated file for status information.

	* PROJECT.STATUS-DEAD: Added project status file - work on gtranslator
		 is now stopped and it won't be taken any further: thanks to
		  all users and watching audience out there in the universe :-)

2003-02-27  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Added "Taneem Ahmed <taneem@eyetap.org>" for his DTD-patch.

2003-02-25  Fatih Demir <kabalak@gtranslator.org>

	* src/languages.c: Applied patch for the languages' list file by
		Guntupalli Karunakar <karunakar@freedomink.org>.

2003-02-06  Daniel Yacob  <locales@geez.org>

	* configure.ac: Added "am" (Amharic) to ALL_LINGUAS.

2003-01-29  Fatih Demir <kabalak@gtranslator.org>

	* src/languages.c: Applied Bengali addition patch by Sayamindu Dasgupta
		<unmadindu@Softhome.net>.

2003-01-19  Fatih Demir <kabalak@kabalak.net>

	* Makefile.am & configure.in: Added "doc/UMTF" directory structure to
		the output files list.
	
	* doc/UMTF: Added current UMTF specification to gtranslator CVS.

	* configure.in: Added "AC_PROG_RANLIB" macro as it's necessary for the
		creation of the semerkent sources in the distpacks and some
		 kind of cosmetics...

	* Makefile.am: Added "cvspack" rule for automated CVS snapshot'ing.

2003-01-12  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am & main.c: Changed the build information screen a little
		bit and put also the information about the Libxml 2.0 into the
		 output screen and the default learn buffer location is now
		  also shown on the screen following the "-b" switch call of
		   gtranslator.

	* src/utf8.[ch]: Added new "gtranslator_utf8_convert_to_utf8" util function
		which does simply save you some bits of typing, nothing really
		 interesting...

	* src/main.c: Re-enable the now should-be-working functions and parts.

	* src/utils.h: Remove non-defined function declarations - there were
		mostly "gtranslator_utf8_get_plain*" functions which are now
		 not existing anymore and not necessary due to Gtk+ 2.x. 

	* src/learn.c: Smaller modifications to the learn buffer stuff to work now
		really per UTF-8 and to get the point 'bout the premiereversion
		 now right - this was causing the probs with the learn buffer
		  until now - the learn buffer filename has again be changed
 		   to "personal-learn-buffer.xml".

	* src/semerkent/semer-file.[ch]: Added a new "semer_file_save_as_with_type"
		function which encapsulates some lines of work, yeah! Slight
		 typical changes also included (return values are existing
		  now).

	* src/semerkent/*.[ch]: Copyright notice a little bit changed, the web-
		address which was written down in the header was removed and
		 the copyright years updated.

2003-01-11  Fatih Demir <kabalak@gtranslator.org>

	* src/runtime-config.[ch] & utils.c: Removed any rests of the lungering
		"etstates" directories/files: we don't need them anymore as we
		  don't use any GAL now and don't have got any etstates
                   therefore.

2003-01-01  Fatih Demir <kabalak@gtranslator.org>

	* src/\*.[ch]: Updated the years of copyright for some files now awesome
		and made the authors' list accurent where necessary.

	* src/dnd.c: Fix the old and outcommented DnD code with new, easier and
		possibly foolish code, but it should now work and the code
		 does even also read quite sane now, heyya!

	* src/messages-table.c: Slicked down the messages' table the the useful
		and non-doubled party (Status, Message & Translation), all
		 other columns are now removed as they're already present in
		  the current GUI in the one or another kind. Should also
		   make the table faster for navigation.

	* src/color-schemes.c: Adept the signal connecting functions to the
		new g_signal_* stuff (just renaming and a bit of casting).

	* src/gui.c & utils_gui.c: Some more fixing of the old codes 'round
		there - now the geometry parsing and setting etc. was fixed
		 and the XXX comments in the GUI creation were removed:
		  they're currently not needed :-)

2002-12-31  Fatih Demir <kabalak@gtranslator.org>

	* src/gui.c: Removed the out-commented but also unneeded calls for the
		setting of orientation and style of the toolbars: the
		 orientation is now per default horizontal in Gtk+ and the
		  style should also be adaptent to the desktop, therefore
		   no own setting is set anymore now.

	* src/learn.c: Rename the default learn buffer file for now to a stupid
		"Standard_Learn_Buffer.xml" - beware us from taken over
		  gtranslator 0.4x learn buffers...

	* src/actions.c, color-schemes.c, gui.c, menus.c/.h & message.c: Adept to 
		the HIG guideline and move some menu points through the menus.

2002-12-30  Fatih Demir <kabalak@gtranslator.org>

	* src/main.c: Removed the Semerkent testing bits, it's working, we've all
		seen this now and are happy, yeaaahha! The currently non-
		 working options have also been commented our now (with
		  "FIXME"s marked, if the functionalities are coming back one
		    can enable it quite easily).

	* src/languages.c: Added language information for "Kannada" as supplied
		from Pramod R <pramodleo@yahoo.co.uk>.

2002-12-29  Fatih Demir <kabalak@gtranslator.org>

	* src/main.c: Temporarily use some of the Semerkent functions to test the
		possibilities for an integrated version of Semerkent in the
		 gtranslator world.

	* src/Makefile.am: Added "semerkent" subdirectory to the subdirs - it will
		be now also linked to gtranslator (currently needlessly...). 

	* src/semerkent/: Simply added a stripdown version of the semerkent
		sources to here, will locally adopt it and get it useful for
		 gtranslator itself: it will be now just a noninst library.

2002-12-29  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Notice the change done by now corresponding to semerkent...

	* configure.in: Added "src/semerkent/Makefile" to the output files.

2002-12-28  Fatih Demir <kabalak@gtranslator.org>

	* src/dialogs.c, message.c & utils_gui.c: Oh man, there are so
		stupid things in coding life...

	* src/learn.c, utils.c/.h & vfs-handle.c: The awkward adaptations
		necessary to get all the renamings etc. running (the
		 previously e_xml_* stuff is now gtranslator_xml_*).

	* src/Makefile.am, e-xml-utils.c/.h & utils.c/.h: Moved over the only
		used 4 funcitons of these GAL source files into our own
		 source files - makes it saner and less complex to compile;
		  the GAL source files aren't necessary anymore and were
		   therefore removed.

2002-12-27  Fatih Demir <kabalak@gtranslator.org>

	* src/message.c & utils_gui.c: Some smaller assertion fixes to get
		some crashes fixed - glittering points of maligned code
		 was sighted too...

2002-12-27  Fatih Demir <kabalak@kabalak.net>

	* man/pozilla.sh.1: Adepted the man file a bit for the new
		"stuff" - mainly configdir change to "pozilla.sh".

	* pozilla.sh: Some cosmetics and a version bump for "fun".

	* configure.in: Set version to 0.99 for stupidity...

	* NEWS: Squeak! said the NEWS-log...

	* SEEKS_NEW_PROJECT_LEADER: Removed the file as it ain't gonna succeed
		this way - gtranslator needs my love again I guess.

2002-12-24  Fatih Demir <kabalak@kabalak.net>

	* data/mime/Makefile.am: Small change for UTF-8 alike encoding in the mime
		controlling file.

2002-12-16  Fatih Demir <kabalak@kabalak.net>

	* SEEKS_NEW_PROJECT_LEADER: Added this file to CVS for instant
		information about the current main task in the gtranslator
		 world of things...

2002-10-06  Fatih Demir <kabalak@kabalak.net>

	* Makefile.am: Take "help" back to the list of subdirs.

2002-09-29  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am: Added "-Werror" back to the default compile flags.

	* src/header_stuff.c, history.c, prefs.c & utils.c/.h: Added some missing
		casts and/or adjusted some functions parameter-wise.

2002-09-28  Fatih Demir <kabalak@gtranslator.org>

	* src/defines.config & main.c: Updates in the build information "screen"..

	* src/Makefile.am: Tsts, the script/program is called pkg-config, NOT
		pkgconfig...

2002-09-27  Fatih Demir <kabalak@gtranslator.org>

	* src/gui.c, message.c, syntax.c, utf8.c & utils._gui.c/.h: Applied invert
		dot patch by Benjamin Dauvergne <feanor@tol-eressea.org>.

2002-09-27  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Added Benjamin Dauvergne <feanor@tol-eressea.org> for his
		invert dot patch.

2002-09-21  Fatih Demir <kabalak@gtranslator.org>

	* src/color-schemes.c & dialogs.c: Removed debugging g_message calls.

	* src/Makefile.am: Adapt to the new GNOME 2 build specs.

2002-09-21  Fatih Demir <kabalak@kabalak.net>

	* configure.in & NEWS: Set version number now to 0.90 because
		we're all so funny.

2002-08-13  Peteris Krisjanis <peteris.krisjanis@os.lv>

	* configure.in (ALL_LINGUAS): Added Latvian language support.

2002-08-12  Gediminas Paulauskas <menesis@delfi.lt>

	* src/Makefile.am: don't build convert.*. fix localedir for Solaris.
	* src/convert.c, convert.h: remove.
	* src/runtime-config.c, utf8.c, utils.c: use glib functions for charset
	conversion. Removed not used functions.
	* src/main.c: get translations in UTF-8.
	* src/about.c: show translators and documenters using new features of
	gnome2 about dialog. Put logo in about box. Remove showing of
	color scheme author.
	* src/actions.c, actions.h, menus.h, message.c: remove 
	Message Status/Translated menu item. It never made any sense.
	* src/comment.c: disable conversion of comments to utf8, as it crashes. I
	doubt it is needed anyway.
	* src/defines.config, main.c: remove BACKENDS_DIR
	* src/dialogs.h: remove gtranslator_raise_dialog...
	* src/dialogs.c, header_stuff.c: ...use gtk_window_present instead
	* src/prefs.c: allow only one dialog to be open.
	* src/some more files: remove bogus casts and checks, don't use deprecated
	gnome-util functions.

2002-08-12  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: remove gal dependency.
	* Makefile.am: disable help.
	* acconfig.h: add GETTEXT_PACKAGE
	* autogen.sh: remove libtool version check.

2002-08-04  Christophe Fergeau <teuf@users.sourceforge.net>

	* convert.c
 	* convert.h
 	* gui.c
 	* header_stuff.c
 	* parse.c
 	* utf8.c
	* src/ utf8.h: UTF8 and GUI cleanups (removed some UTF8 functions which
 	are no longer useful since glib/gtk works internally in UTF8)

2002-08-04  Christophe Fergeau <teuf@users.sourceforge.net>

	* dialogs.c
	* gui.c
	* gui.h
	* header_stuff.c
	* main.c
	* message.c
	* messages-table.c
	* parse.c
	* prefs.c
	* syntax.c
	* syntax.h
	* utils_gui.c
	* src/utils_gui.h: more GNOME2 work. gtranslator can now load some po files
	and allows you to browse through the strings without crashing. 
	Things to know if you want to work on this port : the various signal
	callbacks used when some text was inserted/deleted are currently 
	commented out, and the whole highlighting stuff needs to be rewritten
	to use GtkTextTag.
	The loading of the po file also needs to be reworked, at the moment
	I only go through all the messages after the file is loaded to convert
	them to UTF8. Maybe that can be improved.

2002-08-03  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Remove "AC_DISABLE_STATIC" macro to avoid any libtool
		usage thus solving some compilation problems.

2002-08-02  Christophe Fergeau <teuf@users.sourceforge.net>

	* configure.in 
	* Makefile.am: removed obsolete references to macros and intl dirs

2002-07-31  Thomas Ziehmer <thomas@kabalak.net>

	* configure.in: added depency to gal-2

2002-07-30  Fatih Demir <kabalak@gtranslator.org>

	* src/e-xml-utils.c: Added a stupid assignment to avoid a compilation error.

2002-07-26  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am, \*.c/.h: Removed all references to the backend functions
		and/or code calls.

	* src/backend.c/.h & backends/: Removed the useless backends code snippets.

2002-07-26  Fatih Demir <kabalak@kabalak.net>

	* NEWS, configure.in & gtranslator.spec.in: Adept for the backends code
		removal & co.

2002-07-20  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am: Removed GAL_LIBS LDADD as it's now already unneeded
		anymore.

2002-07-20  Fatih Demir <kabalak@kabalak.net>

	* NEWS, configure.in: We're now in circles for a release 0.50 far
		far away from the current days!

	* DEPENDS: Updated deps versions.

	* .cvsignore: Added some new kinda files...

	* autogen.sh: Steal the "autogen.sh" from Gnumeric and adapt it :-)

	* configure.in: Grrr, update the file completely to get it up-to-date,
		might take some time as I see :-)

	* NEWS: Adapted for the current situation.

	* configure.in: Updated some stuff and updated intltool req; BTW, the
		 ./configure end message was also changed slightly.

2002-04-28  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) language to ALL_LINGUAS

2002-04-20  Thomas Ziehmer <thomas@gtranslator.org>

	* src/*.c *.h: Moving to gnome-2

2002-04-20  Thomas Ziehmer <thomas@kabalak.net>

	* configure.in: removed unnessesary depency to gdl

2002-04-20  Thomas Ziehmer <thomas@kabalak.net>

	* configure.in, config.h.in, autogen.sh: Moving to gnome-2

2002-04-08  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/build-gtranslator-learn-buffer.sh:Small enhancement by Reinout
		van Schouwen <reinout@cs.vu.nl>.

2002-04-08  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Added Reinout for his scripts hint :-)

2002-04-05  Fatih Demir <kabalak@gtranslator.org>

	* src/header_stuff.c: Take over the stable compile change.

2002-04-01  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/my-update.sh: Corrected a syntax error.

2002-03-30  Fatih Demir <kabalak@gtranslator.org>

	* src/prefs.c: A small typo fix (like in stable).

2002-03-29  Fatih Demir <kabalak@kabalak.net>

	* NEWS, pozilla.sh & man/pozilla.sh.1: Be in "sync" with stable branch 
		changes :-)

2002-03-25  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added Portuguese (pt) to ALL_LINGUAS

2002-03-22  Fatih Demir <kabalak@gtranslator.org>

	* src/     * header_stuff.c: Fix UTF-8 handling for the header fields -- we do
		now also show correct header comment and translator names in
		 the right locale form -- no more crappled text entries.

	* src/comment.c: Fix the extreme spewage about failed assertions for some
		parts of the GtrComment structure -- we are now a bit smarter
		 on comment parts creation.

2002-03-18  Fatih Demir <kabalak@gtranslator.org>

	* src/formats.c, runtime-config.c/.h: Hide the formats checking routines
		from the command line spamming front -- we do now use another
		 small temporarily created file for this, should en-quiet'en
		  the formats checking functionality a bit.

2002-03-17  Fatih Demir <kabalak@gtranslator.org>

	* src/utils.c: Take over fix in the stable branch for the UTF-8 related
		bug b.g.o #69720.

	* src/learn.c: Also fix the po file exporting error like done in the stable
		branch.

	* src/runtime-config.c: Take over patch from stable branch: don't use an
		empty string for middle dot receiption routines, it's already
		 reserved by gettext for the po file headers.

2002-03-15 Peeter Vois <peeter@gtranslator.org>

	* src/message.c: the sudden pointer jump in translation text removed 
		I hope.

2002-03-15  Fatih Demir <kabalak@kabalak.net>

	* BRANCHES: Added branches information holding file to CVS; should be
		a bit enlightening for all :-)

	* NEWS & configure.in: We're not using HEAD for the unstable development
		series; therefore set the version to R 0.50.

2002-03-14  Fatih Demir <kabalak@gtranslator.org>

	* src/syntax.c: Committed a patch'd version of this file by Peeter -- it
		should fix b.g.o #74488.

2002-03-09  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/build-gtranslator-learn-buffer.sh: Corrected a stupid syntax
		error in the script.

2002-03-09  Fatih Demir <kabalak@gtranslator.org>

	* src/learn.c: Use the new min. match percentage while performing fuzzy
		queries in the learn buffer -- we shouldn't get too much away
		 from the original query string anyway and therefore the min.
		  match percentage can't be set to less than 25%.

	* src/syntax.c: Made a C++ style comment a C style comment -- we are using
		gcc who is quite strict on comment styles, so we should keep it
		 with the C comment style with '/*' and '*/'.

	* src/message.c: Show a very nice and make-the-user-happy-kind error window
		up if the message contains errorneus formats.

	* src/prefs.c: Added a toggle button for the formats checking voodoo -- the
		message does also say what you will get if the message has got
		 syntactical errors -- it will drive you crazy for sure; also
		  brought the min. match percentage option to daylight.

	* src/utils_gui.c: Made some small modifications for the instances checking
		routine of gtranslator -- it should a bit more safe now and the
		 message presented to the user is also a bit more clear now (at
		  least I hope so).

2002-03-09  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Extended the ./configure message at the end -- it shows
		you now the direct bug entering page of b.g.o.

	* NEWS & pozilla.sh: New R 5.4 of Pozilla and some news from post-rel.
		fixes.
	
	* man/gtranslator.1.in|pozilla.sh.1: Updated manual pages for Pozilla
		and for gtranslator.

2002-03-02  Fatih Demir <kabalak@kabalak.net>

	* pozilla.sh: R 5.3 with a small new option "-t" to give you a bit of
		working endurance information.

	* NEWS: Added small heading line for the release 0.41 -- pozilla.sh is
		already present in the news file :-)

2002-03-01  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Set version to 0.41 for the CVS development.

2002-02-28  Fatih Demir <kabalak@gtranslator.org>

	* src/header_stuff.c: Make the charset selection non-changable by the user;
		could avoid some emberassed user emotions as one could think a
		 changed charset in the header edit dialog results in a recode
		  of the messages/po file at all -- it isn't so; you must use
		   the import/export dialogs for UTF-8 import/export for now.

2002-02-28  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Added the release dates to all the releases.

	* configure.in & NEWS: Set the version number to 0.40 and added "et"
		to the languages list.

2002-02-27  Fatih Demir <kabalak@kabalak.net>

	* data/Makefile.am & gconf/: Remove the "gconf" subdirectory with the unused
		GConf schemas file.

	* data/scripts/*.sh: Added a "--help" et al. option to the scripts to get a
		bit of information about what the script does -- should have
		 been so since months.

2002-02-27  Fatih Demir <kabalak@gtranslator.org>

	* src/main.c: A small condition change for the modules routine (just some
		kind of "stylistics" action) and also bind the signal handler
		 to the "SIGKILL" signal created by calling "kill -9" or other
		  nice commands.

	* src/messages-table.c: Fix the problem with the Untranslated -> Translated
		status move for the translation insertion; also free up the 
		 inserted "found_translation" string (the "retrieval->message"
		  structure part should NOT be free'd as it would lead to a
		   crash: it's just a pointer to the _real_ message).

	* src/syntax-elements.h: Small update of the syntax highlighted elements &
		URL prefixes.

2002-02-27  Gediminas Paulauskas <menesis@delfi.lt>

	* src/messages-table.c: make right-click menu work, display selected
	message, unset fuzzy on insertion.
	* src/gui.c: update status of message in table whenever message changes.
	* src/message.c/.h: make gtranslator_message_show take a GtrMsg, not
	GSList
	* src/actions.c, learn.c, parse.c, replace.c: update.
	* src/comment.c: plug leak.

2002-02-27  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Removed "data/gconf/Makefile" from the output files'
		list -- the schemas file which lied there wasn't used really so
		 here we go cleansing some more unneeded stuff.

2002-02-26  Fatih Demir <kabalak@gtranslator.org>

	* src/htmlizer.c: Some more love for the HTMLizer routines -- we're now
		using the current colorscheme's colors for the single parts &
		 we are now also putting out some more information to the meta
		  tags of the written HTML file.

	* src/gui.c, stylistics.c & syntax.c/.h: Applied Peeter's patched files
		which should fix an editing bug; no one reported this bug in
		 fact yet however :-)

2002-02-26  Fatih Demir <kabalak@kabalak.net>

	* NEWS: News from the HTMLizer functions; heh, long before, it had been
		updated the last time :-)

	* configure.in: Removed some old checks for GNOFOL and -lkabalak and
		replaced them by one "pointer" library check (does someone even
		 read the "./configure" output messages? Maybe, maybe.).

2002-02-21  Fatih Demir <kabalak@kabalak.net>

	* data/colorschemes/yef.xml: Updated "Yet enhanced fortune" colorscheme for
		version "0.4" :-)

2002-02-21  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Tsts, sometimes I can't simply write a single English sentence.

2002-02-20  Fatih Demir <kabalak@kabalak.net>

	* data/Makefile.am & oaf|ui/: Removed the oaf & the ui subdirectories as 
		they're useless for gtranslator now.

	* data/scripts/Makefile.am: Also add the new script to our standard scripts 
		set which gets installed in "${datadir}/gtranslator/scripts".

	* data/scripts/build-gtranslator-learn-buffer.sh: Added a new script which
		easifies the building of a quite big learn buffer somehow;
		 it's especially useful if you've got a central directory from
		  which you can gtranslator let learn all po files for your
		   language (e.g. "tr.po") in subsequent order.

	* data/colorschemes/Makefile.am|yef.xml: Added new "Yet enhanced fortune"
		colorscheme.

2002-02-20  Fatih Demir <kabalak@gtranslator.org>

	* src/color-schemes.h, learn.c & translator.h: Added newlines to the end
		of the header files -- should fix a compile problem with newer
		 gcc versions.

2002-02-20  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Removed "data/oaf/Makefile" & "data/ui/Makefile" from 
		the output files' list.

	* NEWS: Some more news from today -- new script & colorscheme sighted.

2002-02-19  Fatih Demir <kabalak@gtranslator.org>

	* src/messages-table.c: More sanity imported, the logic is right now, but
		the menu translation insertion step does still not work.

2002-02-18  Fatih Demir <kabalak@gtranslator.org>

	* src/messages-table.c: Don't call "gtranslator_message_update" after the
		insertion of any translation -- this would grep the shown and
		 not the really clicked-on message as the base for the actions;
		  still no salvation for the bug thereover that the menu does
		   not work like intended.

	* src/prefs.h: Removal of a non-used preference.

2002-02-17  Fatih Demir <kabalak@gtranslator.org>

	* src/dialogs.c & messages-table.c: Added update, status change etc. plays
		for the new translation insertion methods.

	* src/messages-table.c: Enable the popup menu also for fuzzy messages and
		smally re-format the non-successful learn buffer lookup message;
		 also enhanced the popup menu a bit more.

	* src/runtime-config.c: Get Pablo's idea into the reality -- woo'sh, it
		seems to be working like desired! Also added Pablo to the source
		 authors of "runtime-config.c" for his hint/code lines.

	* src/utils.c: Make the "gtranslator_utils_get_environment_charset" func.
		also safe for "C"/"POSIX" locales -- me is also happy now :-)

	* src/dialogs.c: Added "Query message contents" option to the query dialog;
		now you can directly query your learn buffer for the current
		 msgid.

	* src/gui.c, main.c: Create, show and delete the general colorschemes' list
		for the GUI menus; fixes b.g.o #71188.

	* src/color-schemes.c/.h: Adept the way we're creating the recent files'
		list and show the list of the colorschemes in the "_Settings"
		 main submenu.

	* src/runtime-config.c: Temporarily fix the compile problems by just setting
		the '^' in show -- there must be a way to let the original
		 source code lines compile; I just can't find it... a half-way
		  fix for b.g.o #70256.

	* src/menus.c/.h: Added "_Settings/_Colorschemes" menu subtree -- it'll be
		filled out by special "color-schemes.c/.h" functions like done
		 for the GtrHistoryEntry structures in the recent files' list.

	* src/syntax.c & utils_gui.c: Remove the "zpmd.h" includes as we've now
		moved the "special char" to the GtrRuntimeConfig structure.

	* src/gui.c & main.c: Create the colorschemes list once upon the GUI start
		and delete the colorschemes list subsequently on the GUI exit.

	* src/color-schemes.c/.h & prefs.c: Added "new" (it's been only moved)
		"gtranslator_color_scheme_create_schemes_list" function to get
		  the list of all available colorschemes; also added finally a
		   colorschemes list free'ing function (why didn't we have one 
		    yet?) named "gtranslator_color_scheme_delete_schemes_list".

2002-02-17  Gediminas Paulauskas <menesis@delfi.lt>

	* src/runtime-config.c: add missing includes and fix middot.
	* src/syntax.c, utils_gui.c: remove include "zpmd.h"

2002-02-17  Fatih Demir <kabalak@gtranslator.org>

	* src/runtime-config.c: Use the new function for the conversion call on
		the unicode'ified mid dot ('Â·').

	* src/utils.c/.h: Added a new "gtranslator_utils_get_environment_charset"
		function which returns the current environment locale's sane
		 encoding charset back.

	* src/syntax.c & utils_gui.c: Adept for the "special char" changes.

	* src/runtime-config.c/.h: Added a "special_char" field to this structure;
		the mid dot or other special char get's defined once on new
		 creation of the GtrRuntimeConfig structure now; I followed
		  Pablo's suggestion with small changes.

	* src/Makefile.am & zpmd.h: Removed this old-style file -- the mid dot or
		"special char" is now in the "GtrRuntimeConfig" structure.

2002-02-17  Fatih Demir <kabalak@kabalak.net>

	* NEWS: More news items about the last 2 days; much had happened.

2002-02-16  Fatih Demir <kabalak@kabalak.net>

	* data/colorschemes/Makefile.am|toyfactory.xml: Added new "ToyFactory"
		colorscheme (inspirated by the corresponding NS 6.2 theme).

2002-02-16  Fatih Demir <kabalak@gtranslator.org>

	* src/zpmd.h: Define the '^' to be translatable via _("^")[0] -- one never
		knows if even ASCII chars are ok as a "special char".

	* src/dialogs.c, main.c & prefs.c: Adept for the final "elimination" of
		our "beloved" query.c/.h source files -- renamings & removals 
		 of includes etc.

	* src/learn.c/.h: Added new "gtranslator_learn_(auto)translate" functions
		which are adaptions of the old "gtranslator_query_translate" &
		 "gtranslator_query_gtr_msg" functions -- the source lines are
		   simply pasted from the old query.c/.h source files.

	* src/Makefile.am & query.c/.h: Remove these old source files completely.

	* src/dialogs.c: Don't save the "query/" prefs/information anymore.

	* src/query.c/.h: Removed the GtrQuery structure and all related stuff;
		these source files should be obsolete quite soon, but for a
		 small time of transition they're still present.

	* src/dialogs.c & menus.c: Some slight textual modifications to reflect
		the current changes going on in the query field.

	* src/prefs.c & translator.c/.h: Remove the default query domain field of 
		the GtrTranslator structure/preferences.

	* src/dialogs.c, main.c & query.c: Remove the "domains" gettext domains
		list variable.

	* src/query.c/.h: Removed some old gettext-binded functions; many functions
		did go away as we do just work with the learn buffer now.

	* src/zpmd.h: Just added a "GTRANSLATOR_MIDDLE_DOT_FALLBACK" define which
		is currently just '^' -- a beginning of a fix for b.g.o #70256.

2002-02-16  Fatih Demir <kabalak@kabalak.net>

	* man/gtranslator.1.in: Update the manual page for the removal of an
		option ("-q" was removed due to query techn. changes).

	* NEWS: More news on the query removal and the new colorscheme -- I 
		feel like an anchorman in these days ;-)

2002-02-15  Fatih Demir <kabalak@gtranslator.org>

	* src/utils.c: Check via "nautilus_strcasecmp" for the locale charset def &
		add some enhanced voodoo master plays for the charset getting
		 function "gtranslator_utils_get_locale_charset" -- fixes b.g.o
		  #69720.

	* src/syntax-elements.h: Added some specific stuff back (one should look at
		his code before doing any removal action I guess...).

	* src/message.c: Comment a very suspicious GTR_FREE out -- solves the status
		change bugs we've been reported about, e.g. b.g.o #61884.

	* src/comment.c/.h: Added new "gtranslator_comment_get_comment_contents" 
		function which returns the plain comment string.

	* src/gui.c: Updated/corrected the "Sticky" status printout on the status
		line -- it should be right now and explain what's up with the
		 "stickiness".

	* src/actions.c/.h, menus.c & message.c: Added new and easier to grep
		"Copy message -> translation" menu point -- this was previously
		  the "Sticky" message state functionality from the "Status"
		   menu -- it should be now much better to understand and use.

	* src/pixmaps/Makefile.am: Add the new pixmap file to the data files.
	
	* src/pixmaps/copy_msgid2msgstr.xpm: Added "new" pixmap -- also taken from
		Evolution (thanks to Jakub or to Tuomos? Surely to both :-))

2002-02-15  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Some items from the last 2 days -- one could say, I'm again 
		coding for some short time.

2002-02-14  Fatih Demir <kabalak@gtranslator.org>

	* src/menus.c: Removed the "Sticky" message status from the status menu.

2002-02-11  Fatih Demir <kabalak@kabalak.net>

	* data/colorschemes/Makefile.am|pdmc.xml: Added another new "PDMC" 
		colorscheme file; the name defines why it has been written :-).

2002-02-11  Fatih Demir <kabalak@gtranslator.org>

	* src/prefs.c: Break the string freeze -- add a syntax highlighting pref.

	* src/prefs_init.c: Initialize the new preferences of the last time with
		sane values for the init process.

	* src/syntax.c: Also respect the "GtrPreferences.highlight" pref like the
		"nosyntax" gboolean from main.c in the syntax highlighting
		  function.

	* src/prefs.c/.h: Added "toggles/highlight" backend preference -- it's read
		and saved now, but isn't present in the GUI yet.. hmm.

	* src/utils.c: Extended the similarity calculating function with another
		piece of voodoo salt -- perfect taste not guaranteed ;-)

	* src/syntax-elements.h: Updated the keywords list with some useful words
		in the field of computing and removed a nonsense prefix.

2002-02-11  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Yes, another new colorscheme: "pdmc" :-)

2002-02-09  Fatih Demir <kabalak@kabalak.net>

	* data/colorschemes/Makefile.am|curlymonster.xml: Added the "CurlyMonster"
		Gtk+ theme-like colorscheme (really nice & good for the eyes).

2002-02-09  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Small cleanup of the NEWS for the coming release and added the
		news of the new colorscheme "CurlyMonster".

2002-01-27  Fatih Demir <kabalak@gtranslator.org>

	* src/formats.c & learn.c: Applied Ryan Murray's multiline message patch
		to fix the build on the new gcc-3.0 series.

2002-01-27  Fatih Demir <kabalak@kabalak.net>

	* debian/: Committed updated debian/ build directory by Ryan Murray.

2002-01-26  Fatih Demir <kabalak@gtranslator.org>

	* src/query.c: Added 2 more assertions to avoid some crashes; still some
		room for humbling left over.

	* src/learn.c: Added a hash entry -> po file entry escaping function; now
		we should have a fully working fix/implementation for b.g.o
		 #61791 ("learn bufffer -> po file export"); also corrected/
		  improved some small parts of the exported po file's header
		   parts -- just some wording/punctuation changes.

	* src/syntax.c: Slightly more assertions to be a bit more safer -- won't
		crash that often now, but the syntax highlighting is now a bit
		 more wrong :-(

	* src/syntax-elements.h: While we're at it :-) Added some more common URI
		prefixes like "gnome-help:", "vfolder:" etc. and some keywords
		 about translation memory formats (of course, "UMTF" is now a
		  keyword :-)).

2002-01-26  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Added some news about some fixed bugs.

2002-01-25  Roy-Magne Mo <rmo@sunnmore.net>

	* src/syntax-elements.h: Adding gtranslator to keyword :) 

2002-01-25  Roy-Magne Mo <rmo@sunmore.net>

	* src/syntax.c: off by one in URL and keyword highlighting.

2002-01-24  Fatih Demir <kabalak@gtranslator.org>

	* src/syntax.c: Corrected a typo from Peeter in his last patch (it was:
		"prefixes[z]", but should have been "keywords[z]").

2002-01-23  Roy-Magne Mo <rmo@sunnmore.net>

	* src/messages-table.c: Needed to call e_tree_model_node_changed() to notify
			    the e_tree about the change. This fixed #66811 

2002-01-21  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" to ALL_LINGUAS.

2002-01-19  Fatih Demir <kabalak@gtranslator.org>

	* src/parse.c: Fix an almost impossible-to-think-of situation in the b.g.o/
		#68782 -- a multiple line msgstr with a multiple msgid and a
		  newline between the `msgstr ""' start token and the msgstr
		   contents -- would you have ever thought of it? We didn't :-)

2002-01-19  Gediminas Paulauskas <menesis@delfi.lt>

	* src/preferences.c/h: remove gtranslator_config_close() --
	gconf_client_suggest_sync should never be used, and then the function
	remains empty.
	* src/many .c files: do not call gtranslator_config_init() or close() --
	they are useless.
	* src/main.c: gtranslator_config_init() at startup, the only place it is
	needed.

2002-01-14  Fatih Demir <kabalak@kabalak.net>

	* man/pozilla.sh.1: Corrected a small typo in the manual page.

2002-01-13  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/cleanup-gtranslator-settings.sh: Changed the internal script
		structure a bit -- it does now ask the user if he/she does want
		 to really delete the files which are going to be deleted by the
		  script now -- could avoid some unwanted prefs/data loss and
		   the script itself does now again also work like intended :-)

	* data/colorschemes/Makefile.am: Add "thinice.xml" to the colorschemes' data
		list -- it's now also included per default in the distribution.

	* data/colorschemes/thinice.xml: Added "ThinIce" colorscheme -- it's quite
		clean and uses the colors from the available "ThinIce" Gtk+ 
		 theme.

2002-01-13  Fatih Demir <kabalak@kabalak.net>

	* NEWS: News bits about the new colorscheme "ThinIce" & the updated
		"cleanup-gtranslator-settings.sh" script.

2002-01-12  Fatih Demir <kabalak@kabalak.net>

	* pozilla.sh: R 5.2 -- just some internal changes within comments and
		the seperator line function which now came into the script.

	* NEWS: Added news item about the new manual pages which are now
		really up-to-date and featuring some new stuff from the
		 last time.

	* man/pozilla.sh.1: Updated pozilla.sh manual page for a forgotten
		option and also added a "FILES" section to it pointing to
		 the location of pozilla.sh's "config" file -- "STATUS" is
		  now "works" :-)

	* man/gtranslator.1.in: Updated the gtranslator manual page to be in
		sync with our new capabilities, authors and status :-)
	
	* ChangeLog: "Fixed" Roy-Magne's last entry ("til spec file"?).

2002-01-11  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am: Remove the "prefs-dialog.c/.h" source files.

	* src/translation-memory.c/.h: Also removed this (currently) non logical
		source files -- if Semerkent would be in a useable state, the
		 situation would look quite different, but it isn't :-/

	* src/prefs-dialog.c/.h: Removed this nonsense try of an own prefs dialog
		code.

	* src/menus.c: Changed the stock icon for the "Remove all translations" 
		menu entry to be now the "Trash" stock icon -- hopefully this
		 is a bit more intuitive then the previous "blank book" icon.

2002-01-10  Fatih Demir <kabalak@gtranslator.org>

	* src/menus.c: Changed the hotkey of the "_Edit/_Comment" menu entry to be 
		'o' -- doesn't clash with "_Cut" anymore.

2002-01-06  Roy-Magne Mo <rmo@sunnmore.net>

	* gtranslator.spec.in: Added buildprereqs to the spec file.

2002-01-03  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/cleanup-gtranslator-settings.sh: Added two small sleep calls
		which are both sleeping for 3 seconds -- should be a bit saner
		 then to not wait at all -- and also show a small information
		  about what we did after the "finish" of the script :-)

2002-01-03  Fatih Demir <kabalak@gtranslator.org>

	* src/main.c: Added newline after the message "Exported learn buffer..." --
		now the message looks sane on the command line .-)

	* src/learn.c: Enhanced the learn buffer exporting functionality by also
		"exporting" the resources list also to the exported po file.

	* src/menus.c: Added the "Edit comment" pixmap to it's menu entry .-)

	* src/pixmaps/Makefile.am & pixmaps/edit_comment.xpm: Added "Edit comment" 
		pixmap -- it was originally the "evolution/art/edit.xpm" from
		 Evolution.

	* src/comment.c: Enable/disable the new menu entry correspondingly to the
		"Edit comment" button in the comment view "component": it's
		  handled in the same function (& even in the same conditionals)
		   to be honest :-)

	* src/actions.c/.h: Added "ACT_COMMENT" action for the new "Edit/Comment..."
		menu entry; also removed the rests of the views bar: the "old"
		 ACT_VIEW_* actions are now removed from the sources.

	* src/menus.c: Added "Edit/Comment..." menu entry with "F9" as the keyboard
		shortcut.

2002-01-03  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Changed the "export learn buffer -> po file" news notice a bit
		to be much more sensitive.

	* THANKS: Some update of the thanks notice to Jakub due to the "new"
		"Edit/Comment..." pixmap .-)

2002-01-02  Fatih Demir <kabalak@gtranslator.org>

	* src/message.c: Included formats checking on message update -- it just
		beeps for now if a failure did occur, ergo the formats are
		 wrong or any other syntactical error is present.

	* src/prefs.c/.h: Added `hidden' "toggles/check_formats" preference via
		which you can enable the current formats checking routine --
		 it's currently not woven into the prefs dialog as the formats
		  checking needs some more love -- if you want to see it in
		   action, simply do:
		
		gconftool -t bool -s /apps/gtranslator/toggles/check_formats 1

	* src/formats.c: Hide the command line error messages/warnings from the
		user and return a really logical value -- it's the right way
		 now: it returns TRUE on success and FALSE on failure and not
		  vice versa.

	* src/about.c: Small tweak --  the colorscheme author is now "escorted" by
		"'s (I know, a "super" change ,-)).

	* src/messages-table.c: Made the default color values for the table entries
		highlighting being defined by macros -- centralizes their prefs
		 a bit -- still no clue about the "messages table doesn't show
		  up" bug .-( Uhmm...

2002-01-01  Fatih Demir <kabalak@gtranslator.org>

	* src/about.c: The about dialog is now much more well-proportioned then
		before -- should fix bugzilla bug #66815.

	* src/main.c: Added an "-e"/"--export-learn-buffer" option to use the new
		functionality from "learn.c".

	* src/learn.c: Implement the "exporting to po file" functionality.

	* src/syntax-elements.h: Added some more syntax highlighting patterns:
		"toc:" as URI prefix and "EURO", "Euro", "Cent", "Ct" as some
		  names for our new common European currency; for "equality" I 
		   did also add the "Dollar" to the list ,-)

	* src/Makefile.am: Added "zpmd.h" to the sources' list.

	* src/syntax.c & utils_gui.c: Include "zpmd.h" and call the new macro named
		GTRANSLATOR_MIDDLE_DOT instead of the (_("\xb7")[0]) struct;
		 this way we try to achieve some better i18n results.

	* src/zpmd.h: Define an external GTRANSLATOR_MIDDLE_DOT macro to outsource
		the middle dot definition & structure into an own header file;
		 why zpmd.h? Because it's a "_z_uper problematic middle dot.h"!

	* src/dialogs.c: (Ha, finally! Euros have come down ,-)) Check a directory
		for existence before completing in the file dialogue (bewares
		 you of "Directory: XYZ/po isn't readable" or similar errors).

2002-01-01  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Notify the new capability to export the learn buffer into a
		single po file.

2001-12-27  Fatih Demir <kabalak@gtranslator.org>

	* src/formats.c: Implement the formats checking routines with a quite
		"anormal" way to do it -- but it delivers us the result
		  whether the given message is correct or not.

2001-12-26  Fatih Demir <kabalak@gtranslator.org>

	* src/gui.c/.h, main.c & syntax.c/.h: Added Peeter to the authors' party
		at the top of every source file as work of him did go into
		 these source files.

	* src/prefs.c: Small typo correction ("message" <-> "messages").

	* src/Makefile.am: Removed po.c/.h from the sources' list.

	* src/po.c/.h: Removed these preliminary sources -- I don't think we wanted
		to get these source files to become alive ever.

	* src/about.c: Added Peeter to the about box' authors' section -- also
		changed the formatting of the mail addresses a bit (really just
		 a bit .-)).

	* src/utf8.c: The charset after the conversion to UTF-8 is now also "UTF-8"
		and not "utf-8" like it was previously.

	* src/languages.c: Change the Turkish encoding to "ISO-8859-9" to solve the
		problems the previously present string ("iso-8859-9") could 
		 cause with the compiled gettext po files (results of a long
		  thread in the GNOME Turk mailing list).

2001-12-26  Fatih Demir <kabalak@kabalak.net>

	* AUTHORS: Added Peeter Vois to our authors' team .-)

	* NEWS: Added news about the small fixes for the Turkish users.

2001-12-25  Fatih Demir <kabalak@gtranslator.org>

	* src/learn.c: Small enhancements to the learn buffer -> po file exporting
		routines; more parts of it is written now, though not completed
		 yet.

2001-12-25  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Add news blurp about the scrolled comment view.

2001-12-23  Gediminas Paulauskas <menesis@delfi.lt>

	* src/gui.c: put comment view in scrolled window so that it doesn't
	get too high. Taken from patch by Peeter Vois <Peeter.Vois@mail.ee>
	* src/syntax.c: don't insert text if it's NULL.
	Still crashes on untransated messages

2001-12-23  Gediminas Paulauskas <menesis@delfi.lt>

	* src/prefs.c: Merge toggle button and entry of the following options:
		+ "Use special dictionary" and "Dictionary to use"
		+ "Save po files automatically..." and "Autosave timeout..."
		+ "Append a special suffix..." and "Autosave suffix"
	* src/utils_gui.c (gtranslator_utils_attach_toggle_with_label): use
	two columns for togglebuttons so that they don't make first column
	too wide (look at "Colors" page).

2001-12-23  Gediminas Paulauskas <menesis@delfi.lt>

	* src/prefs.h, prefs.c, parse.c: Removed "Don't save unchanged files"
	and "Warn if saving unchanged file" options: just don't save.

2001-12-22  Gediminas Paulauskas <menesis@delfi.lt>

	* src/views.c, views.h, sidebar.c, sidebar.h: removed views sidebar.
	* src/Makefile.am: don't build removed files.
	* src/find.c, gui.c, gui.h, parse.c, prefs.c, prefs.h: don't do anything
	with views sidebar.
	* src/menus.c, menus.h, actions.c: remove View menu.
	* src/gui.c: Insert undo should work even if dot char isn't used ;)

2001-12-22  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Some more news about "our" changes in the sources by the
		patch by Peeter and the changes by Gediminas ("toolbar
		 cleanup", removal of the views sidebar etc.).

2001-12-20  Gediminas Paulauskas <menesis@delfi.lt>

	Integrate parts of patch from Peeter Vois <Peeter.Vois@mail.ee>

	* src/syntax.c, syntax.h, gui.c, gui.h: rewrite syntax highlighting to be
	much faster and more correct.
	* src/dialogs.c, dnd.c, undo.c, utf8.c, views.c: update for syntax changes.
	* src/main.c: new option --nosyntax.
	* src/sidebar.c: dont ref/unref a NULL icon.
	* src/dialogs.c: don't set wmclass on already realized open dialog.

2001-12-20  Gediminas Paulauskas <menesis@delfi.lt>

	* src/prefs.c: deal with "show messages table" option the same way as
	others.

2001-12-20  Gediminas Paulauskas <menesis@delfi.lt>

	* src/menus.c: removed Options and Exit toolbar items.

2001-12-15  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Some more news about the changes by Roy-Magne.

	* gtranslator.spec.in: Updated the starting commentary a bit as the
		spec file is now updated by Roy-Magne.

2001-12-14  Fatih Demir <kabalak@gtranslator.org>

	* src/about.c: Added Roy-Magne Mo as an author .-)

2001-12-14  Roy-Magne Mo  <rmo@sunnmore.net>

	* src/languages.c: Corrected translation team for nn

2001-12-14  Roy-Magne Mo  <rmo@sunnmore.net>

	* src/about.c: Added functionality to add translators credit
	to fix #66812

2001-12-14  Roy-Magne Mo <rmo@sunnmore.net>

	* gtranslator.spec.in: Fixed permission problems in spec-file

2001-12-12  Kevin Vandersloot <kfv101@psu.edu>

	* src/messages-table.c: call e_tree_model_pre before
	changing the data in a node sice this is now required

2001-12-12  Fatih Demir <kabalak@gtranslator.org>

	* src/menus.c: Committed patches for #66814 & #66810 by Roy-Magne Mo 
		<rmo@sunnmore.net>.

	* src/learn.c/.h: Added the skeletons of a learn buffer -> po file export
		function (no sources, just prototypes).

2001-12-12  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Small information about spec/RPM changes (or at least what me
		as a Debianer thinks did change ,-)).

	* THANKS: Also added Roy-Magne as the current RPM packager to the list.

2001-12-12  Roy-Magne Mo  <rmo@sunnmore.net>

	* gtranslator.spec.in: Moved scrollkeeper from requires to prereq

2001-12-05  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/Makefile.am: Applied patch by Roy-Magne Mo for scripts rule
		of the Makefile.

2001-12-05  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Added Roy-Magne Mo <rmo@sunnmore.net> due to his patch .-)

	* gtranslator.spec.in: Applied patch by Roy-Magne Mo for RPM stuff.

2001-12-02  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Oops, forgot really to add Dan to the thanks list; it's done
		now.

2001-11-29  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Started "0.39.2"'s news dept. -- nothing useful there yet .-)

	* configure.in: Set version number to "0.39.2" as CVS "development"
		started now -- or at least kinda of "development".

2001-11-24  Gediminas Paulauskas <menesis@delfi.lt>

	* src/sidebar.c, message.c, gui.c: update messages table and show sidebar
	only if they are enabled.
	* src/find.c, message.c, header_stuff.c: do not use regex cache, replace
	it with regcomp	or simple str functions.
	* src/gui.c, main.c, parse.h, parse.c, sighandling.c: don't
	create/destroy regex cache.
	* src/gnome-regex.c, gnome-regex.h: removed -- no longer needed.
	* src/Makefile.am: remove these from build.
	* src/backend.c, bookmark.c, messages.h, parse.h: fix includes.

2001-11-24  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Some news items for the contributions of you all in the last
		days/weeks.

2001-11-24  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: don't print GConf options in summary -- it is
	required.
	* ABOUT-NLS: remove, this is autogenerated file.

2001-11-24  Dan Damian <dand@level7.ro>

	* Makefile.am: add gtranslator.spec to EXTRA_DIST

2001-11-22  Roy-Magne Mo  <rmo@sunnmore.net>

	* configure.in: Added nn to ALL_LINGUAS

2001-11-21  Fatih Demir <kabalak@gtranslator.org>

	* src/prefs.c: #ifdef out the new percentage prefs stuff -- it isn't 
		working yet and so we just "hide" it from the user for now.

2001-11-21  Fatih Demir <kabalak@kabalak.net>

	* pozilla.sh: R 5.1 with another ultimate insanity fix for getting it
		to be run-able; has got still "issues" but there issues are
		 out of luck -- or in luck that's relative -- to be not solved
		  by me due to "No time".

2001-11-12  Fatih Demir <kabalak@gtranslator.org>

	* src/messages-table.c: Applied a small 64 bit compiling fix as suggested
		by Ryan Murray <rmurray@debian.org>.

2001-11-10  Fatih Demir <kabalak@gtranslator.org>

	* src/utils.c: A small PowerPC compiling change -- smally changed version
		of the proposed patch by Ryan Murray <rmurray@debian.org> after
		 the bug report of Stephen R Marenka <stephen@marenka.net> --
		  gchar is an "unsigned" int on PowerPC: ok, why not..

2001-11-03  Fatih Demir <kabalak@gtranslator.org>

	* src/history.c: Applied a suggested crash patch from Volodymyr M. Lisivka.

2001-10-28  Fatih Demir <kabalak@gtranslator.org>

	* src/prefs.c: Small prefs string change to make the function of a toggle
		button more clear.

2001-10-28  Fatih Demir <kabalak@kabalak.net>

	* README: Removed the paragraph about the IRC channel -- I don't get
		along there that much (-> no time), so it would just confuse
		 people.

	* NEWS: Give us the news about the new pozilla.sh 5.0 version -- it 
		shall be appraised and loved by everyone!

	* pozilla.sh: We got release 5.0 -- yes, it works again! How crap, not?
		BTW: I did also move the "config directory" of pozilla.sh to
		 "~/.gtranslator/pozilla/" from "~/.pozilla" -- this should
		  show the very high grade of relativeness between pozilla.sh
		   and gtranslator.

2001-10-26  Fatih Demir <kabalak@gtranslator.org>

	* src/stylistics.c: Applied supposed multibyte/font loading patch by
		Volodymyr M. Lisivka.

2001-10-26  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Added Volodymyr to the thanks section/suggestions & co. .-)

2001-10-19  Fatih Demir <kabalak@gtranslator.org>

	* src/save.h: Renamed the define to be now rightly "GTR_SAVE_H".

	* src/comment.c/.h: New "gtranslator_comment_hide" function to hide the
		comment view area.

	* src/prefs.c/.h & prefs_init.c: Added a new option to toggle the comment
		view -- fixes #59534.

2001-10-14  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/my-update.sh: Respect also intltool-update if found.

	* data/desktop/Makefile.am & mime/Makefile.am: Changed xml-i18n-tools refs
		to be intltools references.

2001-10-14  Fatih Demir <kabalak@gtranslator.org>

	* src/formats.c: Removed the old useless cruft for formats checking -- the
		sources are now emptied.

	* src/learn.c: Compress the XML document with the maximal factor 9 while
		saving -- should save much disk space for the users of big
		 learn buffers.

2001-10-14  Fatih Demir <kabalak@kabalak.net>

	* pozilla.sh: This is 4.5FIXME.2 .-) We do now also know about intltools
		in pozilla.sh -- but it doesn't still work anyway.

	* .cvsignore & Makefile.am: Adept for our xml-i18n-tool -> intltool
		transition.

	* configure.in: Use "AC_PROG_INTLTOOL" instead of the old xml-i18n-tool
		rule.

	* DEPENDS, README & kabalak_generate_all_the_files.sh: Change our own
		xml-i18n-tools references to be intltools references.

2001-10-12  Fatih Demir <kabalak@gtranslator.org>

	* src/languages.c: Changed the French language group's EMail address to
		be "gnomefr@traduc.org" instead of "traduc@traduc.org" as
		 suggested by "Olivier Berger <oberger@april.org>".

2001-10-11  Fatih Demir <kabalak@gtranslator.org>

	* src/main.c: Applied suggested patch by Mike Newman to fix compilation
		of certain systems.

	* src/languages.c: Added a Catalan translation group EMail address as
		suggested by "Jordi Mallach <jordi@debian.org>".

	* src/prefs.c: Implement a string change like suggested by Francisco 
		Petrucio Cavalcante Junior to a prefs option string.

2001-10-11  Fatih Demir <kabalak@kabalak.net>

	* THANKS: Added Francisco Petrucio Cavalcante Junior for his prefs 
		string suggestion .-)

2001-10-09  Fatih Demir <kabalak@gtranslator.org>

	* src/utils.c: Change the compiling processes temporary files to point to
		the general files dir "~/.gtranslator/files/".

2001-10-07  Fatih Demir <kabalak@gtranslator.org>

	* src/syntax.c, utils_gui.c & views.c: Applied some of Yukihiro's tips for
		#60350 -- maybe we're getting nearer to the solution of this
		 bug?!

	* src/gui.c: Discard the Ctrl+Shift+Arrow Key "key_press" events as these
		aren't the same like our navigation keys Ctrl+Arrow Key; fixes
		 #61822.

	* src/parse.c: Also un-escape the '\r' rightly -- fixes some warnings from
		badly formed messages in projects like XST.

	* src/save.h: Comment correction.

	* src/utils.c: Get the 1% float "gtranslator_utils_calculate_similarity"
		from the longer string of the two argument gchars -- seems
		 more logical.

2001-10-06  Kevin Vandersloot <kfv101@psu.edu>

	* src/messages-table.c: insert messages in the proper order

2001-10-06  Fatih Demir <kabalak@gtranslator.org>

	* src/utils.c/.h: Added "gtranslator_utils_calculate_similarity" function
		to calculate the similarity between two given gchar's -- it
		 does sound like voodoo, is voodoo and results like voodoo!

	* src/prefs.c: Split all learn buffer/auto translation options into an
		own prefs page and assure the gfloat values to be in sane
		 ranges -- makes prefs merging in some situations easier.

	* src/prefs.c/.h & prefs_init.c: Added minimum match percentage prefs.

2001-10-05  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am & \*.c/.h: Reflect the move of save-differently.c/.h to
		save.c/.h.

	* src/main.c: Some small reshuffles for the init/shutdown/free methods in
		the main() routine -- colorschemes and some other quite GUI
		 related stuff isn't loaded (and also not freed for this reason)
		  if we're only working in auto translation/learning modus on
		   the cmdline -- should give us some seconds and some memory
		    back for excessive auto translating/learning actions.

	* src/translator.c: Handle changes of language settings during the creation
		of the GtrTranslator structure -- a custom learn buffer name
		 for every language is now guaranteed -- after a restart of
		  gtranslator of course. Still not weaven into the learn buffer
		   code as this may cause some confusion ,-)

	* src/query.c: If we're using a "more detailed" locale like "no_NO" test
		the query domains directory for existence -- if it doesn't
		 exist try to fall back to a "major level" locale like "no".

	* src/learn.c: Set the changed status to TRUE if we're re-creating a new
		and fresh learn buffer -- else we don't get a new one if no
		 old learn buffer was previously present; also assign a more
		  secure premiereversion attribute for the GtrLearnResource
		   structures.

	* src/header_stuff.c: Ignore unknown, non-standard header entries silently.

2001-10-05  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Heh, add the news about the 0.39.1 release which might approach
		fairly soon.

	* configure.in: We step a little bit back and return to R 0.39.1.

2001-10-04  Fatih Demir <kabalak@gtranslator.org>

	* src/learn.c: Added "changed" gboolean field to the GtrLearnBuffer struct
		which makes us now a bit cleverer on learn buffer shutdown:
		 we don't need to save the learn buffer as a XML file, if there 
		  hasn't been any changes to the learn buffer -- should make
		   the gtranslator exit much faster in many circumstances.

2001-10-02  Fatih Demir <kabalak@gtranslator.org>

	* src/messages-table.c: Don't convert messages to UTF-8 if the messages are
		already UTF-8 per se -- should fix the bugzilla.gnome.org bug
		 #60839.

	* src/bookmark.c/.h: General re-organization of some parts -- it should be
		much more practicable now.

	* src/main.c: Completed command line auto translation option -- you can
		now use the auto translation feature without starting the GUI
		 at all via running "gtranslator -a po_file" -- you'd have got
		  to have a rich learn buffer for getting this to a really
		   quite useful state.

	* src/dialogs.c & query.c/.h: Added a gboolean "gui" argument to the
		"gtranslator_query_translate" function -- should be set to
		  TRUE if the functions is being called from the GUI circles
		   of gtranslator.

	* src/gui.c: A small correction in the non-visibility routines for the
		pane conents for the views sidebar and the messages table.

	* src/learn.c: Escape all necessary characters rightly for saving in the 
		XML document.

	* src/message.c: Check for the po file being open before showing any GtrMsg
		in the text boxes.

	* src/main.c: Added "-a/--auto-translate" command line options to auto
		translate a given po file on the command line without having
		 the GUI build up & started.

2001-10-01  Fatih Demir <kabalak@gtranslator.org>

	* src/gui.c & sighandling.c: Remove all backends on quitting/closing down
		gtranslator -- the backend informations are now also freed.

	* src/learn.c & main.c: Honor the new options while operating in the main
		routine for loading the backends and while querying the learn
		 buffer for the fuzzy matching option.

	* src/prefs_init.c: Initialize the new options to sane values and integrate
		them in the normal first init canon.

	* src/prefs.c/.h: New options to inhibit loading of backends on startup
		and to enable/disable "fuzzy matching" query methods for the
		 learn buffer.

	* src/prefs-dialog.c/.h: Add a "content" gpointer part which shall always
		point to the currently shown widget in the content area.

2001-10-01  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Catalan (ca) language to ALL_LINGUAS

2001-09-30  Fatih Demir <kabalak@gtranslator.org>

	* src/learn.c: Some small enhancements and progress towards storing the
		learn buffer for UTF-8 (not done yet).

	* src/prefs-dialog.c/.h: Corrected all previously malformed macro casts and
		corrected some wrong assertions.

2001-09-28  Fatih Demir <kabalak@gtranslator.org>

	* src/prefs-dialog.c: Slightly enhanced closure method -- also count the
		changes in the preferences through the "changed" method; show
		 a dialog to the user if changes are pending and the user still
		  wants to close the prefs dialog and respect the answer from 
		   this Yes/No/Cancel dialog.

2001-09-27  Fatih Demir <kabalak@gtranslator.org>

	* src/prefs-dialog.c: Hm, check the "read_all_options_func" function for
		sanity before executing the eventually NULL-function.

2001-09-26  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am: Added the new experimental po.c/.h source files to the
		sources list.
	
	* src/po.c/.h: New kind of GtrPo reading, saving etc. is currently played
		with in these very experimental source files.

	* src/prefs-dialog.c: Add a help button to the prefs dialog; also added 
		some more implementation stuff -- the creation needs now a
		 "read_all_options_func" argument which reads all the option
		   values from the widgets -- this way, we don't need to cope
		    directly with this in the prefs dialog sources.

2001-09-26  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Added first news item about the R 0.40 ,-)

	* DEPENDS & configure.in: Updated the GAL requirement to be at least
		0.11.99.

2001-09-25  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am: Added the new prefs-dialog.c/.h files to the sources.

	* src/prefs-dialog.c/.h: Added current GtrPrefsDialog implementation --
		needs some more extensions though before getting really useful:
		 I even don't want to think about memleaks yet ,-)

	* src/parse.h: Removed the conditional inclusion of config.h -- why got
		something like that into the header?!

2001-09-23  Fatih Demir <kabalak@gtranslator.org>

	* src/messages-table.c: Added a right click function which performs a
		query in the personal learn buffer if the right-clicked message
		 is currently untranslated and shows a found translation or an
		  informative message.

	* src/message.c: Honor the new option -- check for the option before 
		learning the newly translated message contents.

	* src/prefs.c/.h: Added toggle option to suppress auto learning of newly
		translated messages.

2001-09-23  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Added "ta" to the languages list.

2001-09-18  Fatih Demir <kabalak@gtranslator.org>

	* src/bookmark.c, menus.c & utils.c: Fixed pure gpointer -> gint casts to 
		use the GINT_TO_POINTER macro from GLib.

2001-09-16  Fatih Demir <kabalak@gtranslator.org>

	* src/comment.c: Truncate the comment string if it's longer then 82 chars;
		thus avoid over-sized gtranslator window dimensions.

2001-09-10  Fatih Demir <kabalak@gtranslator.org>

	* src/gui.c & menus.c/.h: Renamed "the_popup_menu" to "the_main_popup_menu"
		to allow other popup menus to come without any name clashes.

2001-09-09  Fatih Demir <kabalak@kabalak.net>

	* data/gconf/Makefile.am: Small cleaning in the install rule of the
		Makefile: nothing big.

2001-09-09  Fatih Demir <kabalak@gtranslator.org>

	* src/comment.c: Ehem, added a required assertion back.

2001-09-09  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Bumped version number to 0.40 for CVS development.

2001-09-09  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Sorted the languages list alphabetically right.

	* debian/Makefile.am|README.Debian: Removed my own README.Debian.

	* debian/*: Merged Ryan's debian directory into current CVS.

2001-09-08  Fatih Demir <kabalak@gtranslator.org>

	* src/gui.c & menus.c/.h: Outsourced "the_popup_menu" menu entries into the
		common menu sources.

	* src/messages-table.c: Don't re-collapse the translated messages if we're
		on a untranslated message -- solves bug #60167 -- according
		 to the preference we're still collapsing the translated 
		  entries per default, but if we've uncollapsed the translated
		   entries once, we don't want to re-collapse the translated
		    entries again -- makes gtranslator slow on big po files.

	* src/utils.c: Applied an enhanced and changed version of Joe Man's patch
		(http://bugzilla.gnome.org/showattachment.cgi?attach_id=5071):
		  the logic is now kept and includes the enhancements from Joe
		   for the multibyte users.

	* src/comment.c: Removed an assertion checking for "file_opened" -- no
		comment can be shown at all if no file (and therefore no
		 message) is open/displayed! Also weakened an assertion to be
		  only a condition -- results in less spew on the console in
		   the "gtranslator_comment_display" function.

	* src/messages-table.c: Removed the assertion whether a file is opened in
		the "value_at" function -- it's not needed at all (fixes bug
		 #59539).

	* src/runtime-config.c: Adepted for the new directory: use the new location
		"~/.gtranslator/files/" for the "special" file(name)s during
		   converting/opening/saving "special" formats ,-)

	* src/utils.c: Also create a "files" directory in "~/.gtranslator" where
		all the temporary files should go; also don't remove the
		 crash file -- the user has to specify what to do for the crash
		  files.

	* src/bookmark.c, dialogs.c, history.c, main.c & parse.c: Adept for the new
		opening gateway function "gtranslator_open_file" which handles
		 all opening action now centralized -- no foo'sh constructs
		  anymore like "if(!gtranslator_open_po_file(filename)) {}"
		   etc.

	* src/open.c/.h: Integrate all opening logic into the new generalized
		"gtranslator_open_file" function -- makes source code
		  much more logical and replaces the double opening function
		   constructs used over many places in the code.

	* src/open.h: Changes comments and adepted the GTR_OPEN_DIFFERENTLY_H 
		define to follow the new name: GTR_OPEN_H.

2001-09-08  Fatih Demir <kabalak@kabalak.net>

	* configure.in: Added "eu" (Basque) to the languages list.

2001-09-09  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Renamed zh_CN.GB2312 to zh_CN.

2001-09-06  Fatih Demir <kabalak@gtranslator.org>

	* src/\*.c: Rename "open-differently.h" inclusions to "open.h" inclusions.

	* src/Makefile.am: Adapted for the open-differently.c/.h -> open.c/.h move.

	* src/parse.c: Fix #60091 -- a typo got into a changed message yesterday;
		fixed this.

2001-09-05  Fatih Demir <kabalak@gtranslator.org>

	* dialogs.c, header_stuff.c, menus.c, parse.c, prefs.c, replace.c &
		update.c & utils_gui.c: Corrected gramer and spelling murders
		 by me with the help of Mike's en_CORRECT patch .-)

	* src/dialogs.c: Eh, be a bit more clever in the save file as dialog:
		use project name + language if possible, if not use the
		 "project_name.po" as the prefilled filename for the save file
		   as dialog.

	* src/parse.c: Be also careful about the language name being non-existent
		in the save-temporarily-used file save case.

	* src/history.c: Escape the project name, version and the filename before
		showing the menu entries due to the "_" case -- the underscore
		 needs to be escaped as the they do else occur as hotkeys; also
		  be more careful about the project version when showing the
		   "Recent files" menu -- if no version is present or the 
		     default version "VERSION" is given, don't show any version
		      information in the "Recent files" menu.

	* src/about.c: Made the "Documentation:" and "Messages table:" author
		group labels translatable.

2001-09-04  Fatih Demir <kabalak@gtranslator.org>

	* src/parse.c: If a message was fuzzy during translation removal set
		it's status to non-fuzzy afterwards in "remove_translation".

	* src/about.c: Added Emese Kovacs to the authors section for her
		documentation and "grouped" Kevin as the "Messages table"
		 representative exec developer ,-)

	* src/message.c: Free the comment via "gtranslator_comment_free" and
		not via a simple "GTR_FREE" in "gtranslator_message_free".

	* src/translator.c/.h: Small comments play and changing of the default
		learn buffer file name -- it is now named "Locale.xml";
		 also set the "natural_language_name" to English in the
		  "gtranslator_translator_new_with_default_values" function
		    as a fallback value -- fixes the last first init issues
		     left over due to the switch to GtrTranslator.

	* src/main.c: Only call "gtranslator_translator_new" if the general
		"gtranslator_translator" GtrTranslator structure hasn't been
		  inited by an eventual call of the first time init functions
		   yet.

	* src/prefs_init.c: Only use the new ultimate first time init function
		"gtranslator_translator_new_with_default_values" for getting
		  all the nice translator & language values.

	* src/parse.c: Adapted the "add to history" conditional to be based on
		the new GtrRuntimeConfig structure and to also ignore crash
		 and backend filenames.

	* src/main.c: Adapted to the new, changed function signature of the
		"gtranslator_htmlizer" function.

	* src/htmlizer.c/.h: Changed "gtranslator_htmlizer"'s arguments list:
		it just waits for the "save_to" filename to save the HTML file
		 to now -- uses the global "po" GtrPo structure.

	* src/parse_core.c & parse.c: Moved the "gtranslator_parse_main" into
		the main parse source file -- removed the old outsourced
		 parse_core.c file.

	* src/Makefile.am: Removed parse_core.c from the sources list.

2001-09-04  Fatih Demir <kabalak@kabalak.net>

	* NEWS: Added some more news items about gtranslator.

	* AUTHORS & THANKS: Moved Emese into the Authors/Documentation group.

2001-09-03  Fatih Demir <kabalak@gtranslator.org>

	* src/parse_core.c: Also include <config.h> conditionally.

	* src/prefs.c: Place the prefs dialog always in the center of the screen;
		fixes #59201 (I'd got to go back to GtkWindow level calls to
		 get this fixed; GnomeDialog level calls or the util function
		  "gtranslator_dialog_raise/show" aren't working here).

	* src/prefs_init.c: Heh, work with a local gchar string before going for
		bigger dimensions like a GtrTranslator -- fixes first init
		 values grepping.

2001-09-03  Fatih Demir <kabalak@kabalak.net>

	* man/gtranslator.1.in: Added Kevin to the Authors' section.

	* man|src/Makefile.am: Switched over to CLEANFILES for cleaning non-
		standard files instead of doing this within an own clean-*
		 target.

	* configure.in: Extended the checks for libkabalak and GNOFOL ,-)

2001-09-02  Fatih Demir <kabalak@gtranslator.org>

	* src/dialogs.c, gui.c & prefs.c: Some more mem leak hunting! Mainly
		addicted to "gtk_editable_get_chars" calls.

	* src/prefs.c: The "gtranslator_preferences_free" function now frees 
		really the left over gchar's which were all leaking 'round
		 -- the language, translator name etc. are now free'd by the
		  "gtranslator_translator_free" function.

	* src/prefs_init.c: Call up the new GtrTranslator structure based prefs
		init function "gtranslator_translator_new_with_default_values"
		 to get the default values for translator name, EMail.

	* src/dialogs.c, prefs.c/.h & query.c: Also moved the default query domain
		preference value now into the responsibility area of the 
		 GtrTranslator structure.

	* src/header_stuff.c, learn.c, prefs.c/.h, query.c, utils.c: Also switch
		to GtrTranslator use instead of the previous "mime", "language"
		 etc. variables for the language values.

	* src/header_stuff.c, learn.c & prefs.c/.h: Switched over to GtrTranslator
		use instead of "author" & "email".

	* src/gui.c, main.c & sighandling.c: Init/free the generally used 
		GtrTranslator structure "gtranslator_translator".

2001-09-01  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am: Welcome languages.c to our source files' list .-)

	* src/languages.c/.h: Put the languages list into a separate source file
		and use the header only for the declarations -- should've been
		 ever so.

	* src/main.c: Also adept this and changed the "successful learning" message
		a bit to be more correct -- typos, tsts.

	* src/dialogs.c, messages-table.c, open|save-differently.c & parse.c: Adept
		all these sources to the new GtrRuntimeConfig structure instead
		 of using the old way via calling 3, 4 different util functions
		  for this.

	* src/sighandling.c: Adept to the new GtrRuntimeConfig structure and
		free preferences, runtime config and regex cache on exit.

	* src/utils.c/.h: Removed the 4 "gtranslator_utils_get_*" utils functions
		which are now replaced by the GtrRuntimeConfig structure.

	* src/gui.c & main.c: Create/free the generally used GtrRuntimeConfig 
		"gtranslator_runtime_config".

	* src/Makefile.am: Plug in the new source files for runtime configuration.

	* src/runtime-config.c/.h: Added GtrRuntimeConfig structure for holding
		all kinds of runtime configuration -- for now, it stores the
		 names of the used temporary filenames -- replaces 4 utils
		  functions ala "gtranslator_utils_get_*".

2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-30  Fatih Demir <kabalak@gtranslator.org>

	* src/convert.c & undo.c: Include <string.h> to run fine with RH systems.

	* src/actions.c/.h: Renamed the "ACT_ACCOMPLISH" to "ACT_AUTOTRANSLATE" to
		also fit the new naming scheme.

	* src/pixmaps/Makefile.am: Adept the Makefile.am for the pixmap filename
		change.

	* src/pixmaps/auto_accomplishment|_translation.xpm: Moved the pixmap file
		also to the new naming scheme "auto_translation."

	* src/query.c/.h: Rename "gtranslator_query_accomplish" to the new scheme:
		"gtranslator_query_translate" is the new name.
	
	* src/dialogs.c/.h: Changed the dialog contents accordingly and renamed
		some dialog function names.
	
	* src/menus.c: Renamed "Autoaccomplish(ment)" to "Autotranslation" and
		changed the messages accordingly.

	* src/messages-table.c: Sticky messages are automatically also translated
		messages -- honor this in the message status updating
		 "gtranslator_messages_table_update_message_status" function.

	* src/main.c: 2 small typo fixes (taken over from Mike's en_GB.po .-)) and
		removed the "gtranslator won't load any backends" message --
		 as we don't get any module loading status messages, this 
		  should be quite clear to the user.

	* src/header_stuff.c, prefs.c, translator.c & utils.c: Reflect the member
		name changes of the GtrLanguage structure in <languages.h>.

	* src/languages.h: Renamed structure members for more clarity.

	* src/translator.c/.h: Added "gtranslator_translator_set_language" method
		for setting/changing the GtrTranslator's language values.

2001-08-29  Fatih Demir <kabalak@gtranslator.org>

	* src/header_stuff.c: Eh, corrected a long outstanding and crazy bug in
		the "gtranslator_header_create_from_prefs" function: till now
		 we set the charset to the locale name; nothing very right to
		  do, so we do now the right thing(TM): set the charset from
		   the preferences.

	* src/backend.c/.h: Introduce a new type of functions: "BackendFunc" is now
		used for opening, saving, closing functions; via this, we are
		 now passing the backend functions' results directly back from
		  "gtranslator_backend_open" thus allowing us to see whether
		    the backend could open the file or not.

	* src/translator.c/.h: Added "gtranslator_translator_get_translator_string"
		and "gtranslator_translator_set_translator" functions for
		 easier handling with standard tasks in the area of the
		  GtrTranslator structure.

2001-08-28  Fatih Demir <kabalak@gtranslator.org>

	* src/about.c: Added Kevin & Thomas as co-authors to the About box.

	* src/translator.c: Finished implementation of all currently declared
		functions -- more are to come soon.

2001-08-28  Emese Kovacs <emese@gnome.hu>

	* src/prefs.c: Formatted the message box text a bit...

2001-08-28  Fatih Demir <kabalak@gtranslator.org>

	* src/Makefile.am: Added translator.c/.h as sources to the gtranslator
		build.

	* src/translator.c/.h: Added the implementation for the defined functions
		except for the "gtranslator_translator_new_with_default_values"
		 function.

	* src/translation-memory.c/.h: Made the comments more explanatory for now
		(better then simply putting FIXME + some words into these
		  source files for now).

2001-08-28  Fatih Demir <kabalak@kabalak.net>

	* AUTHORS: List Kevin & Thomas as co-authors.

	* THANKS: Remove the code contribution page .-)

2001-08-27  Fatih Demir <kabalak@gtranslator.org>

	* src/translator.c/.h: Added GtrTranslator & co.'s preliminary sources.

2001-08-27  Thomas Ziehmer <thomas@gtranslator.org>

	* src/stylistics.c: To indicicate the end of the parameter list of
		g_strjoin NULL is required as last parameter (#59585).

2001-08-27  Fatih Demir <kabalak@gtranslator.org>

	* src/comment.c: Include <config.h> conditionally.

	* src/gui.c: Use "gtk_menu_popup" instead of the current (quite "bad")
		"gnome_popup_dialog_modal" + "gtk_widget_destroy" combination;
		  the popup menu doesn't get destroyed right after it's display
		   and also doesn't select "Open" by itself anymore ,-)

	* src/languages.h: Corrected another typo: "Belorussian" should be more
		appropriate then the old "Bielorussian".

	* src/dialogs.c & update.c: Corrected a typo: "occured" is bad, "occurred"
		is good .-)

	* src/dialogs.c: Added the real help text for the "Open from URI" help
		dialog -- it's also translatable now (fixes #59527).

	* src/color-schemes.c: Don't include <dirent.h> or <sys/types.h> anymore --
		we have got our own util function for doing the directory work
		 now and don't need these headers directly.

2001-08-27  Fatih Demir <kabalak@kabalak.net>

	* Makefile.am: Lighted Makefile a bit -- removed the "cvspack" rule
		to generate the CVS snapshots -- we're using normally done
		 tarballs via "make dist" for the snapshots for a long time
		  now.

	* README: Added mailing list portion and small tipp about IRC and
		#gtranslator on irc.gnome.org .-)

2001-08-26  Fatih Demir <kabalak@kabalak.net>

	* data/scripts/Makefile.am: Added the "cleanup-gtranslator-settings.sh"
		script to the install data target -- it's also included in
		 the $sharedir/gtranslator/scripts/ directory now.

2001-08-26  Fatih Demir <kabalak@gtranslator.org>

	* src/utils.c: Fixes another quite nasty crash -- g_strdup the return value
		in "gtranslator_utils_get_locale_charset" so that we can free
		 it later on quite safely.

	* src/color-schemes.c, main.c & prefs.c: Fixed #59566 -- typo/mal-thinko
		"informations" corrected to be "information".

	* src/dialogs.c: Added Help button to the Open from URI dialog -- it's
		also checked in the if/else-tree; we need to decide how to
		 proceed for #59527.

	* src/prefs_init.c: Set the history length to 0 per init -- on the first
		startup gtranslator doesn't have got any recent files entries
		 yet -- fixes masses of "g_file_exists" assertions spewn out
		  on the console.

	* src/history.c: If we did get a <= 0 length for the history list, simply
		return NULL before operating any further.

	* src/prefs_init.c: Also assume English to be the default on "single"
		character locales (there ain't such things, right? Fixes
		 #59486 assumably); also check the parsed/grepped EMail
		  address to be longer then 6 characters like also requested
		   in the prefs dialog.

	* src/menus.c: Append "..." to dialog opening menu items' labels (fixes 
		#59529).

	* src/header_stuff.c & prefs.c: Adapted all the function calls for the new
		function signature: also let the language's group email be
		 editable -- everything other should be non-editable (fixes
		  #59485).

	* src/utils_gui.c/.h: Added "editable" gboolean argument to the
		"gtranslator_utils_attach_combo_with_label" util function.

2001-08-26  Fatih Demir <kabalak@kabalak.net>

	* acconfig.h: Added the "JW_PRESENT" undef definition.

	* configure.in: Check for jw and define the corresponding values
